'use strict';

//var baseURL = "http://69.160.74.223/";
//var baseURL = "https://mydev.bodylab.com/";
var baseURL = "https://my.bodylab.com/";
//var baseURL = "http://bl.demo.brainvire.com/";
//var baseURL = "http://mystaging.dev.bodylab.com/";
//var assetAPIURL = 'http://bl.demo.brainvire.com/api/asset?fromdate=2010-01-01&domain=bl.demo.brainvire.com&todate=2099-01-01';//"http://myfreediet.demo.brainvire.com/api/asset?fromdate=2010-01-01&domain=bl.demo.brainvire.com&records=5&todate=2099-01-01";
//var assetAPIURL = 'http://mfd.basicresearch.org/api/asset?fromdate=2010-01-01&domain=mfd.basicresearch.org&todate=2099-01-01&includeexpire=n';//"http://myfreediet.demo.brainvire.com/api/asset?fromdate=2010-01-01&domain=bl.demo.brainvire.com&records=5&todate=2099-01-01";
var dash_mfd = "https://my.bodylab.com/";//'http://mfd.basicresearch.org/';  //replaced by below url
//var dash_mfd = 'http://mystaging.dev.bodylab.com/';
var dash_mystaging = "https://my.bodylab.com/"; //'http://mystaging.dev.bodylab.com/';
var debug = false;			
var appVersion = "1.6.93";

var BLApp = angular.module('BLApp', [
	'ngRoute',
	'ngResource',
	'ngSanitize',
	'ngTouch'
]);

BLApp.config(['$routeProvider',
	function ($routeProvider) {
		$routeProvider.
			when('/login', {
				templateUrl: 'views/0.1login.html',
				controller: 'commonCtrl'
			}).
			when('/signup', {
				templateUrl: 'views/0.2signup.html',
				controller: 'commonCtrl'
			}).
			when('/selectPlans', {
				templateUrl: 'views/0.3signupSelectPlans.html',
				controller: 'commonCtrl'
			}).
			when('/dashboard', {
				templateUrl: 'views/0.4dashboard.html',
				controller: 'commonCtrl'
			}).
			when('/dashboardT', {
				templateUrl: 'views/0.4dashboardT.html',
				controller: 'commonCtrl'
			}).
			when('/profile', {
				templateUrl: 'views/0.5profile.html',
				controller: 'commonCtrl'
			}).
			when('/changePassword', {
				templateUrl: 'views/0.6changePassword.html',
				controller: 'commonCtrl'
			}).
			when('/progress', {
				templateUrl: 'views/1.0myProgress.html',
				controller: 'commonCtrl'
			}).
			when('/bodyFat', {
				templateUrl: 'views/1.2myProgressBodyFat.html',
				controller: 'commonCtrl'
			}).
			when('/myMeasurements', {
				templateUrl: 'views/1.3myProgressCircumference.html',
				controller: 'commonCtrl'
			}).
			when('/myProgress', {
				templateUrl: 'views/1.4myProgressPhotos.html',
				controller: 'commonCtrl'
			}).
			when('/myProgresss', {
				templateUrl: 'views/1.5myProgressPhotos.html',
				controller: 'commonCtrl'
			}).
			when('/myDietPlan', {
				templateUrl: 'views/2.0myDietPlan.html',
				controller: 'commonCtrl'
			}).
			when('/allDietPlanRecommended', {
				templateUrl: 'views/2.1.1myDietPlanAllDietPlanRecommended.html',
				controller: 'commonCtrl'
			}).
			when('/trackOnly', {
				templateUrl: 'views/2.1.1.1trackOnly.html',
				controller: 'commonCtrl'
			}).
			when('/trackOnlySearch', {
				templateUrl: 'views/2.1.1.2trackOnlySearch.html',
				controller: 'commonCtrl'
			}).
			when('/addMealSlot', {
				templateUrl: 'views/2.1.2myDietPlanAddMealSlot.html',
				controller: 'commonCtrl'
			}).
			when('/myDietPlanRecommended', {
				templateUrl: 'views/2.2.1myDietPlanRecommended.html',
				controller: 'commonCtrl'
			}).
			when('/guiltFreeMealLocator', {
				templateUrl: 'views/2.2.2myDietPlanGFML_new1.html',
				controller: 'commonCtrl'
			}).
			when('/guiltFreeMealLocatorSearchResult', {
				templateUrl: 'views/2.2.2myDietPlanGFML_new2.html',
				controller: 'commonCtrl'
			}).
			when('/fitnessPlan', {
				templateUrl: 'views/3.0myFitnessPlan.html',
				controller: 'commonCtrl'
			}).
			when('/fitnessPlanSwapExer', {
				templateUrl: 'views/3.0.2swapExercise.html',
				controller: 'commonCtrl'
			}).
			when('/fitnessPlanTabs', {
				templateUrl: 'views/3.1myFitnessPlan.html',
				controller: 'commonCtrl'
			}).
			when('/advice', {
				templateUrl: 'views/4.0expertAdvice.html',
				controller: 'commonCtrl'
			}).
			when('/expertAdvice', {
				templateUrl: 'views/4.1expertAdvice.html',
				controller: 'commonCtrl'
			}).
			when('/recipe', {
				templateUrl: 'views/5.0recipes.html',
				controller: 'commonCtrl'
			}).
			when('/addRecipe', {
				templateUrl: 'views/5.1addRecipe.html',
				controller: 'commonCtrl'
			}).
			when('/forgotPassword', {
				templateUrl: 'views/forgotPassword.html',
				controller: 'commonCtrl'
			}).
			when('/feedback', {
				templateUrl: 'views/feedback.html',
				controller: 'commonCtrl'
			}).
			when('/iFrame', {
				templateUrl: 'views/extrenalContent.html',
				controller: 'commonCtrl'
			}).
			otherwise({
				redirectTo: '/dashboardT'
			});			
    }
]);

BLApp.directive('match', function () {
	return {
		require: 'ngModel',
		restrict: 'A',
		scope: {
			match: '='
		},
		link: function(scope, elem, attrs, ctrl) {
			scope.$watch(function() {
				return (ctrl.$pristine && angular.isUndefined(ctrl.$modelValue)) || scope.match === ctrl.$modelValue;
			}, function(currentValue) {
				ctrl.$setValidity('match', currentValue);
			});
		}
	};
});

// override the default input to update on blur
BLApp.directive('ngModelOnblur', function() {
    return {
        restrict: 'A',
        require: 'ngModel',
        priority: 1,
        link: function(scope, elm, attr, ngModelCtrl) {
            if (attr.type === 'radio' || attr.type === 'checkbox') return;
            
            elm.unbind('input').unbind('keydown').unbind('change');
            elm.bind('blur', function() {
                scope.$apply(function() {
                    ngModelCtrl.$setViewValue(elm.val());
                });         
            });
        }
    };
});
