BLApp.controller('fitnessPlanCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', '$anchorScroll', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, $anchorScroll, databaseFactory) {
		try{
			$rootScope.futureDate ="";
			$scope.ValidButton = false;
			$scope.numberButtonFitness = "3";

			$scope.saveFitnessPlanVali = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			$scope.editExerciseVali = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			/*$scope.addCustomeVali = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}*/
			
			$("#fitnessPage").show();
			$scope.pageNumber = 1;
			$scope.maxResult = 50;
			$scope.scrollStart = false;
			$scope.startFirst = true;
			$scope.fitnessPlans = [];
			$scope.noteValue = "";
			$scope.setDetailsForAddSwapContent = "";
			var currentAPIDate = "";

			$scope.searchFitnessPlan = function (){
				activePageName = $rootScope.currentLocation.substring(1);
				if ($scope.scrollStart) {
					return;
				}
				$scope.scrollStart = true;
				$scope.addSetArray = [];
			}
			
			scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/fitnessPlan")
					$scope.searchFitnessPlan();
			}

			$scope.planDescription = function(desc){
				//$scope.showingAlert('Special Instructions.');
				navigator.notification.confirm(
					desc,  // message
					afterSplInst,         // callback
					'Message',            // title
					['OK','CANCEL']                  // buttonName
				);
			}
			
			afterSplInst = function(){
				//alert('Finished');
			}

			$scope.addExercises = function () {
                $scope.dateNextPrev();
				$scope.searchFitnessPlan();
				$scope.workOutDay();
				$scope.loadCategoriesForSaveFitnessPlans();
				$scope.loadFitnessType();
				$scope.selectAnyExerciseOne = 'RESISTANCE';
				$scope.selectAnyExerciseTwo = 'RESISTANCE';
				$scope.searchTextSwitchExercise = '';
				$scope.searchTextAddExercise = '';
				//$scope.workOutDayDetails();	
            }
			
			$scope.next = function () {
				$('.playButDiv').hide();
				var $slider = $("#myTab > li.active");
				if ($slider.prev().length != 0){
					if($('#myTab > li.active').prev().hasClass('detailsHidden')){
						return;
					}
					$("#myTab > li.active").removeClass("active").prev("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").prev("#content > div").addClass("active");
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
				}
				else{
				}
				refreshScrollers();
				
			};
			
			$scope.prev = function () {
				$('.playButDiv').hide();
				var $slider = $("#myTab > li.active");
				if ($slider.next().length != 0){
					if($('#myTab > li.active').next().hasClass('detailsHidden')){
						return;
					}
					$("#myTab > li.active").removeClass("active").next("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").next("#content > div").addClass("active");
					if($("#video").hasClass('active')){
						if(CommonFactory.checkInternet()){
							$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').addClass('detailsHidden');
						}
						$('.playButDiv').css('height',$('#excerciseVideoBtnImg').height());
						$('.playButDiv').show();
					}
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
				}
				else{
				}
				refreshScrollers();
			};
 
			$('#myTab a').click(function (e) {
				e.preventDefault();
				$(this).tab('show');
				refreshScrollers();
			});
			//var keyIDForRemove = '';
			//var keyForRemove = '';
			$scope.workOutDay = function (){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var currentDate = CommonFactory.getCurrentDate();
				currentAPIDate = currentDate;
				if($rootScope.futureFitnessDate == "")
				{
					$rootScope.futureFitnessDate = currentDate;
					$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
				}
				$("#datepicker50").datepicker('setDate',$rootScope.futureFitnessDate);
				$('#alternate').datepicker('setDate', $rootScope.futureFormattedDate);
				$("#datepicker50").html($.datepicker.formatDate('D, MM d, yy',$rootScope.futureFormattedDate));
				
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/fitness_plan_day?fitnessPlanDayDate=" + $rootScope.futureFitnessDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getAllExercisesDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, "", "loadWorkOutDayAfterAPI");
					
					/*var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx){
						tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineExerSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, actSetNumber integer )');
						tx.executeSql("SELECT * FROM FitnessOfflineExerSync ORDER BY actId ASC, actSetNumber ASC;", [], function(tx, res) {
							if(res.rows.length > 0){
								var TableData = res.rows.item(0);
								$rootScope.keyIDForRemove = TableData.actId;
								$rootScope.keyForRemove = TableData.actSetNumber;
								CommonFactory.makeRequest(TableData.method, TableData.qstring, TableData.rtype, JSON.parse(TableData.rheader), TableData.params, TableData.callback);
							}
							else{
								CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, "", "loadWorkOutDayAfterAPI");
							}
						});
					});
					db.transaction(function(tx){
						tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, weight integer, reps integer, rest integer )');
						tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet';", [], function(tx, res) {
							if(res.rows.length > 0){
								db.transaction(function(tx){
									tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet';", [], function(tx, res) {
										if(res.rows.length > 0){
											for(var i = 0; i < res.rows.length; i++){
												var data = res.rows.item(i);
												CommonFactory.makeRequest(data.method, data.qstring, data.rtype, JSON.parse(data.rheader), data.params, data.callback);
											}
											tx.executeSql("DELETE FROM FitnessOfflineSync WHERE page = 'editSet';", [], databaseFactory.errorCB, databaseFactory.successCB);
										}	
									});
								});
							}
							else{
								CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, "", "loadWorkOutDayAfterAPI");
							}
						});
					});
					
					db.transaction(function(tx){
						tx.executeSql('CREATE TABLE IF NOT EXISTS AddExerSync (id integer primary key, page text, date date, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("SELECT * FROM AddExerSync WHERE page='add';", [], function(tx, res) {
							if(res.rows.length > 0){
								db.transaction(function(tx){
									tx.executeSql("SELECT * FROM AddExerSync WHERE page='add';", [], function(tx, res) {
										for(var i = 0; i < res.rows.length; i++){
											var data = res.rows.item(i);
											CommonFactory.makeRequest(data.method, data.qstring, data.rtype, JSON.parse(data.rheader), data.params, data.callback);
										}
										tx.executeSql('DROP TABLE IF EXISTS AddExerSync');
									});
								});
							}
							else{
								CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, "", "loadWorkOutDayAfterAPI");
							}
						});
					});*/
					
				
				}
				//$scope.loadCategoriesForSaveFitnessPlans();
				//$scope.getExercises('');
			}

			getAllExercisesDB = function (tx) {
				tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], databaseFactory.getAllExerciseDetail, databaseFactory.errorCB);
			}
			UpdateAllExercisesDB = function (tx) {
				//tx.executeSql("UPDATE FitnessPlanDay SET fitplanresponse ='" +$rootScope.fitnessPlanOffline+"' WHERE fitplandate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
				
				tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
				tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, $rootScope.fitnessPlanOffline], function(tx, res) {});
			}
			runAPI = function(date){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				currentAPIDate = date;	
				$rootScope.futureFitnessDate = currentAPIDate;
				$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/fitness_plan_day?fitnessPlanDayDate=" + $rootScope.futureFitnessDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getAllExercisesDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadWorkOutDayAfterAPI");
				}
			}
			
			loadWorkOutDayAfterAPI = function (data , status){	
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					$rootScope.fitnessPlanOffline = JSON.stringify(data);
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						//data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdateAllExercisesDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}
				
					$scope.res = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
					if(jQuery.type($scope.res.exerciseResponses) == 'array'){
						if($scope.res.exerciseResponses.length == 0)
							$("#addExerciseBtnFull").show();
						else
							$("#addExerciseBtnFull").hide();
					}
					else{
						$("#addExerciseBtnFull").show();
					}
					if($scope.res.trackOnly)
						$scope.numberButtonFitness = "2";
					else
						$scope.numberButtonFitness = "3";
					$('#goalBurn').val(data.targetWorkoutCalories);
					if (!$rootScope.$$phase) $rootScope.$apply();
					setTimeout(function(){
						$('.addExercisewrapper input').each(function(){
							if($(this).attr("type") == 'text' || $(this).attr("type") == 'number'){
								if($(this).val() == '' || $(this).val() == null){
									//if($(this).attr('id').substring(0,9) != 'setWeight')
										//$(this).attr('placeholder', '0');
								}
							}
						});
						$rootScope.showLoadingScreen = false;	
						if (!$rootScope.$$phase) $rootScope.$apply();
						if($scope.startFirst){
							//$scope.startFirst = false;
							setTimeout(function(){
								//alert("Start");
								//$scope.loadMuscleGroups();
								$scope.fetchExerciseImageAndHistory();
								/*setTimeout(function(){
									$scope.loadCategoriesForSaveFitnessPlans();
									//$scope.getExercises('');
									//$scope.loadMuscleGroups();
								},7000);*/
							},500);
							if (!$rootScope.$$phase) $rootScope.$apply();
						}
					},100);

					setTimeout(function(){
						var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
						$(".popupSibling").css("height", infinitHeight);
						//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
						if (!$rootScope.$$phase) $rootScope.$apply();
					},300);
				}
				else{
					setTimeout(function(){
						var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
						$(".popupSibling").css("height", infinitHeight);
						//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
						$rootScope.showLoadingScreen = false;	
						if (!$rootScope.$$phase) $rootScope.$apply();
					},300);

				}
			}
			
			$scope.fetchExerciseImageAndHistory = function(){
				for(var i = 0; i < $scope.res.exerciseResponses.length; i++){
					//$scope.exerciseHistory($scope.res.exerciseResponses[i].exerciseUuid, i);
					if(CommonFactory.checkInternet()){
						$scope.res.exerciseResponses[i].imageURL = 'img/exerciseDefaultImg.jpg';
					}
					$scope.getPhotoUrlRecom('EXER' , i , $scope.res.exerciseResponses[i].imageURL , 'img/exerciseDefaultImg.jpg');
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			refreshCurrentLastBurn = function(date){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/workout_days/" + $scope.res.workoutDayUuid + "/burned_calories";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "refreshCurrentLastBurnAfterAPI");
			}

			refreshCurrentLastBurnAfterAPI= function (data , status){
				if(status == "200"){
					$scope.res.burnedCalories = data.value;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}
			
			
			//setTimeout(function () {
				/*$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.date').height()+10 - $('.planOne').height() - $('.calWrap').height());
				$('.popupSibling').scroll(function(){
				if ($(this).scrollTop() > $scope.topMargin) {
					$(".fitnessPlanSticky").addClass("sticky");
					$(".fitnessPlanStickyPush").addClass("stickyPush");
					$(".fitnessPlanStickyPush").css("margin-top",$scope.topMargin+$('.planOne').height()+20 +"px");
					$('.planOne').css("padding-top","4px");
					$('.calWrap').css('margin-top','-2px');
				} else {
					$(".fitnessPlanSticky").removeClass("sticky");
					$(".fitnessPlanStickyPush").removeClass("stickyPush");
					$('.planOne').css("padding-top","0px");
					}
				});*/
			//},1000);
			$scope.loadCategoriesForSaveFitnessPlans = function(){
				var QueryString = "api/equipment_types?personUUID=" + localStorage.getItem("uuid");
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getCatoForSaveFitDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadCategoriesForSaveFitnessPlansAfterAPI");
				}
			}
			getCatoForSaveFitDB = function (tx) {
				tx.executeSql('SELECT fpetypesresponse FROM LoadFitnessPlanEquipmentTypes WHERE fpetypesdate="'+currentAPIDate+'"', [], databaseFactory.getCatogeForSaveDbDetails, databaseFactory.errorCB);
			}

			loadCategoriesForSaveFitnessPlansAfterAPI = function (data , status){
				if(status == "200"){
					$rootScope.fitnessCatOffline = JSON.stringify(data);
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					$scope.equipmentTypes = data;
				}
			}
			
			$scope.loadFitnessType = function (){
				var QueryString = "api/fitness_plan_types?personUUID=" + localStorage.getItem("uuid");
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getFitnessTypeDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadCategoriesForSaveFitnessPlansTAfterAPI");
				}
			}
			getFitnessTypeDB = function (tx) {
				tx.executeSql('SELECT fptresponse FROM LoadFitnessPlanTypes WHERE fptdate="'+currentAPIDate+'"', [], databaseFactory.getFitnesstypeSelectDB, databaseFactory.errorCB);
			}
			UpdateFitnessTypeDB = function (tx) {
				tx.executeSql("UPDATE LoadFitnessPlanTypes SET fptresponse ='" +$rootScope.fitnessTypeOffline+"' WHERE fptdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			loadCategoriesForSaveFitnessPlansTAfterAPI= function (data , status){
				if(status == "200"){
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					$rootScope.fitnessTypeOffline = JSON.stringify(data);
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdateFitnessTypeDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}
					$scope.fitnessPlanTypes = data;
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$('#goalBurn').blur(function(){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "?targetWorkoutCalories=" + $('#goalBurn').val();
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, "", "updateGoalBurnAfterAPI");
			});
			
			updateGoalBurnAfterAPI = function (data , status){
				if(status == "200"){
					//alert("Success");
				}
			}
			
			var currentDeletedExer = '';
			var currentDeletedExerSet = '';
			$scope.removeItem = function(plan, set , activityUUID , activitySetUUID){
				$("#setNo" + plan + '' + set).hide();
				currentDeletedExer = plan;
				currentDeletedExerSet = set;
				var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/activities/" + activityUUID + "/activity_sets/" + activitySetUUID;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("DELETE", QueryString, "json", RequestHeaders, '', "removeItemAfterAPI");
			}

			removeItemAfterAPI = function (data , status){
			 	if(status == "200"){
			 		//runAPI(currentAPIDate);
			 		//$scope.showingAlert("Activity has been Deleted Successfully.");
			 		$scope.res.exerciseResponses[currentDeletedExer].activityResponse.activitySetResponses.splice(currentDeletedExerSet, 1);
					if($rootScope.offlineDbFuctionality){
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						db.transaction(function(tx) {
							tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
							tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
								if(res.rows.length > 0){
									db.transaction(function(tx) {
										tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
										tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
										tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
										}, function(e) {
										  console.log("ERROR: " + e.message);
										});
									});
								}
							});
						});
					}
					refreshCurrentLastBurn($rootScope.futureFitnessDate);
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.showingAlert("Unable To Delete Activity.");
					$("#setNo" + currentDeletedExer + '' + currentDeletedExerSet).show();
				}
			}

			$scope.trackOnly = function(){
				navigator.notification.confirm(
    				'All future exercises and/or fitness plans that you are following will be deleted and be replaced with the fitness tracker that allows you to add your own exercises/fitness plan. Do you wish to continue?', // message
     				onConfirmTrackOnlyFitness,            // callback to invoke with index of button pressed
    				'Confirm',           // title
    				['Yes','No']     // buttonLabels
				);
			}

			onConfirmTrackOnlyFitness = function(buttonIndex){
				if(buttonIndex == 1){
					$rootScope.showLoadingScreen = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/fitness_plan";
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					var params = "fitnessPlanToBeFollowedUUID=&startDate=" + $rootScope.futureFitnessDate;
					CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "trackOnlyAfterAPI");
				}
			}

			trackOnlyAfterAPI = function (data , status){
			 	if(status == "200"){
					$scope.closePopUp('.fitnessPlanPopUp');
					runAPI($rootScope.futureFitnessDate);
				}
				else{
					$scope.showingAlert("Please Try Again.");
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			$scope.historyResponse = [];
			$scope.exerciseHistory = function(uuid , responseIndex){
				
				console.log('zak... ExerciseHistory...URL ' + baseURL + "api/people/" + localStorage.getItem("uuid") +  "/exercises/" + uuid + "/history?fitnessPlanDayDate=" + $rootScope.futureFitnessDate);

				$.ajax({
						
					type : "GET",           
					url : baseURL + "api/people/" + localStorage.getItem("uuid") +  "/exercises/" + uuid + "/history?fitnessPlanDayDate=" + $rootScope.futureFitnessDate, 
					dataType : "json",
					data : '',
					beforeSend : function(xhr){
						xhr.setRequestHeader("Authorization" , 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")));
					},
						
					success : function(data, status, xhr) {
						console.log("zak... Exercise History Works! : " + JSON.stringify(data));
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
							$scope.setHistory(responseIndex , data);
						});
					},
						
					error : function(xhr, data) {
                 		console.log("zak... Exercise History Fails! : " + JSON.stringify(xhr));
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
							$scope.setHistory(responseIndex , "Fails");
						});
					}						
				});
			}

			$scope.setHistory = function(responseIndex , data){
				$scope.historyResponse = data;
				$scope.popUpDetails = $scope.historyResponse;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			getImgHeight = function(){
				$('.playButDiv').hide();
				setTimeout(function(){
					$('.playButDiv').css('height',$('#excerciseVideoBtnImg').height());
					$('.playButDiv').show();
				},300);
			}
			$rootScope.buttonTextCreateAndSwap = "CREATE & ADD EXERCISE";
			$scope.setPopUpDetails = function(responseIndex , fitnessPlanName , fitnessPlanMuscleGroup , blogID , fitnessPlanMuscleGroupUUID , popup){
				$rootScope.selectedExerAddSwap = responseIndex;
				$scope.searchTextAddExercise='';
				$rootScope.selectedExerciseImageSrc = $('#imageEXER' + responseIndex).attr('src');
				//$('#switchExerciseImageSrc').attr('src' , $rootScope.selectedExerciseImageSrc);
				//$scope.popUpDetails = $scope.historyResponse;
				//$scope.exerciseHistory($scope.res.exerciseResponses[responseIndex].exerciseUuid , responseIndex);
				$rootScope.activityUuid = $scope.res.exerciseResponses[responseIndex].activityResponse.activityUuid;
				$scope.selectedPopUpExerType = $scope.res.exerciseResponses[responseIndex].type;
				if($scope.res.exerciseResponses[responseIndex].video != null && $scope.res.exerciseResponses[responseIndex].video != ''){
					$('.ExcerVideo').remove();
					$scope.responseForVideo = $scope.res.exerciseResponses[responseIndex].video.replace(new RegExp('youtu.be', 'i'), 'www.youtube.com/embed').replace(new RegExp('watch\\?v=([a-z0-9\_\-]+)(&|\\?)?(.*)', 'i'), 'embed/$1?version=3&$3');
					var youtube_video_id = $scope.responseForVideo.match(/youtube\.com.*(\?v=|\/embed\/)(.{11})/).pop();
					
					var thisHref = $scope.responseForVideo + '?rel=0';
					var toAppend = '<div class="ExcerVideo" data-modal-title="Youtube" href="' + thisHref + '">';
						toAppend = toAppend	+ '<img id="excerciseVideoBtnImg">';
						toAppend = toAppend	+ '<div class="playButDiv">';
						toAppend = toAppend	+ '<div class= "playTaBCell">';
						toAppend = toAppend	+ '<img class="playButton" src="img/play_button.png">';
						toAppend = toAppend	+ '</div>';
						toAppend = toAppend	+ '</div>';
						toAppend = toAppend	+ '</div>';
					//$('.ExcerVideo').attr('href' , thisHref);
					$('#appendVideo').append(toAppend);
					$('#excerciseVideoBtnImg').attr("src","http://img.youtube.com/vi/"+youtube_video_id+"/0.jpg");
					//$('#excerciseVideoBtn').attr('href' , thisHref);
			        /*$('.ExcerVideo').fancybox({
			        	openEffect	: 'none',
		                closeEffect	: 'none',
			            "type": 'iframe',
			            "href" : thisHref
			        });*/
			    }
			    else{
			    	$scope.responseForVideo = $scope.res.exerciseResponses[responseIndex].video;
			    }
			    $scope.noteValue = $scope.res.exerciseResponses[responseIndex].activityResponse.notes;
				$scope.responseIndex = responseIndex;
				$rootScope.selectedFitnessPlanName = fitnessPlanName;
				$rootScope.selectedPlanMuscleGroup = fitnessPlanMuscleGroup;
				$rootScope.selectedPlanMuscleGroupUUID = fitnessPlanMuscleGroupUUID;
				if (popup == "edit"){
					if(!CommonFactory.checkInternet()){
						$scope.exerciseHistory($scope.res.exerciseResponses[responseIndex].exerciseUuid , responseIndex);
						$rootScope.buttonTextCreateAndSwap = "CREATE & SWAP EXERCISE";
						$scope.popupdiv('.editExercise');
					}
					else{
						alert(localStorage.getItem("offlineMsg"));
					}
				}
				else if (popup == "add"){
					$rootScope.buttonTextCreateAndSwap = "CREATE & ADD EXERCISE";
					$scope.popupdiv('.addFintnessExercise');
				}
				$scope.detailContent = '';
				var QueryString = "api/exercise_blog/articles/" + blogID;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadExcerDetailsAfterAPI");
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(blogID == null || blogID == ''){
					$scope.customExer = true;
				}
				else{
					$scope.customExer = false;
				}
				if($scope.responseForVideo == null || $scope.responseForVideo == ''){
					$scope.noVideoExer = true;
				}
				else{
					$scope.noVideoExer = false;
				}
			}
			$rootScope.firstAppLoad = true;
			loadExcerDetailsAfterAPI = function(data , status){
			 	if(status == "200"){
			 		$scope.selectedExerDetails = data;
					$scope.detailContent = JSON.stringify(data.formattedContent);
					$("#myTab > li:first-child").addClass('active');
					$("#content > div:first-child").addClass('active');
					
				 	if (!$rootScope.$$phase) $rootScope.$apply();
					//alert(""+$(".tabContent").find("a").length);
					$(".tabContent").click(function(){
						return false;
					});
					if($rootScope.firstAppLoad){
						$('.PopUpContentHelp').show();
						$('.PopUpContentHelp').hide();
						$rootScope.firstAppLoad = false;
						if (!$rootScope.$$phase) $rootScope.$apply();
					}
			 	}
				else{
					$scope.customExer = true;
				}
				if($scope.detailContent == '' && $scope.customExer == false && $scope.noVideoExer == false){
					$('.fitnessPlanPopTabHeader > li#exerDetails').addClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerVideo').removeClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerDetails').removeClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').addClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').removeClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').removeClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li').css('width','33.33%');
					$("#myTab > li#historyTabC").addClass('active');
					$("#content > div#profile").addClass('active');
				}
				else if($scope.detailContent == '' && $scope.customExer == false && $scope.noVideoExer == true){
					$('.fitnessPlanPopTabHeader > li#exerDetails').addClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerVideo').addClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerDetails').removeClass('active');
					$('.fitnessPlanPopTabHeader > li#exerVideo').removeClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').addClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').removeClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').addClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').removeClass('active');
					$('.fitnessPlanPopTabHeader > li').css('width','50%');
					$("#myTab > li#historyTabC").addClass('active');
					$("#content > div#profile").addClass('active');
				}
				else if($scope.detailContent != '' && $scope.customExer == false && $scope.noVideoExer == true){
					$('.fitnessPlanPopTabHeader > li#exerDetails').removeClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerDetails').addClass('active');
					$('.fitnessPlanPopTabHeader > li#exerVideo').addClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerVideo').removeClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').removeClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').addClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').addClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').removeClass('active');
					$('.fitnessPlanPopTabHeader > li').css('width','33.33%');
					$("#myTab > li#exerDetails").addClass('active');
					$("#content > div#home").addClass('active');
				}
				else if($scope.detailContent != '' && $scope.customExer == false && $scope.noVideoExer == false){
					$('.fitnessPlanPopTabHeader > li#exerDetails').removeClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerDetails').addClass('active');
					$('.fitnessPlanPopTabHeader > li#exerVideo').removeClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').removeClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').addClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').removeClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li').css('width','25%');
					$("#myTab > li#exerDetails").addClass('active');
					$("#content > div#home").addClass('active');
				}
				else if($scope.customExer == true){
					$('.fitnessPlanPopTabHeader > li#exerDetails').addClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerDetails').removeClass('active');
					$('.fitnessPlanPopTabHeader > li#exerVideo').addClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').addClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').removeClass('active');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').addClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li').css('width','50%');
					$("#myTab > li#historyTabC").addClass('active');
					$("#content > div#profile").addClass('active');
				}
				else{
					$('.fitnessPlanPopTabHeader > li#exerDetails').removeClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li#exerVideo').removeClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #home').removeClass('detailsHidden');
					$('.popuptabEditExcer > .popupTabWhiteEditExcer > #content > #video').removeClass('detailsHidden');
					$('.fitnessPlanPopTabHeader > li').css('width','25%');
					$("#myTab > li:first-child").addClass('active');
					$("#content > div:first-child").addClass('active');
				}
				$('#myTab, .popupTabWhiteEditExcer').show();
			 	//$scope.getExercises($scope.selectedPlanMuscleGroupUUID);

			}

			$scope.closePopUp1=function(id){
				$(id).hide();
				if(id == '.editExercise'){
					$('#myTab, .popupTabWhiteEditExcer').hide();
				}
				$scope.selectedExerDetails="";
				$('.popupSibling').css("overflow","auto");
				$('.popup').hide();
				$('.PopUpContentHelp').hide();
				
				$(".removeTabActive > li").removeClass("active");
				$(".removeTabContentActive > div").removeClass("active");
			}

			$scope.openSwitchPopup = function(){
				$scope.searchTextSwitchExercise=''; 
				$scope.exerciseLists = '';
				$scope.popupdiv('.switchToExercise') ;
				if (!$rootScope.$$phase) $rootScope.$apply();
				$scope.getExercises($scope.selectedPlanMuscleGroupUUID);
			}

			$scope.addFitnessNote = function(){
				var fitnessNote = $scope.noteValue;
				var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/exercises/" + $scope.res.exerciseResponses[$scope.responseIndex].exerciseUuid + "/activities/" + $scope.res.exerciseResponses[$scope.responseIndex].activityResponse.activityUuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "notes=" + fitnessNote;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "addFitnessNoteAfterAPI");
			}

			addFitnessNoteAfterAPI = function (data , status){
			 	if(status == "200"){
			 		$scope.showingAlert("Note Changed");
			 		//$scope.noteValue = "";
			 		//runAPI(currentAPIDate);
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		$scope.showingAlert("Failed to update note.");
			 	}			 	
			}

			/*$scope.loadMuscleGroups = function(){
				var QueryString = "api/muscle_groups?personUUID=" + localStorage.getItem("uuid");
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadMuscleGroupsAfterAPI");	
			}
			
			loadMuscleGroupsAfterAPI = function (data , status){
			 	if(status == "200"){
			 		$scope.muscleGroupsRes = data;
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	$scope.getExercises('');
			}*/

			/*$scope.selectedExerTypes = 'RESISTANCE';
			$scope.setExerType = function(method){
				if (method == "ADD"){
					$scope.selectedExerTypes = $('#selectAnyExerciseTwo :selected').val();
					$scope.getExercises($scope.muscleGroups2);
				}
				else{
					$scope.selectedExerTypes = $('#selectAnyExerciseOne :selected').val();
					$scope.getExercises($scope.muscleGroups);
				}
				
			}*/

			/*$scope.getExercises = function(muscleGroup){
				if($(".addFintnessExercise").is(":visible"))
					var serachTextContent = $scope.searchTextAddExercise;
				else
					var serachTextContent = $scope.searchTextSwitchExercise;
				if(muscleGroup == '' || muscleGroup == undefined || muscleGroup == null)
					var QueryString = "api/exercises?personUUID=" + localStorage.getItem("uuid") + "&firstResult=0&maxResult=100&exerciseName=" + serachTextContent;
				else
					var QueryString = "api/exercises?personUUID=" + localStorage.getItem("uuid") + "&muscleGroupUuid=" + muscleGroup + "&exerciseType=" + $scope.selectedExerTypes + "&firstResult=0&maxResult=150&exerciseName=" + serachTextContent;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "getExercisesAfterAPI");
			}

			getExercisesAfterAPI = function (data , status){
			 	if(status == "200"){
			 		$scope.exerciseLists = data;
			 		if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}*/

			$scope.createFitnessPlan = function(){
				$scope.searchTextAddExercise='';
				if (!$rootScope.$$phase) $rootScope.$apply(); 
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/workout_days?workoutDayDate=" + $rootScope.futureFitnessDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, "", "createFitnessPlanAfterAPI");
			}

			createFitnessPlanAfterAPI = function (data , status){
			 	if(status == "200"){
			 		$scope.res.workoutDayUuid = data.workoutDayUuid;
			 		$rootScope.selectedDayWorkoutUUID = $scope.res.workoutDayUuid;
			 		$rootScope.workoutPlanName = data.workoutPlanName;
			 		$scope.redirectToPage('fitnessPlanSwapExer');
			 		if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		$scope.showingAlert("Please try Again.");
			 	}
			}

			/*var addSwapExerciseContent = "";
			var selectedExerciseForSwap = '';
			$scope.addSwapExercise = function(method , index){
				selectedExerciseForSwap = index;
				if (method == "Add"){
					var selectedExerciseUUIDList = '';
					var countSelectedExerciseUUIDList = 0;
					$(".clsAddExcrCheckBox").each(function(){
  						if($(this).is(':checked')) {
  							var selectedExerciseUUID = $(this).parent().find('span').html();
  							if(countSelectedExerciseUUIDList == 0)
  								selectedExerciseUUIDList = 'exerciseUuids=' + selectedExerciseUUID;
  							else
  								selectedExerciseUUIDList = selectedExerciseUUIDList + '&exerciseUuids=' + selectedExerciseUUID;
  							countSelectedExerciseUUIDList++;
  						}
  					});
  					$scope.setDetailsForAddSwapContent = selectedExerciseUUIDList;
  					$scope.countSelectedExerciseUUIDList = countSelectedExerciseUUIDList;
  				}
				if ($scope.setDetailsForAddSwapContent == "") {
					$scope.showingAlert("Please Select Some Item For " + method + ".");
					return;
				}
				addSwapExerciseContent = method;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);

				if (method == "Add"){
					var categorySelected = $('#selectAnyExerciseTwo :selected').val();
					var countselectedExerciseForSwap = selectedExerciseForSwap + 1;
					var params = $scope.setDetailsForAddSwapContent + "&workoutDayUuid=" + $scope.res.workoutDayUuid + "&activityOrder=" + countselectedExerciseForSwap + "&exerciseType=" + categorySelected;
				}
				else{
					var categorySelected = $('#selectAnyExerciseOne :selected').val();
					var params = "exerciseUuids=" + $scope.setDetailsForAddSwapContent.exerciseUuid + "&workoutDayUuid=" + $scope.res.workoutDayUuid + "&currentActivityUuid=" + $scope.activityUuid + "&exerciseType=" + categorySelected;
				}
				CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "addSwapExerciseAfterAPI");
			}

			addSwapExerciseAfterAPI = function (data , status){
			 	if(status == "200"){
			 		var newDataToFetch = '';
			 		if(jQuery.type($scope.res.exerciseResponses) != 'array'){
			 			$scope.res.exerciseResponses = [];
			 		}
			 		if(addSwapExerciseContent == "Add"){
			 			$scope.showingAlert("Exercise Added Succesfully");
			 			$scope.closePopUp('.addFintnessExercise');
			 			for(var i = 0; i < $scope.countSelectedExerciseUUIDList; i++){
				 			$scope.res.exerciseResponses.splice(selectedExerciseForSwap + i + 1 , 0, data[i]);
				 			newDataToFetch = selectedExerciseForSwap + i + 1;
				 			//$scope.exerciseHistory($scope.res.exerciseResponses[newDataToFetch].exerciseUuid, newDataToFetch);
							$scope.getPhotoUrlRecom('EXER' , newDataToFetch , $scope.res.exerciseResponses[newDataToFetch].imageURL , 'img/dumbelCurl.png');
						}
			 		}
			 		else{
			 			$scope.showingAlert("Exercise Swapped Succesfully");
			 			$scope.closePopUp('.switchToExercise'); 
			 			$scope.closePopUp('.editExercise');
			 			$scope.res.exerciseResponses[selectedExerciseForSwap] = data[0];
			 			newDataToFetch = selectedExerciseForSwap;
			 			//$scope.exerciseHistory($scope.res.exerciseResponses[newDataToFetch].exerciseUuid, newDataToFetch);
						$scope.getPhotoUrlRecom('EXER' , newDataToFetch , $scope.res.exerciseResponses[newDataToFetch].imageURL , 'img/dumbelCurl.png');
			 		}
			 		//alert(newDataToFetch);
			 		
			 		$scope.setDetailsForAddSwapContent = "";
			 		//runAPI(currentAPIDate);
				 	if (!$rootScope.$$phase) $rootScope.$apply();
				 	$('.addExercisewrapper input').each(function(){
						if($(this).attr("type") == 'text' || $(this).attr("type") == 'number'){
							if($(this).val() == '' || $(this).val() == null){
								if($(this).attr('id').substring(0,9) != 'setWeight')
									$(this).val('0');
							}
						}
					});
			 	}
			 	else{
			 		$scope.showingAlert("Please Try Again.");
			 	}
			 	if(jQuery.type($scope.res.exerciseResponses) == 'array'){
					if($scope.res.exerciseResponses.length == 0)
						$("#addExerciseBtnFull").show();
					else
						$("#addExerciseBtnFull").hide();
				}
				else{
					$("#addExerciseBtnFull").show();
				}
			}*/

			/*$scope.setDetailsForAddSwap = function(responseIndex){
				if($(".addFintnessExercise").is(":visible")){
					$("#chnageColor" + responseIndex).toggleClass('calbeChestPressSelected');
				}
				else{
					$(".dumbellChestPress").removeClass('calbeChestPressSelected');
					//$("#chnageColor" + responseIndex).addClass('calbeChestPressSelected');
					$("#chnageColorT" + responseIndex).addClass('calbeChestPressSelected');
					$scope.setDetailsForAddSwapContent = $scope.exerciseLists.items[responseIndex];
				}
			}*/

			var currentDeletedExerMain = '';
			$scope.deleteExercise = function(activityUUID , index){
				$("#entireExerBox" + index).hide();
				$scope.showingAlert("Exercise Has been Deleted.");
				currentDeletedExerMain = index;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities/" + activityUUID;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("DELETE", QueryString, "json", RequestHeaders, '', "deleteExerciseAfterAPI");
			}

			deleteExerciseAfterAPI = function (data , status){
			 	if(status == "200"){
			 		//runAPI(currentAPIDate);
			 		$scope.res.exerciseResponses.splice(currentDeletedExerMain, 1);
			 		refreshCurrentLastBurn($rootScope.futureFitnessDate);
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		$scope.showingAlert("Unable To Delete Exercise.");
			 		$("#entireExerBox" + currentDeletedExerMain).show();
			 	}
			 	if(jQuery.type($scope.res.exerciseResponses) == 'array'){
					if($scope.res.exerciseResponses.length == 0){
						$("#addExerciseBtnFull").show();
						$rootScope.buttonTextCreateAndSwap = "CREATE & ADD EXERCISE";
					}
					else
						$("#addExerciseBtnFull").hide();
				}
				else{
					$("#addExerciseBtnFull").show();
					$rootScope.buttonTextCreateAndSwap = "CREATE & ADD EXERCISE";
				}
			}

			/*var createAndSwapExerciseContent = "";
			$scope.createAndSwapExercise = function(method){
				createAndSwapExerciseContent = method;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/exercises";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "exerciseName=" + $scope.newExerciseName + "&exerciseType=" + $("input[name=newExerciseType]:checked").val() + "&met=" + $scope.newMetName + "&muscleGroupUuid=" + $('#muscleGroupss :selected').val();
				CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "createAndSwapExerciseAfterAPI");
			}

			createAndSwapExerciseAfterAPI = function (data , status){
			 	if(status == "200"){
			 		if (createAndSwapExerciseContent == "create"){
			 			$scope.showingAlert("Exercise has been created.");
			 			$scope.closePopUp('.addCustomExercise');
			 			$scope.newExerciseName = "";
			 			$scope.newMetName = "";
			 			//runAPI(currentAPIDate);
			 			if (!$rootScope.$$phase) $rootScope.$apply();
			 		}
			 		else{
			 			var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities";
						var RequestHeaders = [];
						var RequestHeadersParams = new Object();
						RequestHeadersParams.key = "Authorization";
						RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
						RequestHeaders.push(RequestHeadersParams);

						if ($scope.buttonTextCreateAndSwap == "CREATE & ADD EXERCISE"){
							var countselectedExerciseForSwap = selectedExerciseForSwap + 1;
							var params = "exerciseUuids=" + data.exerciseUuid + "&workoutDayUuid=" + $scope.res.workoutDayUuid + "&activityOrder=" + countselectedExerciseForSwap;
						}
						else{
							var params = "exerciseUuids=" + data.exerciseUuid + "&workoutDayUuid=" + $scope.res.workoutDayUuid + "&currentActivityUuid=" + $scope.activityUuid;
						}
						CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "addSwapExerciseTAfterAPI");
			 		}
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}

			addSwapExerciseTAfterAPI = function (data , status){
			 	if(status == "200"){
			 		var newDataToFetch = '';
			 		if(jQuery.type($scope.res.exerciseResponses) != 'array'){
			 			$scope.res.exerciseResponses = [];
			 		}
			 		if($scope.buttonTextCreateAndSwap == "CREATE & ADD EXERCISE"){
			 			$scope.showingAlert("Exercise has been created and Added Succesfully");
			 			$scope.res.exerciseResponses.splice(selectedExerciseForSwap + 1 , 0, data[0]);
			 			//$scope.res.exerciseResponses.push(data[0]);
			 			//newDataToFetch = $scope.res.exerciseResponses.length -1;
			 			newDataToFetch = selectedExerciseForSwap + 1;
			 		}
			 		else{
			 			$scope.showingAlert("Exercise has been created and Swapped Succesfully");
			 			$scope.res.exerciseResponses[selectedExerciseForSwap] = data[0];
			 			newDataToFetch = selectedExerciseForSwap;
			 		}
			 		//alert(newDataToFetch);
			 		//$scope.exerciseHistory($scope.res.exerciseResponses[newDataToFetch].exerciseUuid, newDataToFetch);
					$scope.getPhotoUrlRecom('EXER' , newDataToFetch , $scope.res.exerciseResponses[newDataToFetch].imageURL , 'img/dumbelCurl.png');
			 		$scope.closePopUp('.addCustomExercise');
			 		$scope.newExerciseName = "";
			 		$scope.newMetName = "";
			 		//runAPI(currentAPIDate);
			 		if (!$rootScope.$$phase) $rootScope.$apply();
			 		$('.addExercisewrapper input').each(function(){
						if($(this).attr("type") == 'text' || $(this).attr("type") == 'number'){
							if($(this).val() == '' || $(this).val() == null){
								if($(this).attr('id').substring(0,9) != 'setWeight')
									$(this).val('0');
							}
						}
					});
			 	}
			 	else{
			 		$scope.showingAlert("Please Try Again.");
			 	}
			 	if(jQuery.type($scope.res.exerciseResponses) == 'array'){
					if($scope.res.exerciseResponses.length == 0)
						$("#addExerciseBtnFull").show();
					else
						$("#addExerciseBtnFull").hide();
				}
				else{
					$("#addExerciseBtnFull").show();
				}
			}*/

			var valueBurned = '';
			var currentBurnExer = '';
			$scope.logExercise = function(exerciseUUID, activityUUID , burned , index){
				if(!burned)
					burnedS=true;
				else
					burnedS=false;
				valueBurned = burned;
				currentBurnExer = index;
				$scope.res.exerciseResponses[index].activityResponse.logged = burnedS;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/exercises/" + exerciseUUID + "/activities/" + activityUUID + "?burned=" + burnedS;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, '', "logExerciseAfterAPI");
			}

			logExerciseAfterAPI = function (data , status){
			 	if(status == "200"){
			 		//runAPI(currentAPIDate);
			 		refreshCurrentLastBurn($rootScope.futureFitnessDate);
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		$scope.showingAlert("Please Try Again to Log / Unlog");
			 		$scope.res.exerciseResponses[currentBurnExer].activityResponse.logged = valueBurned;
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}

			$scope.setArrayForAddCopyAuto = function(lengthOfActivities , activityUUID , responseIndex){
				if(lengthOfActivities == 0 ){
					var activityObject = new Object();
					activityObject.activityUuid = activityUUID;
					activityObject.activitySetUuid = null;
					activityObject.reps = null;
					activityObject.weights = null;
					activityObject.rest = null;
					activityObject.resistance = null;
					$scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses.push(activityObject);
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.setArrayForAddCopy = function(lengthOfActivities , activityUUID , responseIndex , method){
					if(CommonFactory.checkInternet()){
						//$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
						var myDate = $.datepicker.formatDate('yy-mm-dd',$rootScope.futureFormattedDate);
						if(CommonFactory.getCurrentDate() != myDate){
							alert(localStorage.getItem("offlineMsg"));
							return;
						}
					}
					if(method == "Add"){
						var activityObject = new Object();
						activityObject.activityUuid = activityUUID;
						activityObject.activitySetUuid = null;
						activityObject.reps = null;
						activityObject.weights = null;
						activityObject.rest = null;
						activityObject.resistance = null;
						$scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses.push(activityObject);
					}
					else{
						var activityObject = new Object();
						var numberForCopy = lengthOfActivities - 1;
						activityObject.activityUuid = activityUUID;
						activityObject.activitySetUuid = null; //$scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses[numberForCopy].activitySetUuid;
						activityObject.reps = $("#setReps" + responseIndex + '' + numberForCopy).val();//$scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses[numberForCopy].reps;
						activityObject.weights = $("#setWeight" + responseIndex + '' + numberForCopy).val();//$scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses[numberForCopy].weights;
						activityObject.rest = $("#setRest" + responseIndex + '' + numberForCopy).val();//$scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses[numberForCopy].rest;
						activityObject.resistance = $("#setResistance" + responseIndex + '' + numberForCopy).val();
						$scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses.push(activityObject);
					}
					setTimeout(function () {
						$scope.updateActivities(responseIndex , lengthOfActivities);
					},100);
					if (!$rootScope.$$phase) $rootScope.$apply();
					$('.addExercisewrapper input').each(function(){
						if($(this).attr("type") == 'text' || $(this).attr("type") == 'number'){
							if($(this).val() == '' || $(this).val() == null){
								//if($(this).attr('id').substring(0,9) != 'setWeight')
									//$(this).val('0');
							}
						}
					});
			}

			var updateActivityDataMainNo = '';
			var updateActivityDataSetNo = '';
			$scope.updateActivities = function(responseIndex , setNo){
				//alert("Updating Exercise : " + responseIndex + " , Set No. : " + setNo);
				var updateActivityCardiData = $scope.res.exerciseResponses[responseIndex].activityResponse.workoutDayUuid;
				var updateActivityData = $scope.res.exerciseResponses[responseIndex].activityResponse.activitySetResponses;
				
				if(CommonFactory.checkInternet()){
					//$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
					var myDate = $.datepicker.formatDate('yy-mm-dd',$rootScope.futureFormattedDate);
					if(CommonFactory.getCurrentDate() != myDate){
						alert(localStorage.getItem("offlineMsg"));
						return;
					}
				}
				//for(var i = 0; i < setNo; i++){
					var i = setNo;
					updateActivityDataMainNo = responseIndex;
					updateActivityDataSetNo = setNo;
					if($scope.res.exerciseResponses[responseIndex].type == 'CARDIO'){
						var QueryString = "api/people/" + localStorage.getItem("uuid") + "/exercises/" + $scope.res.exerciseResponses[responseIndex].exerciseUuid + "/activities/" + updateActivityData[i].activityUuid;
						var RequestHeaders = [];
						var RequestHeadersParams = new Object();
						RequestHeadersParams.key = "Authorization";
						RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
						RequestHeaders.push(RequestHeadersParams);
							updateActivityData[i].reps = $("#setDistance" + responseIndex + '' + i).val();
							updateActivityData[i].weights = $("#setDuration" + responseIndex + '' + i).val();
							var distanceUnitVal = $("#setRestO" + responseIndex + '' + i + ' :selected').val();
						if (updateActivityData[i].reps == null)
							updateActivityData[i].reps = "";
						if(updateActivityData[i].weights == null)
							updateActivityData[i].weights = "";
						var durationHour = $("#setDuration" + responseIndex + '' + i).val();
						var durationMin = $("#setDuration2" + responseIndex + '' + i).val();
						var durationSec = $("#setDuration3" + responseIndex + '' + i).val();
						var params = "durationHour=" + durationHour + "&durationMin=" + durationMin + "&durationSec=" + durationSec + "&distance=" + updateActivityData[i].reps + "&distanceUnit=" + distanceUnitVal;
						//CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPI");
						$scope.res.exerciseResponses[responseIndex].activityResponse.durationHour = durationHour;
						$scope.res.exerciseResponses[responseIndex].activityResponse.durationMin = durationMin;
						$scope.res.exerciseResponses[responseIndex].activityResponse.durationSec = durationSec;
						$scope.res.exerciseResponses[responseIndex].activityResponse.distance = updateActivityData[i].reps;
						$scope.res.exerciseResponses[responseIndex].activityResponse.distanceUnit = distanceUnitVal;
						if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(function(tx) {
								tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, weight integer, reps integer, rest integer )');
								tx.executeSql("SELECT qstring FROM FitnessOfflineSync WHERE page='editSet';", [], function(tx, res) {
									if(res.rows.length < 1){
										tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityCardiData, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
											//$scope.showingAlert("Entered information updated successfully in offline mode");
											var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
											db.transaction(function(tx) {
												tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
												tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
													if(res.rows.length > 0){
														db.transaction(function(tx) {
															tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
															tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
															tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
															}, function(e) {
															  console.log("ERROR: " + e.message);
															});
														});
													}
												});
											});
										}, function(e) {
											console.log("ERROR: " + e.message);
										});
									}
									else{
										tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actId='"+ updateActivityData[i].activityUuid +"' ;", [], function(tx, res) {
											if(res.rows.length < 1){
												tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityCardiData, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
													//$scope.showingAlert("Entered information updated successfully in offline mode");
													var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
													db.transaction(function(tx) {
														tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
														tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
															if(res.rows.length > 0){
																db.transaction(function(tx) {
																	tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																	tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																	tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																	}, function(e) {
																	  console.log("ERROR: " + e.message);
																	});
																});
																
															}
														});
													});
													
												}, function(e) {
													console.log("ERROR: " + e.message);
												});
											}
											else{
												//tx.executeSql("UPDATE FitnessOfflineSync SET qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "' WHERE page='editSet' AND actId='"+ updateActivityData[i].activityUuid +"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
												tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityCardiData +"' ;", [], function(tx, res) {
													if(res.rows.length < 1){
														tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityCardiData, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
															//$scope.showingAlert("Entered information updated successfully in offline mode");
															var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
															db.transaction(function(tx) {
																tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																	if(res.rows.length > 0){
																		db.transaction(function(tx) {
																			tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																			tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																			tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																			}, function(e) {
																			  console.log("ERROR: " + e.message);
																			});
																		});
																		
																	}
																});
															});
															
														}, function(e) {
															console.log("ERROR: " + e.message);
														});
													}
													else{
														//tx.executeSql("UPDATE FitnessOfflineSync SET qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "', callback='updateActivitiesAfterAPI', weight='"+ updateActivityData[i].weights +"', reps='"+ updateActivityData[i].reps +"',rest='"+  updateActivityData[i].rest +"'  WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"';", [], databaseFactory.errorCB, databaseFactory.successCB);
													
														tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, weight integer, reps integer, rest integer )');
														tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityCardiData +"' ;", [], function(tx, res) {
															if(res.rows.length > 0){
																tx.executeSql("DELETE FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityCardiData +"';", [], databaseFactory.errorCB, databaseFactory.successCB);
																tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityCardiData, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
																	//$scope.showingAlert("Entered information updated successfully in offline mode");
																	var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
																	db.transaction(function(tx) {
																		tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																		tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																			if(res.rows.length > 0){
																				db.transaction(function(tx) {
																					tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																					tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																					tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																					}, function(e) {
																					  console.log("ERROR: " + e.message);
																					});
																				});
																				
																			}
																		});
																	});
																});
															}
														});
													}
												});
											}
										});
									}
								});
								
							});
						}else{
							if($rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
									tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
										if(res.rows.length > 0){
											db.transaction(function(tx) {
												tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
												tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
												tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
												}, function(e) {
												  console.log("ERROR: " + e.message);
												});
											});
										}
									});
								});
							}
							CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPI");
						}
					}

					else if ($scope.res.exerciseResponses[responseIndex].type == 'TIMED_RESISTANCE'){
						if(updateActivityData[i].activitySetUuid == null){
							//$rootScope.showLoadingScreen = true;
							if (!$rootScope.$$phase) $rootScope.$apply();
							var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities/" + updateActivityData[i].activityUuid + "/activity_sets";
							var RequestHeaders = [];
							var RequestHeadersParams = new Object();
							RequestHeadersParams.key = "Authorization";
							RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
							RequestHeaders.push(RequestHeadersParams);
							updateActivityData[i].reps = $("#setReps" + responseIndex + '' + i).val();
							updateActivityData[i].weights = $("#setWeight" + responseIndex + '' + i).val();
							updateActivityData[i].rest = $("#setRest" + responseIndex + '' + i).val();
							updateActivityData[i].resistance = $("#setResistance" + responseIndex + '' + i).val();
							if (updateActivityData[i].reps == null)
								updateActivityData[i].reps = "";
							if(updateActivityData[i].resistance == null)
								updateActivityData[i].resistance = "";
							var params = "resistance=" + updateActivityData[i].resistance + "&rest=" + updateActivityData[i].reps;
							//CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPIT");
						
							if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineExerSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, actSetNumber integer )');
									tx.executeSql("SELECT * FROM FitnessOfflineExerSync WHERE page='addSet' ;", [], function(tx, res) {
										if(res.rows.length < 1){
											tx.executeSql("INSERT INTO FitnessOfflineExerSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,actSetNumber) VALUES (?,?,?,?,?,?,?,?,?,?,?)", ['addSet', currentAPIDate, 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPIT', updateActivityData[i].activityUuid, null, setNo], function(tx, res) {
												var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
												db.transaction(function(tx) {
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
													tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
														if(res.rows.length > 0){
															db.transaction(function(tx) {
																tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																}, function(e) {
																  console.log("ERROR: " + e.message);
																});
															});
														}
													});
												});
											}, function(e) {
												console.log("ERROR: " + e.message);
											});
										}
										else{
											//tx.executeSql("UPDATE FitnessOfflineExerSync SET Date ='" +currentAPIDate+ "', qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "', actId='"+updateActivityData[i].activityUuid+"' WHERE page = 'addSet' AND actSetNumber='"+setNo+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
											tx.executeSql("SELECT * FROM FitnessOfflineExerSync WHERE actSetNumber='"+setNo+"' ;", [], function(tx, res) {
												if(res.rows.length < 0){
													tx.executeSql("INSERT INTO FitnessOfflineExerSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,actSetNumber) VALUES (?,?,?,?,?,?,?,?,?,?,?)", ['addSet', currentAPIDate, 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPIT', updateActivityData[i].activityUuid, null, setNo], function(tx, res) {});
												}
												else{
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineExerSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, actSetNumber integer )');
													tx.executeSql("DELETE FROM FitnessOfflineExerSync WHERE actId='"+updateActivityData[i].activityUuid+"' AND actSetNumber='"+setNo+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql("INSERT INTO FitnessOfflineExerSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,actSetNumber) VALUES (?,?,?,?,?,?,?,?,?,?,?)", ['addSet', currentAPIDate, 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPIT', updateActivityData[i].activityUuid, null, setNo], function(tx, res) {});
												}
											});
											
											var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
											db.transaction(function(tx) {
												tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
												tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
													if(res.rows.length > 0){
														db.transaction(function(tx) {
															tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
															tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
															tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
															}, function(e) {
															  console.log("ERROR: " + e.message);
															});
														});
													}
												});
											});
										}
									});
								});
							}
							else{
								if($rootScope.offlineDbFuctionality){
									var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
									db.transaction(function(tx) {
										tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
										tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
											if(res.rows.length > 0){
												db.transaction(function(tx) {
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
													tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
													}, function(e) {
													  console.log("ERROR: " + e.message);
													});
												});
											}
										});
									});
								}
								CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPIT");
							}
						}
						else{
							var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities/" + updateActivityData[i].activityUuid + "/activity_sets/" + updateActivityData[i].activitySetUuid;
							var RequestHeaders = [];
							var RequestHeadersParams = new Object();
							RequestHeadersParams.key = "Authorization";
							RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
							RequestHeaders.push(RequestHeadersParams);
							updateActivityData[i].reps = $("#setReps" + responseIndex + '' + i).val();
							updateActivityData[i].weights = $("#setWeight" + responseIndex + '' + i).val();
							updateActivityData[i].rest = $("#setRest" + responseIndex + '' + i).val();
							updateActivityData[i].resistance = $("#setResistance" + responseIndex + '' + i).val();
							if (updateActivityData[i].reps == null)
								updateActivityData[i].reps = "";
							if(updateActivityData[i].resistance == null)
								updateActivityData[i].resistance = "";
							var params = "resistance=" + updateActivityData[i].resistance + "&rest=" + updateActivityData[i].reps;
							//CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPI");
						
							if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, weight integer, reps integer, rest integer )');
									tx.executeSql("SELECT qstring FROM FitnessOfflineSync WHERE page='editSet';", [], function(tx, res) {
										if(res.rows.length < 1){
											tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
												//$scope.showingAlert("Entered information updated successfully in offline mode");
												var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
												db.transaction(function(tx) {
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
													tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
														if(res.rows.length > 0){
															db.transaction(function(tx) {
																tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																	
																}, function(e) {
																  console.log("ERROR: " + e.message);
																});
															});
														}
													});
												});
											}, function(e) {
												console.log("ERROR: " + e.message);
											});
										}
										else{
											tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actId='"+ updateActivityData[i].activityUuid +"' ;", [], function(tx, res) {
												if(res.rows.length < 1){
													tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
														//$scope.showingAlert("Entered information updated successfully in offline mode");
														var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
														db.transaction(function(tx) {
															tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
															tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																if(res.rows.length > 0){
																	db.transaction(function(tx) {
																		tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																		tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																		tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																			
																		}, function(e) {
																		  console.log("ERROR: " + e.message);
																		});
																	});
																	
																}
															});
														});
														
													}, function(e) {
														console.log("ERROR: " + e.message);
													});
												}
												else{
													//tx.executeSql("UPDATE FitnessOfflineSync SET qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "' WHERE page='editSet' AND actId='"+ updateActivityData[i].activityUuid +"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"' ;", [], function(tx, res) {
														if(res.rows.length < 1){
															tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
																//$scope.showingAlert("Entered information updated successfully in offline mode");
																var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
																db.transaction(function(tx) {
																	tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																	tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																		if(res.rows.length > 0){
																			db.transaction(function(tx) {
																				tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																				tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																				tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																					
																				}, function(e) {
																				  console.log("ERROR: " + e.message);
																				});
																			});
																			
																		}
																	});
																});
																
															}, function(e) {
																console.log("ERROR: " + e.message);
															});
														}
														else{
															//tx.executeSql("UPDATE FitnessOfflineSync SET qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "', callback='updateActivitiesAfterAPI', weight='"+ updateActivityData[i].weights +"', reps='"+ updateActivityData[i].reps +"',rest='"+  updateActivityData[i].rest +"'  WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"';", [], databaseFactory.errorCB, databaseFactory.successCB);
														
															tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, weight integer, reps integer, rest integer )');
															tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"' ;", [], function(tx, res) {
																if(res.rows.length > 0){
																	tx.executeSql("DELETE FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"';", [], databaseFactory.errorCB, databaseFactory.successCB);
																	tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
																		//$scope.showingAlert("Entered information updated successfully in offline mode");
																		var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
																		db.transaction(function(tx) {
																			tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																			tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																				if(res.rows.length > 0){
																					db.transaction(function(tx) {
																						tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																						tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																						tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																							
																						}, function(e) {
																						  console.log("ERROR: " + e.message);
																						});
																					});
																					
																				}
																			});
																		});
																	});
																}
															});
														}
													});
												}
											});
										}
									});
								});
							}else{
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
									tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
										if(res.rows.length > 0 && $rootScope.offlineDbFuctionality){
											db.transaction(function(tx) {
												tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
												tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
												tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
												}, function(e) {
												  console.log("ERROR: " + e.message);
												});
											});
										}
										CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPI");
									});
								});
							}
						}
					}

					else if($scope.res.exerciseResponses[responseIndex].type == 'RESISTANCE'){
						if($("#setWeight" + responseIndex + '' + i).val() > 9999)
						{
							$("#setWeight" + responseIndex + '' + i).val(9999);
						}
						if(updateActivityData[i].activitySetUuid == null){
							//$rootScope.showLoadingScreen = true;
							if (!$rootScope.$$phase) $rootScope.$apply();
							var currentDate = CommonFactory.getCurrentDate();
							var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities/" + updateActivityData[i].activityUuid + "/activity_sets";
							var RequestHeaders = [];
							var RequestHeadersParams = new Object();
							RequestHeadersParams.key = "Authorization";
							RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
							RequestHeaders.push(RequestHeadersParams);
							updateActivityData[i].reps = $("#setReps" + responseIndex + '' + i).val();
							updateActivityData[i].weights = $("#setWeight" + responseIndex + '' + i).val();
							updateActivityData[i].rest = $("#setRest" + responseIndex + '' + i).val();
							if (updateActivityData[i].reps == null)
								updateActivityData[i].reps = "";
							if(updateActivityData[i].weights == null)
								updateActivityData[i].weights = "";
							if(updateActivityData[i].rest == null)
								updateActivityData[i].rest = "";
							var params = "duration=" + "0" + "&reps=" + updateActivityData[i].reps + "&weights=" + updateActivityData[i].weights + "&rest=" + updateActivityData[i].rest;
							
							if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineExerSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, actSetNumber integer )');
									tx.executeSql("SELECT * FROM FitnessOfflineExerSync WHERE page='addSet' ;", [], function(tx, res) {
										if(res.rows.length < 1){
											tx.executeSql("INSERT INTO FitnessOfflineExerSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,actSetNumber) VALUES (?,?,?,?,?,?,?,?,?,?,?)", ['addSet', currentAPIDate, 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPIT', updateActivityData[i].activityUuid, null, setNo], function(tx, res) {
												var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
												db.transaction(function(tx) {
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
													tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
														if(res.rows.length > 0){
															db.transaction(function(tx) {
																tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																}, function(e) {
																  console.log("ERROR: " + e.message);
																});
															});
														}
													});
												});
											}, function(e) {
												console.log("ERROR: " + e.message);
											});
										}
										else{
											//tx.executeSql("INSERT INTO FitnessOfflineExerSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,actSetNumber) VALUES (?,?,?,?,?,?,?,?,?,?,?)", ['addSet', CommonFactory.getCurrentDate(), 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPIT', updateActivityData[i].activityUuid, null, setNo], function(tx, res) {});
											tx.executeSql("SELECT * FROM FitnessOfflineExerSync WHERE actSetNumber='"+setNo+"' ;", [], function(tx, res) {
												if(res.rows.length < 0){
													tx.executeSql("INSERT INTO FitnessOfflineExerSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,actSetNumber) VALUES (?,?,?,?,?,?,?,?,?,?,?)", ['addSet', currentAPIDate, 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPIT', updateActivityData[i].activityUuid, null, setNo], function(tx, res) {});
												}
												else{
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineExerSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, actSetNumber integer )');
													tx.executeSql("DELETE FROM FitnessOfflineExerSync WHERE actId='"+updateActivityData[i].activityUuid+"' AND actSetNumber='"+setNo+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql("INSERT INTO FitnessOfflineExerSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,actSetNumber) VALUES (?,?,?,?,?,?,?,?,?,?,?)", ['addSet', currentAPIDate, 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPIT', updateActivityData[i].activityUuid, null, setNo], function(tx, res) {});
												}
											});
											
											var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
											db.transaction(function(tx) {
												tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
												tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
													if(res.rows.length > 0){
														db.transaction(function(tx) {
															tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
															tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
															tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
															}, function(e) {
															  console.log("ERROR: " + e.message);
															});
														});
													}
												});
											});
										}
									});
								});
							}
							else{
								if($rootScope.offlineDbFuctionality){
									var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
									db.transaction(function(tx) {
										tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
										tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
											if(res.rows.length > 0){
												db.transaction(function(tx) {
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
													tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
													}, function(e) {
													  console.log("ERROR: " + e.message);
													});
												});
											}
										});
									});
								}
								CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPIT");
							}
						}
						else{
							var currentDate = CommonFactory.getCurrentDate();
							var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities/" + updateActivityData[i].activityUuid + "/activity_sets/" + updateActivityData[i].activitySetUuid;
							var RequestHeaders = [];
							var RequestHeadersParams = new Object();
							RequestHeadersParams.key = "Authorization";
							RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
							RequestHeaders.push(RequestHeadersParams);
							updateActivityData[i].reps = $("#setReps" + responseIndex + '' + i).val();
							updateActivityData[i].weights = $("#setWeight" + responseIndex + '' + i).val();
							updateActivityData[i].rest = $("#setRest" + responseIndex + '' + i).val();
							if (updateActivityData[i].reps == null)
								updateActivityData[i].reps = "";
							if(updateActivityData[i].weights == null)
								updateActivityData[i].weights = "";
							if(updateActivityData[i].rest == null)
								updateActivityData[i].rest = "";
							var params = "duration=" + "0" + "&reps=" + updateActivityData[i].reps + "&weights=" + updateActivityData[i].weights + "&rest=" + updateActivityData[i].rest;
							//CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPI");
						
							if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, weight integer, reps integer, rest integer )');
									tx.executeSql("SELECT qstring FROM FitnessOfflineSync WHERE page='editSet';", [], function(tx, res) {
										if(res.rows.length < 1){
											tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
												//$scope.showingAlert("Entered information updated successfully in offline mode");
												var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
												db.transaction(function(tx) {
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
													tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
														if(res.rows.length > 0){
															db.transaction(function(tx) {
																tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																	
																}, function(e) {
																  console.log("ERROR: " + e.message);
																});
															});
														}
													});
												});
											}, function(e) {
												console.log("ERROR: " + e.message);
											});
										}
										else{
											tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actId='"+ updateActivityData[i].activityUuid +"' ;", [], function(tx, res) {
												if(res.rows.length < 1){
													tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
														//$scope.showingAlert("Entered information updated successfully in offline mode");
														var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
														db.transaction(function(tx) {
															tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
															tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																if(res.rows.length > 0){
																	db.transaction(function(tx) {
																		tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																		tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																		tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																			
																		}, function(e) {
																		  console.log("ERROR: " + e.message);
																		});
																	});
																	
																}
															});
														});
														
													}, function(e) {
														console.log("ERROR: " + e.message);
													});
												}
												else{
													//tx.executeSql("UPDATE FitnessOfflineSync SET qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "' WHERE page='editSet' AND actId='"+ updateActivityData[i].activityUuid +"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"' ;", [], function(tx, res) {
														if(res.rows.length < 1){
															tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
																//$scope.showingAlert("Entered information updated successfully in offline mode");
																var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
																db.transaction(function(tx) {
																	tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																	tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																		if(res.rows.length > 0){
																			db.transaction(function(tx) {
																				tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																				tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																				tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																					
																				}, function(e) {
																				  console.log("ERROR: " + e.message);
																				});
																			});
																			
																		}
																	});
																});
																
															}, function(e) {
																console.log("ERROR: " + e.message);
															});
														}
														else{
															//tx.executeSql("UPDATE FitnessOfflineSync SET qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "', callback='updateActivitiesAfterAPI', weight='"+ updateActivityData[i].weights +"', reps='"+ updateActivityData[i].reps +"',rest='"+  updateActivityData[i].rest +"'  WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"';", [], databaseFactory.errorCB, databaseFactory.successCB);
														
															tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessOfflineSync (id integer primary key, page text, Date text, method text, qstring text, rtype text, rheader text, params text, callback integer, actId integer, actSetId integer, weight integer, reps integer, rest integer )');
															tx.executeSql("SELECT * FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"' ;", [], function(tx, res) {
																if(res.rows.length > 0){
																	tx.executeSql("DELETE FROM FitnessOfflineSync WHERE page='editSet' AND actSetId='"+ updateActivityData[i].activitySetUuid +"';", [], databaseFactory.errorCB, databaseFactory.successCB);
																	tx.executeSql("INSERT INTO FitnessOfflineSync (page,Date,method,qstring,rtype,rheader,params,callback,actId,actSetId,weight,reps,rest) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)", ['editSet', currentAPIDate, 'PUT', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'updateActivitiesAfterAPI', updateActivityData[i].activityUuid, updateActivityData[i].activitySetUuid, updateActivityData[i].weights, updateActivityData[i].reps, updateActivityData[i].rest], function(tx, res) {
																		//$scope.showingAlert("Entered information updated successfully in offline mode");
																		var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
																		db.transaction(function(tx) {
																			tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																			tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
																				if(res.rows.length > 0){
																					db.transaction(function(tx) {
																						tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
																						tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
																						tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
																							
																						}, function(e) {
																						  console.log("ERROR: " + e.message);
																						});
																					});
																					
																				}
																			});
																		});
																	});
																}
															});
														}
													});
												}
											});
										}
									});
								});
							}else{
								CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "updateActivitiesAfterAPI");
								if($rootScope.offlineDbFuctionality){
									var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
									db.transaction(function(tx) {
										tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
										tx.executeSql('SELECT fitplanresponse FROM FitnessPlanDay WHERE fitplandate="'+currentAPIDate+'"', [], function(tx, res) {
											if(res.rows.length > 0){
												db.transaction(function(tx) {
													tx.executeSql('CREATE TABLE IF NOT EXISTS FitnessPlanDay (id integer primary key, fitplandate text, fitplanresponse text)');
													tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [currentAPIDate, JSON.stringify($scope.res)], function(tx, res) {
													}, function(e) {
													  console.log("ERROR: " + e.message);
													});
												});
											}
										});
									});
								}
							}
						}
					}
				//}
			}

			updateActivitiesAfterAPI = function (data , status){
			 	if(status == "200"){
					//runAPI(currentAPIDate);
				 	//if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	refreshCurrentLastBurn($rootScope.futureFitnessDate);
			}

			updateActivitiesAfterAPIT = function (data , status){
			 	if(status == "200"){
					if($rootScope.offlineDbFuctionality){
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						db.transaction(function(tx){
							tx.executeSql("DELETE FROM FitnessOfflineExerSync WHERE actId='"+$rootScope.keyIDForRemove+"' AND actSetNumber = '"+$rootScope.keyForRemove+"';", [], databaseFactory.errorCB, databaseFactory.successCB);
							tx.executeSql("SELECT * FROM FitnessOfflineExerSync ORDER BY actSetNumber ASC;", [], function(tx, res) {
								if(res.rows.length > 0){
									var TableData = res.rows.item(0);
									$rootScope.keyIDForRemove = TableData.actId;
									$rootScope.keyForRemove = TableData.actSetNumber;
									CommonFactory.makeRequest(TableData.method, TableData.qstring, TableData.rtype, JSON.parse(TableData.rheader), TableData.params, TableData.callback);
								}
							});
						});
					}
					$scope.res.exerciseResponses[updateActivityDataMainNo].activityResponse.activitySetResponses[updateActivityDataSetNo].activitySetUuid = data.activitySetUuid;
			 	}
			 	refreshCurrentLastBurn($rootScope.futureFitnessDate);
			}

			$scope.saveFitnessPlan = function(){
				var imageData = $scope.imageDataForUploadFitness;
				if(imageData != "" && imageData != null && imageData != 'null') {
					var options = new FileUploadOptions();
					var params = {};
						params.name = $scope.saveFitnessName;
						params.startDate = $scope.saveFitnessStartDate;
						params.endDate = $scope.saveFitnessEndDate;
						params.saveRecordedValues = $('#radioSavePlan').is(':checked');
						params.fitnessPlanType = $('#fitnessType :selected').val();
						params.fitnessLevel = $('#fitnessLevele :selected').val();
						params.equipmentType = $('#ePlanType :selected').val();
						params.description = $scope.discription;
					var headers = { 'Authorization': 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")) };
					options.mimeType = "image/jpeg";
					options.headers = headers;
					options.params = params;
					options.fileKey = "image";
					options.fileName = imageData.substr(imageData.lastIndexOf('/') + 1);
					options.chunkedMode = false;
					var ft = new FileTransfer();
					var QueryString = baseURL + "api/people/" + localStorage.getItem("uuid") + "/fitness_plan";
					ft.upload(imageData, encodeURI(QueryString), function (r) {
						$scope.showingAlert("Fitness Plan Created successfully.");
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
			 				$scope.closePopUp('.saveFitnessPlanPopUp');
			 				$scope.resetPopupSaveFitness();
			 				//runAPI(currentAPIDate);
				 			if (!$rootScope.$$phase) $rootScope.$apply();
				 		});
					}, function (error) {
						//alert(JSON.stringify(error));
					}, options, true);
			 		
				 	return;
				}
				else{
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/fitness_plan";
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					var params = "name=" + $scope.saveFitnessName + "&startDate=" + $scope.saveFitnessStartDate + "&endDate=" + $scope.saveFitnessEndDate + "&saveRecordedValues=" + $('#radioSavePlan').is(':checked') + "&fitnessPlanType=" + $('#fitnessType :selected').val() + "&fitnessLevel=" + $('#fitnessLevele :selected').val() + "&equipmentType=" + $('#ePlanType :selected').val() + "&description=" + $scope.discription;
					CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "saveFitnessPlanAfterAPI");
				}
			}

			saveFitnessPlanAfterAPI = function (data , status){
			 	if(status == "200"){
			 		$scope.showingAlert("Fitness Plan Created successfully.");
			 		$scope.closePopUp('.saveFitnessPlanPopUp');
			 		$scope.resetPopupSaveFitness();
			 		//runAPI(currentAPIDate);
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}

			$scope.resetPopupSaveFitness = function(){
				$scope.saveFitnessName = '';
 				$('#saveStartDate').val('');
 				$('#saveEndDate').val('');
 				$('#radioSavePlan').attr('checked', false);
 				$scope.fitnessType = '';
 				$scope.fitnessLevele = '';
 				$scope.ePlanType = '';
 				$scope.imageDataForUploadFitness = '';
 				$('#imageDataSaveFitnessPlan').val('+ Add Image');
 				$scope.discription = '';
			}

			$scope.imageDataForUploadFitness = "";
			uploadFitnessPlanImage = function(imageData){
				$scope.imageDataForUploadFitness = imageData;
				$("#imageDataSaveFitnessPlan").val("image.jpeg");
				console.log($scope.imageDataForUploadFitness);
			}

			/*$scope.modelArray = [];
			$scope.setUniqueModel = function(){
				$scope.modelArray = [];
				for(var i = 0; i < $scope.res.exerciseResponses.length; i++){
					var exerType = '';
					var innerArray = [];
					if($scope.res.exerciseResponses[i].type == 'RESISTANCE'){
						exerType = $scope.res.exerciseResponses[i].type;
					}
					else if($scope.res.exerciseResponses[i].type == 'CARDIO'){
						exerType = $scope.res.exerciseResponses[i].type;
					}
					else{
						exerType = $scope.res.exerciseResponses[i].type;
					}
					
					if($scope.res.exerciseResponses[i].activityResponse.activitySetResponses.length > 0){
						for(var j = 0; j < $scope.res.exerciseResponses[i].activityResponse.activitySetResponses.length; j++){
							innerArrayContent = new Object();
							innerArrayContent.model = exerType + i + '' + j;
							innerArray.push(innerArrayContent);
						}
						$scope.modelArray.push(innerArray);
					}
					else{
						innerArrayContent = new Object();
						innerArrayContent.model = exerType + i + '' + 0;
						innerArray.push(innerArrayContent);
						$scope.modelArray.push(innerArray);
					}
				}
				alert(JSON.stringify($scope.modelArray));
				if (!$rootScope.$$phase) $rootScope.$apply();
			}*/

			$scope.showHistoryPopup = function(){
				$scope.popupdiv('.editExercise');
				$("#myTab li a").each(function(index, value){
					if(index == 1)
						$(this).click();
				});
			}

			$scope.redirectToAddSwapExercisePage = function(method , responseIndex , fitnessPlanName , muscleGroup , muscleGroupUUID , selectedExerciseUuidSwap , exerciseType){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				$rootScope.selectedExerAddSwap = responseIndex;
				$rootScope.selectedFitnessPlanName = fitnessPlanName;
				$rootScope.selectedExerciseType = 'RESISTANCE';
				if($('#addExerciseBtnFull').is(':visible'))
					$rootScope.zeroExercises = true;
				else
					$rootScope.zeroExercises = false;
				if(method == 'swap'){
					$rootScope.selectedExerciseImageSrc = $('#imageEXER' + responseIndex).attr('src');
					$rootScope.activityUuid = $scope.res.exerciseResponses[responseIndex].activityResponse.activityUuid;
					$rootScope.selectedExerciseType = exerciseType;
				}
				$rootScope.selectedPlanMuscleGroup = muscleGroup;
				$rootScope.selectedPlanMuscleGroupUUID = muscleGroupUUID;
				$rootScope.selectedExerciseUuidSwap = selectedExerciseUuidSwap;
				if(method == 'add'){
					$rootScope.buttonTextCreateAndSwap = "CREATE & ADD EXERCISE";
					$rootScope.addSwapText = 'ADD';
				}
				else{
					$rootScope.buttonTextCreateAndSwap = "CREATE & SWAP EXERCISE";
					$rootScope.addSwapText = 'SWAP';
				}
				if($scope.res.trackOnly || ($rootScope.zeroExercises && $scope.res.workoutDayUuid == null)){
					$scope.createFitnessPlan();
				}
				else{
					$rootScope.selectedDayWorkoutUUID = $scope.res.workoutDayUuid;
					$rootScope.workoutPlanName = $scope.res.workoutPlanName;
					$scope.redirectToPage('fitnessPlanSwapExer');
				}
			}

			$scope.editPlanOffline = function() {
				if(!CommonFactory.checkInternet()){					
					$scope.popupdiv('.fitnessPlanPopUp');
				}
				else{
					alert(localStorage.getItem("offlineMsg"));
				}
			}

		}	
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('getFitnessPlanCtrl', ['$scope', '$rootScope', '$location', 'databaseFactory', 'CommonFactory', '$anchorScroll',
	function ($scope, $rootScope, $location, databaseFactory, CommonFactory, $anchorScroll) {
		try{
			//$scope.pageNumber = 0;
			//$scope.maxResult = 50;
			//$scope.resultsSize = 50;
			//$scope.scrollStart = false;
			//$scope.res = [];
			$scope.savedPlanLoad = false;
			$scope.allPlansLoad = false;
			$scope.savedPlanLoadR = false;
			$scope.savedPlanLoadS = false;
			$scope.savedPlanLoadA = false;
			
			$scope.loadFitnessPlanPage = function(){
				//$scope.loadFitnessPlans();
				$scope.showPlans();
				$scope.tabTitle();
				$scope.tabHeight();
				$("#myTab > li:first-child").addClass('active');
			}
			/*setTimeout(function () {
				$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.allDiet').height() - $('#myTab').height());
				$('.popupSibling').scroll(function(){
				if ($(this).scrollTop() > $scope.topMargin) {
					$("#myTab").addClass("sticky");
					$("#content").addClass("stickyPush");
				} else {
					$("#myTab").removeClass("sticky");
					$("#content").removeClass("stickyPush");
					}
				});
				if (!$rootScope.$$phase) $rootScope.$apply();
			},1000);*/
			
			/*$scope.loadFitnessPlans = function(){
				return;
				if ($scope.scrollStart) {
					return;
				}
				$scope.scrollStart = true;
				activePageName = $rootScope.currentLocation.substring(1);
				$scope.dateNextPrev();
				var QueryString = "api/fitness_plans?fitnessPlanFilter=ALL&firstResult=" + $scope.pageNumber + "&maxResult=" + $scope.maxResult;
                var RequestHeaders = [];
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "fitnessPlansInfiAfterAPI");
			}
			fitnessPlansInfiAfterAPI = function(data , status){
				if(status == "200"){
					if(data.length == 0){
						$scope.scrollStart = true;
						return;
					}
					for (var i = 0; i < data.length; i++) {
                		$scope.res.push(data[i]);
					}
					$scope.pageNumber = $scope.pageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				$scope.scrollStart = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
			}*/
			
			/*scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/fitnessPlanTabs")
					$scope.loadFitnessPlans();
			}*/

			
			$scope.next = function () {
				$scope.tabHeight();
				var $slider = $("#myTab > li.active");
				setTimeout(function () {
					$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.allDiet').height() - $('#myTab').height());
					if (!$rootScope.$$phase) $rootScope.$apply();
				},500);
				if ($slider.prev().length != 0){
					$("#myTab > li.active").removeClass("active").prev("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").prev("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					$scope.tabTitle();
					if($("#recommended").hasClass('active')){
						
					}
					if($("#savedPlan").hasClass('active')){
						$scope.fitnessPlansSaved($scope.savedPlanLoad);
					}
					if($("#seeAll").hasClass('active')){
						$scope.fitnessPlansAll($scope.allPlansLoad);
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
				}
				refreshScrollers();
				
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				$(".tabs").css("min-height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
			};
			
			$scope.topMarRefresh = function () {
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				$(".tabs").css("min-height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
			};
			
			$scope.prev = function () {
				$scope.tabHeight();
				var $slider = $("#myTab > li.active");
				setTimeout(function () {
					$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.allDiet').height() - $('#myTab').height());
					if (!$rootScope.$$phase) $rootScope.$apply();
				},500);
				if ($slider.next().length != 0){
					$("#myTab > li.active").removeClass("active").next("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").next("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					$scope.tabTitle();
					if($("#recommended").hasClass('active')){
						
					}
					if($("#savedPlan").hasClass('active')){
						$scope.fitnessPlansSaved($scope.savedPlanLoad);
					}
					if($("#seeAll").hasClass('active')){
						$scope.fitnessPlansAll($scope.allPlansLoad);
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
				}
				refreshScrollers();
				
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				$(".tabs").css("min-height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
				
			};
 
			$("#fitnessPlanPage").show();

			$scope.showPlans = function () {
                $scope.dateNextPrev();	
				$scope.fitnessRecom();
				//$scope.fitnessPlansSaved();
				//$scope.fitnessPlansAll();
            }
			
			$scope.pageNumberRecom = 0;
			$scope.pageNumberSaved = 0;
			$scope.pageNumberAll = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStartRecommend = false;
			$scope.scrollStartSaved = false;
			$scope.scrollStartSeeall = false;
			$scope.resRecomPlans = [];
			$scope.resSavedPlans = [];
			$scope.resAllPlans = [];
			$rootScope.selectedUUIDforPlanFollowFitness == '';
			
			scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/fitnessPlanTabs"){
					if($("#recommended").hasClass('active')){
						$scope.scrollFitReco = true;
						if ($scope.scrollStartRecommend) {
							return;
						}
						$scope.scrollStartRecommend = true;
						$scope.fitnessRecom();
					}
					if($("#savedPlan").hasClass('active')){
						$scope.scrollFitSave = true;
						if ($scope.scrollStartSaved) {
							return;
						}
						$scope.scrollStartSaved = true;
						$scope.fitnessPlansSaved(false);
					}
					if($("#seeAll").hasClass('active')){
						$scope.scrollFitAll = true;
						if ($scope.scrollStartSeeall) {
							return;
						}
						$scope.scrollStartSeeall = true;
						$scope.fitnessPlansAll(false);
					}
				}
			}
			
			$scope.fitnessRecom = function () {
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/fitness_plans?fitnessPlanFilter=RECOMMENDED&firstResult=" + $scope.pageNumberRecom + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getRecFitPlanFollow, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "fitnessPlansRecomAfterAPI");
				}
			}

			getRecFitPlanFollow = function (tx) {
				var currentDate = CommonFactory.getCurrentDate();
				tx.executeSql('SELECT fpffReco FROM FitnessPlansforfollow WHERE fpffdate="'+currentDate+'"', [], databaseFactory.getRecFitPlan, databaseFactory.errorCB);
			}
			UpdateFitPlanFollowRecoDB = function (tx) {
				tx.executeSql("UPDATE FitnessPlansforfollow SET fpffReco ='" +$rootScope.FitPlanFollowReco+"' WHERE fpffdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			fitnessPlansRecomAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			 	if(status == "200"){
			 		//$scope.resRecomPlans = data;
			 		$scope.savedPlanLoadR = true;
			 		if (!$rootScope.$$phase) $rootScope.$apply();
					
					$rootScope.FitPlanFollowReco = JSON.stringify(data);
					$rootScope.currentDate2 = CommonFactory.getCurrentDate();
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if(!$scope.scrollFitReco){
							$scope.scrollFitSave = false;
							if($rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(UpdateFitPlanFollowRecoDB, databaseFactory.errorCB, databaseFactory.successCB);
							}
						}
					}
					
					if(data.length == 0){
						$scope.scrollStartRecommend = true;
						return;
					}
					$scope.resRecomPlans = [];
					for (var i = 0; i < data.length; i++) {
						if(!CommonFactory.checkInternet()){
							if(data[i].imageURL == null || data[i].imageURL == ""){
								data[i].imageURL = data[i].defaultImageURL;
							}
							else{
								data[i].imageURL = data[i].imageURL + '/w220';
							}
						}else{
							data[i].imageURL = "img/exerciseDefaultImg.jpg";
						}
                		$scope.resRecomPlans.push(data[i]);
					}
					$scope.pageNumberRecom = $scope.pageNumberRecom + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
					if (!$rootScope.$$phase) $rootScope.$apply();
					$scope.topMarRefresh();
			 	}
				$scope.topMarRefresh();
			 	$scope.savedPlanLoadR = true;
				$scope.scrollStartRecommend = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.fitnessPlansSaved = function (tabFetched) {
				if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			 	var QueryString = "api/fitness_plans?fitnessPlanFilter=MY_SAVED_PLANS&firstResult=" + $scope.pageNumberSaved + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getSavedFitPlanFollow, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "fitnessPlansSavedAfterAPI");
				}
			}

			getSavedFitPlanFollow = function (tx) {
				var currentDate = CommonFactory.getCurrentDate();
				tx.executeSql('SELECT fpffSaved FROM FitnessPlansforfollow WHERE fpffdate="'+currentDate+'"', [], databaseFactory.getSavedFitPlan, databaseFactory.errorCB);
			}
			UpdateFitPlanFollowSaveDB = function (tx) {
				tx.executeSql("UPDATE FitnessPlansforfollow SET fpffSaved ='" +$rootScope.FitPlanFollowSave+"' WHERE fpffdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}

			fitnessPlansSavedAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			 	if(status == "200"){
			 		//$scope.resSavedPlans = data;
			 		$scope.savedPlanLoadS = true;
			 		$scope.savedPlanLoad = true;
			 		if (!$rootScope.$$phase) $rootScope.$apply();
					
					$rootScope.FitPlanFollowSave = JSON.stringify(data);
					$rootScope.currentDate2 = CommonFactory.getCurrentDate();
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if(!$scope.scrollFitSave){
							$scope.scrollFitSave = false;
							if($rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(UpdateFitPlanFollowSaveDB, databaseFactory.errorCB, databaseFactory.successCB);
							}
						}
					}
					
					if(data.length == 0){
						$scope.scrollStartSaved = true;
						return;
					}
					$scope.resSavedPlans = [];
					for (var i = 0; i < data.length; i++) {
						if(!CommonFactory.checkInternet()){
							if(data[i].imageURL == null || data[i].imageURL == ""){
								data[i].imageURL = data[i].defaultImageURL;
							}
							else{
								data[i].imageURL = data[i].imageURL + '/w220';
							}
						}else{
							data[i].imageURL = "img/exerciseDefaultImg.jpg";
						}
                		$scope.resSavedPlans.push(data[i]);
					}
					$scope.pageNumberSaved = $scope.pageNumberSaved + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
			 		if (!$rootScope.$$phase) $rootScope.$apply();
			 	}		
				$scope.scrollStartSaved = false;
				$scope.savedPlanLoadS = true;	
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.fitnessPlansAll = function (tabFetched) {
				if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			 	var QueryString = "api/fitness_plans?fitnessPlanFilter=ALL&firstResult=" + $scope.pageNumberAll + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getAllFitPlanFollow, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "fitnessPlansAllAfterAPI");
				}
			}

			getAllFitPlanFollow = function (tx) {
				var currentDate = CommonFactory.getCurrentDate();
				tx.executeSql('SELECT fpffAll FROM FitnessPlansforfollow WHERE fpffdate="'+currentDate+'"', [], databaseFactory.getAllFitPlan, databaseFactory.errorCB);
			}
			UpdateFitPlanFollowAllDB = function (tx) {
				tx.executeSql("UPDATE FitnessPlansforfollow SET fpffAll ='" +$rootScope.FitPlanFollowAll+"' WHERE fpffdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}

			fitnessPlansAllAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			 	if(status == "200"){
			 		//$scope.resAllPlans = data;
			 		$scope.savedPlanLoadA = true;
			 		$scope.allPlansLoad = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					
					$rootScope.FitPlanFollowAll = JSON.stringify(data);
					$rootScope.currentDate2 = CommonFactory.getCurrentDate();
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if(!$scope.scrollFitAll){
							$scope.scrollFitAll = false;
							if($rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(UpdateFitPlanFollowAllDB, databaseFactory.errorCB, databaseFactory.successCB);
							}
						}
					}
					
					if(data.length == 0){
						$scope.scrollStartSeeall = true;
						return;
					}
					$scope.resAllPlans = [];
					for (var i = 0; i < data.length; i++) {
						if(!CommonFactory.checkInternet()){
							if(data[i].imageURL == null || data[i].imageURL == ""){
								data[i].imageURL = data[i].defaultImageURL;
							}
							else{
								data[i].imageURL = data[i].imageURL + '/w220';
							}
						}else{
							data[i].imageURL = "img/exerciseDefaultImg.jpg";
						}
                		$scope.resAllPlans.push(data[i]);
					}
					$scope.pageNumberAll = $scope.pageNumberAll + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	$scope.savedPlanLoadA = true;
				$scope.scrollStartSeeall = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			var runFollDate ;
			runFollowPlan = function(date){
				$rootScope.showLoadingScreen = true;
				runFollDate = date;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if($rootScope.selectedUUIDforPlanFollowFitness == null || $rootScope.selectedUUIDforPlanFollowFitness == '' || $rootScope.selectedUUIDforPlanFollowFitness == undefined)
					return;
				var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/fitness_plan";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "fitnessPlanToBeFollowedUUID=" + $rootScope.selectedUUIDforPlanFollowFitness + "&startDate=" + date;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "followedPlanAfterAPI");
			}

			$scope.followPlan = function(uuid){
				$rootScope.selectedUUIDforPlanFollowFitness = uuid;
				$('.ui-datepicker').css('display' , 'block');
				$scope.popupdiv('.fitnessPlanPickDate');
				if (!$rootScope.$$phase) $rootScope.$apply();
				return;
				var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/fitness_plan";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var new_dateb = $('#datepicker50').datepicker('getDate');
				var newDate = $.datepicker.formatDate('yy-mm-dd', new_dateb);
				var params = "fitnessPlanToBeFollowedUUID=" + uuid + "&startDate=" + newDate;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "followedPlanAfterAPI");
			}

			followedPlanAfterAPI = function (data , status){
			 	if(status == "200"){
			 		$rootScope.futureFitnessDate = runFollDate;
					$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
			 		$scope.showingAlert("Plan has been followed successfully.");
			 		$scope.redirectToPage('fitnessPlan');
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$('#myTab a').click(function (e) {
				e.preventDefault();
				$(this).tab('show');
			});
			
			$scope.tabTitle = function(){
				if($("#recommended").hasClass('active')){
					$(".allDietPlan1").show();
					$(".allDietPlan2").hide();
					$(".allDietPlan3").hide();
				}
				else if($("#savedPlan").hasClass('active')){
					$(".allDietPlan1").hide();
					$(".allDietPlan2").show();
					$(".allDietPlan3").hide();
				}
				else if($("#seeAll").hasClass('active')){
					$(".allDietPlan1").hide();
					$(".allDietPlan2").hide();
					$(".allDietPlan3").show();
				}
			}
			
			$scope.tabHeight = function (){
				setTimeout(function () {
					var windowHeight = $(window).height();
					var tabsHeight = ($(".fitnessPlanTabs > li").height()) + ($(".allDiet").height()) + 169;
					var minusHeightValue = (windowHeight) - (tabsHeight);
					//alert(minusHeightValue);
					$(".fitnessPlanTabs + .tab-content").css({minHeight: minusHeightValue});
				},100);
			}			
		}	
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('fitnessSwapExerCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', '$anchorScroll', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, $anchorScroll, databaseFactory) {
		try{
			$scope.pageNumber = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStart = false;
			$scope.exerciseLists = {};
			$scope.exerciseLists.items = [];
			$scope.exercisesFetched = false;
			var offlineDataFitnessCurrentDay = '';
			
			$scope.addCustomeVali = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.loadSwapPage = function(){
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
				if($rootScope.addSwapText == 'ADD'){
					$scope.buttonsTextAddSwap = 'ADD EXERCISE(S)';
					$scope.buttonsTextAddSwapCustom = 'ADD CUSTOM';
				}
				else{
					$scope.buttonsTextAddSwap = 'SWAP EXERCISE';
					$scope.buttonsTextAddSwapCustom = 'SWAP CUSTOM';
				}
				$scope.dateNextPrev();
				if($rootScope.selectedExerciseImageSrc == undefined || $rootScope.selectedExerciseImageSrc == '' || $rootScope.selectedExerciseImageSrc == null)
					$('#switchExerciseImageSrc').attr('src' , 'img/bench-press1.png');
				else	
					$('#switchExerciseImageSrc').attr('src' , $rootScope.selectedExerciseImageSrc);
				$("#datepicker50").datepicker('setDate',$rootScope.futureFitnessDate);
				$("#datepicker50").html($.datepicker.formatDate('D, MM d, yy',$rootScope.futureFormattedDate));
				$('#alternate').datepicker('setDate', $rootScope.futureFormattedDate);
				$scope.loadMuscleGroups();
				$scope.getExercises($rootScope.selectedPlanMuscleGroupUUID);
				$('input[type="radio"]').click(function(){
					if($(this).attr("id")=="radio1"){
						$(".muscle").show();
					}
					if($(this).attr("id")=="radio2"){
						$(".muscle").hide();
					}
					if($(this).attr("id")=="radio3"){
						$(".muscle").show();
					}
				});
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx) {
						tx.executeSql('SELECT * FROM FitnessPlanDay WHERE fitplandate="'+ CommonFactory.getCurrentDate() +'";', [], function(tx, res) {
							offlineDataFitnessCurrentDay = JSON.parse(res.rows.item(0).fitplanresponse);
						}, function(e) {
							console.log("ERROR: " + e.message);
						});
					});
				}
			}
			
			$scope.loadMuscleGroups = function(){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/muscle_groups?personUUID=" + localStorage.getItem("uuid");
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadMuscleGroupsAfterAPI");	
			}
			
			loadMuscleGroupsAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			 	if(status == "200"){
					$scope.muscleGroupsRes = data;
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		//$scope.loadMuscleGroups();
			 		$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}

			$scope.searchTextAddExercise = '';
			$scope.getExercises = function(muscleGroup){
				if ($scope.scrollStart) {
					return;
				}
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				$scope.scrollStart = true;
				var serachTextContent = $scope.searchTextAddExercise;
				if(muscleGroup == '' || muscleGroup == undefined || muscleGroup == null)
					var QueryString = "api/exercises?personUUID=" + localStorage.getItem("uuid") + "&exerciseType=" + $scope.selectedExerTypes + "&firstResult=" + $scope.pageNumber + "&maxResult=20&exerciseName=" + serachTextContent;
				else
					var QueryString = "api/exercises?personUUID=" + localStorage.getItem("uuid") + "&muscleGroupUuid=" + muscleGroup + "&exerciseType=" + $scope.selectedExerTypes + "&firstResult=" + $scope.pageNumber + "&maxResult=20&exerciseName=" + serachTextContent;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getExerciseAddDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "getExercisesAfterAPI");
				}
			}
			getExerciseAddDB = function (tx) {
				tx.executeSql('SELECT * FROM AddExercise;', [], databaseFactory.getAddExercise, databaseFactory.errorCB);
			}
			UpdatePerDateProgressDB = function (tx) {
				//tx.executeSql("UPDATE AddExercise SET responce ='" +$rootScope.exerciseResponce+"';", [], databaseFactory.errorCB, databaseFactory.successCB);
				tx.executeSql('DROP TABLE IF EXISTS AddExercise');
				tx.executeSql('CREATE TABLE IF NOT EXISTS AddExercise (id integer primary key, responce text)');
				tx.executeSql("INSERT INTO AddExercise (responce) VALUES (?)", [JSON.stringify($rootScope.exerciseResponce)], function(tx, res) {
				}, function(e) {
				  console.log("ERROR: " + e.message);
				});
			}
			
			$scope.getExercisesSearch = function(muscleGroup){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				/*if ($scope.scrollStart) {
					return;
				}*/
				$scope.pageNumber = 0;
				$scope.exercisesFetched = false;
				$scope.exerciseLists = {};
				$scope.exerciseLists.items = [];
				$scope.scrollStart = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var serachTextContent = $scope.searchTextAddExercise;
				$scope.bodyPartExer = $('#muscleGroups2 :selected').val();
				$scope.selectedExerTypes = $('#selectAnyExerciseTwo :selected').val();
				if($scope.bodyPartExer == '' || $scope.bodyPartExer == undefined || $scope.bodyPartExer == null){
					if($scope.selectedExerTypes == '' || $scope.selectedExerTypes == undefined || $scope.selectedExerTypes == null){
						var QueryString = "api/exercises?personUUID=" + localStorage.getItem("uuid") + "&firstResult=" + $scope.pageNumber + "&maxResult=20&exerciseName=" + serachTextContent;
					}
					else{
						var QueryString = "api/exercises?personUUID=" + localStorage.getItem("uuid") + "&exerciseType=" + $scope.selectedExerTypes + "&firstResult=" + $scope.pageNumber + "&maxResult=20&exerciseName=" + serachTextContent;
					}
				}
				else{
					var QueryString = "api/exercises?personUUID=" + localStorage.getItem("uuid") + "&muscleGroupUuid=" + muscleGroup + "&exerciseType=" + $scope.selectedExerTypes + "&firstResult=" + $scope.pageNumber + "&maxResult=20&exerciseName=" + serachTextContent;
				}
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getExerciseAddDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "getExercisesAfterAPI");
				}
			}

			scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/fitnessPlanSwapExer")
					if(!CommonFactory.checkInternet()){
						$scope.getExercises($rootScope.selectedPlanMuscleGroupUUID);
					}
					else{
						$scope.offlineListLimit = $scope.offlineListLimit + 20;
						if (!$rootScope.$$phase) $rootScope.$apply();
					}
			}
			$scope.offlineListLimit = 20;
			getExercisesAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
			 		$scope.exercisesFetched = true;
					if($rootScope.resultFromDb == true){
						$rootScope.resultFromDb = false;
						if (!$rootScope.$$phase) $rootScope.$apply();
					}
					/*else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdatePerDateProgressDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}*/
			 		if(data.length== 0 || data.items.length == 0 ){
						$scope.scrollStart = true;
						$rootScope.showLoadingScreen = false;
						if (!$rootScope.$$phase) $rootScope.$apply();
						return;
					}
					if(!CommonFactory.checkInternet()){
						for (var i = 0; i < data.items.length; i++) {
							$scope.exerciseLists.items.push(data.items[i]);
						}
					}
					if(CommonFactory.checkInternet()){
						$scope.offlineListLimit = 20;
						$scope.exerciseLists = data.items;
						var dataForSearch;
						$scope.muscleGroupOff = $('#muscleGroups2 :selected').val();
						$scope.nameOff = $('#searchTextAddExercise').val().toLowerCase();
						$scope.exerciseLists.items = $.map( $scope.exerciseLists.items, function( obj, i ) {
							if($scope.muscleGroupOff == '' && $scope.nameOff == ''){
								if( obj.type == $scope.selectedExerTypes ){
									return obj
								}
							}
							else if($scope.muscleGroupOff == '' && $scope.nameOff != ''){
								if( obj.type == $scope.selectedExerTypes && obj.name.toLowerCase().indexOf($scope.nameOff) > 0 ){
									return obj
								}
							}
							else if($scope.muscleGroupOff != '' && $scope.nameOff != ''){
								if( obj.muscleGroups == $scope.muscleGroupOff && obj.type == $scope.selectedExerTypes && obj.name.toLowerCase().indexOf($scope.nameOff) > 0 ){
									return obj
								}
							}
						});
					}
					
					$scope.pageNumber = $scope.pageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
					$scope.offlineListLimit = $scope.offlineListLimit + 20;
					// if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	$scope.exercisesFetched = true;
			 	$scope.scrollStart = false;
			 	//$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			searchResultsExercise = function(data){
				var data = JSON.parse(data);
				//var databaseResult = data.items.slice($scope.pageNumber, $scope.maxResult);
				var databaseResult = data;
				var addItems = {};
				addItems.items = databaseResult;
				databaseResult = addItems;
				getExercisesAfterAPI(databaseResult, '200');
			}

			$scope.selectedExerTypes = $rootScope.selectedExerciseType;
			$scope.selectAnyExerciseTwo = $scope.selectedExerTypes;
			$scope.setExerType = function(){
				$scope.exercisesFetched = false;
				$scope.exerciseLists = {};
				$scope.exerciseLists.items = [];
				$scope.pageNumber = 0;
				$scope.scrollStart = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				$scope.selectedExerTypes = $('#selectAnyExerciseTwo :selected').val();
				$scope.getExercises($scope.muscleGroups2);
			}
			var addSwapExerciseContent = "";
			var selectedExerciseForSwap = '';
			$scope.addSwapExercise = function(method , index){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				selectedExerciseForSwap = index;
				//alert(JSON.stringify($scope.exerciseLists.items[index]));
				
				if (method == "ADD"){
					var selectedExerciseUUIDList = '';
					var countSelectedExerciseUUIDList = 0;
					
					$(".clsAddExcrCheckBox").each(function(){
  						if($(this).is(':checked')) {
  							var selectedExerciseUUID = $(this).parent().find('span').html();
							var selectedIndexExerciseList = $(this).parent().attr('id');
							if(countSelectedExerciseUUIDList == 0)
  								selectedExerciseUUIDList = 'exerciseUuids=' + selectedExerciseUUID;
  							else
  								selectedExerciseUUIDList = selectedExerciseUUIDList + '&exerciseUuids=' + selectedExerciseUUID;
							
							if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
								$scope.resistanceObj = {
									"exerciseUuid": "",
									"notes":"",
									"specialInstructions":"",
									"activityUuid":"",
									"workoutDayUuid":"",
									"logged":"",
									"duration":"",
									"distance":"",
									"distanceUnit":"",
									"activityOrder":"",
									"distanceUnits":"",
									"durationMin":"",
									"durationHour":"",
									"durationSec":"",
									"activitySetResponses": [
										{
										"activityUuid": "",
										"activitySetUuid": "",
										"reps": null,
										"weights": null,
										"rest": null,
										"resistance": null
										}
									]
								}
								$scope.cardioObj = {	
									"exerciseUuid":"",
									"notes":"",
									"specialInstructions":"",
									"activityUuid":"",
									"workoutDayUuid":"",
									"logged":"",
									"duration":"",
									"distance":"",
									"distanceUnit":"",
									"activityOrder":"",
									"distanceUnits":"",
									"durationMin":"",
									"durationHour":"",
									"durationSec":"",
									"activitySetResponses": [
										{
										"activityUuid": "",
										"activitySetUuid": "",
										"reps": null,
										"weights": null,
										"rest": null,
										"resistance": null
										}
									]
								}
								$scope.timeResistanceObj = {	
									"exerciseUuid": "",
									"notes": "",
									"specialInstructions": "",
									"activityUuid": "",
									"workoutDayUuid": "",
									"logged": "",
									"duration": "",
									"distance": "",
									"distanceUnit": "",
									"activityOrder": "",
									"distanceUnits":"",
									"durationMin": "",
									"durationHour": "",
									"durationSec": "",
									"activitySetResponses": [
										{
										"activityUuid": "",
										"activitySetUuid": "",
										"reps": null,
										"weights": null,
										"rest": null,
										"resistance": null
										}
									]
								}
								if($scope.exerciseLists.items[selectedIndexExerciseList].type == "RESISTANCE"){
									$scope.exerciseLists.items[selectedIndexExerciseList].activityResponse = $scope.resistanceObj;
								}
								else if($scope.exerciseLists.items[selectedIndexExerciseList].type == "TIMED_RESISTANCE"){
									$scope.exerciseLists.items[selectedIndexExerciseList].activityResponse = $scope.timeResistanceObj;
								}
								else if($scope.exerciseLists.items[selectedIndexExerciseList].type == "CARDIO"){
									$scope.exerciseLists.items[selectedIndexExerciseList].activityResponse = $scope.cardioObj;
								}
								offlineDataFitnessCurrentDay.exerciseResponses.push($scope.exerciseLists.items[selectedIndexExerciseList]);
							}
							countSelectedExerciseUUIDList++;
  						}
  					});
  					$scope.setDetailsForAddSwapContent = selectedExerciseUUIDList;
  					$scope.countSelectedExerciseUUIDList = countSelectedExerciseUUIDList;
  				}
				if ($scope.setDetailsForAddSwapContent == "" || $scope.setDetailsForAddSwapContent == undefined) {
					$scope.showingAlert("Please Select Some Item For " + method + ".");
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					return;
				}
				addSwapExerciseContent = method;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);

				if (method == "ADD"){
					var categorySelected = $('#selectAnyExerciseTwo :selected').val();
					var countselectedExerciseForSwap = selectedExerciseForSwap + 1;
					if($rootScope.zeroExercises)
						var params = $scope.setDetailsForAddSwapContent + "&workoutDayUuid=" + $rootScope.selectedDayWorkoutUUID + "&activityOrder=0&exerciseType=" + categorySelected;					
					else
						var params = $scope.setDetailsForAddSwapContent + "&workoutDayUuid=" + $rootScope.selectedDayWorkoutUUID + "&activityOrder=" + countselectedExerciseForSwap + "&exerciseType=" + categorySelected;
				}
				else{
					var categorySelected = $('#selectAnyExerciseTwo :selected').val();
					var params = "exerciseUuids=" + $rootScope.selectedExerciseUuidToSwap + "&workoutDayUuid=" + $rootScope.selectedDayWorkoutUUID + "&currentActivityUuid=" + $rootScope.activityUuid + "&exerciseType=" + categorySelected;
				}
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx) {
						tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+ CommonFactory.getCurrentDate() +"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
						tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [CommonFactory.getCurrentDate(), JSON.stringify(offlineDataFitnessCurrentDay)], function(tx, res) {
							$scope.redirectToPage('fitnessPlan');
						}, function(e) {
						console.log("ERROR: " + e.message);
						});
					});
					db.transaction(function(tx) {
						tx.executeSql('CREATE TABLE IF NOT EXISTS AddExerSync (id integer primary key, page text, date date, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("INSERT INTO AddExerSync (page, Date, method, qstring, rtype, rheader, params, callback) VALUES (?,?,?,?,?,?,?,?)", ['add', CommonFactory.getCurrentDate(), 'POST', QueryString, 'json', JSON.stringify(RequestHeaders), params, 'addSwapExerciseAfterAPI'], function(tx, res) {
							//$scope.redirectToPage('fitnessPlan');
							$scope.showingAlert("Selected exercise will add to your plan once your device internet get connected");
							$rootScope.showLoadingScreen = false;
							if (!$rootScope.$$phase) $rootScope.$apply();
							
							db.transaction(function(tx) {
								tx.executeSql('SELECT * FROM FitnessPlanDay WHERE fitplandate="'+ CommonFactory.getCurrentDate() +'";', [], function(tx, res) {
									var data = JSON.parse(res.rows.item(0).fitplanresponse);
									data.exerciseResponses.push($scope.exerciseLists.items[selectedExerciseUUID])
									/*db.transaction(function(tx) {
										tx.executeSql("DELETE FROM FitnessPlanDay WHERE fitplandate = '"+ CommonFactory.getCurrentDate() +"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
										tx.executeSql("INSERT INTO FitnessPlanDay (fitplandate, fitplanresponse) VALUES (?,?)", [CommonFactory.getCurrentDate(), JSON.stringify(data)], function(tx, res) {
											$scope.redirectToPage('fitnessPlan');
										}, function(e) {
										console.log("ERROR: " + e.message);
										});
									});*/
								}, function(e) {
									console.log("ERROR: " + e.message);
								});
							});
							
						});
					});
				}
				else{
					CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "addSwapExerciseAfterAPI");
				}
			}

			addSwapExerciseAfterAPI = function (data , status){
			 	if(status == "200"){
			 		if(addSwapExerciseContent == "ADD"){
			 			$scope.showingAlert("Exercise Added Succesfully");
			 		}
			 		else{
			 			$scope.showingAlert("Exercise Swapped Succesfully");
			 		}
					if(!$rootScope.AddedFromOffline){
						$scope.redirectToPage('fitnessPlan');
				 	}
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		$scope.showingAlert("Please Try Again.");
			 		$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}
			
			
			$scope.setDetailsForAddSwap = function(responseIndex){
				if($rootScope.addSwapText == 'ADD'){
					//$("#chnageColorT" + responseIndex).toggleClass('calbeChestPressSelected');
				}
				else{
					$(".clsdumbellExer").removeClass('calbeChestPressSelected');
					$("#chnageColorT" + responseIndex).addClass('calbeChestPressSelected');
					$scope.setDetailsForAddSwapContent = '123';
					$rootScope.selectedExerciseUuidToSwap = $scope.exerciseLists.items[responseIndex].exerciseUuid;
				}
			}

			$scope.setDetailsForAddSwapT = function(responseIndex){
				$("#chnageColorT" + responseIndex).toggleClass('calbeChestPressSelected');
			}

			var createAndSwapExerciseContent = "";
			$scope.createAndSwapExercise = function(method){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				createAndSwapExerciseContent = method;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/exercises";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "exerciseName=" + $scope.newExerciseName + "&exerciseType=" + $("input[name=newExerciseType]:checked").val() + "&met=" + $scope.newMetName + "&muscleGroupUuid=" + $('#muscleGroupss :selected').val();
				CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "createAndSwapExerciseAfterAPI");
			}

			createAndSwapExerciseAfterAPI = function (data , status){
			 	if(status == "200"){
			 		if (createAndSwapExerciseContent == "create"){
			 			$scope.showingAlert("Exercise has been created.");
			 			$scope.redirectToPage('fitnessPlan');
			 			if (!$rootScope.$$phase) $rootScope.$apply();
			 		}
			 		else{
			 			var QueryString = "api/people/" + localStorage.getItem("uuid") + "/activities";
						var RequestHeaders = [];
						var RequestHeadersParams = new Object();
						RequestHeadersParams.key = "Authorization";
						RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
						RequestHeaders.push(RequestHeadersParams);

						if ($rootScope.buttonTextCreateAndSwap == "CREATE & ADD EXERCISE"){
							var countselectedExerciseForSwap = selectedExerciseForSwap + 1;
							var params = "exerciseUuids=" + data.exerciseUuid + "&workoutDayUuid=" + $rootScope.selectedDayWorkoutUUID + "&activityOrder=" + countselectedExerciseForSwap;
						}
						else{
							var params = "exerciseUuids=" + data.exerciseUuid + "&workoutDayUuid=" + $rootScope.selectedDayWorkoutUUID + "&currentActivityUuid=" + $rootScope.activityUuid;
						}
						CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "addSwapExerciseTAfterAPI");
			 		}
				 	if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		$scope.showingAlert("Please try again.");
			 		$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}

			addSwapExerciseTAfterAPI = function (data , status){
			 	if(status == "200"){
			 		if($rootScope.buttonTextCreateAndSwap == "CREATE & ADD EXERCISE"){
			 			$scope.showingAlert("Exercise has been created and Added Succesfully");
			 		}
			 		else{
			 			$scope.showingAlert("Exercise has been created and Swapped Succesfully");
			 		}
			 		$scope.redirectToPage('fitnessPlan');
			 		if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			 	else{
			 		$scope.showingAlert("Please Try Again.");
			 		$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
			 	}
			}

			$('#searchTextAddExercise').focus(function(){
				$(".Add_customExer_container").css("display","none");
			});

			$('#searchTextAddExercise').blur(function(){
				$(".Add_customExer_container").css("display","block");
			});
		}	
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);