Element.prototype.setAttributes = function (attrs) {
    for (var idx in attrs) {
        if ((idx == 'styles' || idx == 'style') && typeof attrs[idx] == 'object') {
            for (var prop in attrs[idx]){this.style[prop] = attrs[idx][prop]}
        } else if (idx == 'html') {
            this.innerHTML = attrs[idx]
        } else {
            this.setAttribute(idx, attrs[idx]);
        }
    }
};

BLApp.controller('progressCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{
			var currentAPIDate = "";
			$("#bodyFatPage").show();
			$scope.startFat = "";
			$scope.targetFat = "";
			$scope.bodyFat = "";
			$scope.yourWeight = ""
			$scope.targetWeight = "";
			var todaysWeight = "";
			var todaysGoalWeight = "";
			$scope.totalWeightLoss = ' No Records';
			$scope.agerageWeightLbs = ' No Records';
			$scope.lossGain = "LOSS";
			$rootScope.futureDate ="";
			$rootScope.futureFitnessDate ="";
			$scope.loadProgress = function (){
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
				if($rootScope.currentLocation == "/progress")
					activePageName = $rootScope.currentLocation.substring(1);
				$scope.dateNextPrev();
				var currentDate = CommonFactory.getCurrentDate();
				currentAPIDate = currentDate;				
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/progress?recordDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				$rootScope.progressPlanStatus = RequestHeadersParams;
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getProgressBulkDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadProgressAfterAPI");
				
				/*if(!CommonFactory.checkInternet()){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx){
						tx.executeSql('CREATE TABLE IF NOT EXISTS AddWeightSync (id integer primary key, page text, date date, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("SELECT * FROM AddWeightSync WHERE page='weight' OR page='bodyfat';", [], function(tx, res) {
							if(res.rows.length > 0){
								db.transaction(function(tx){
									tx.executeSql("SELECT * FROM AddWeightSync WHERE page='weight';", [], function(tx, res) {
										if(res.rows.length > 0){
											var weightOffUpDb = res.rows.item(0);
											CommonFactory.makeRequest(weightOffUpDb.method, weightOffUpDb.qstring, weightOffUpDb.rtype, JSON.parse(weightOffUpDb.rheader), weightOffUpDb.params, weightOffUpDb.callback);
											tx.executeSql("DELETE FROM AddWeightSync WHERE page = 'weight';", [], databaseFactory.errorCB, databaseFactory.successCB);
										}
									});
								});
								db.transaction(function(tx){
									tx.executeSql("SELECT * FROM AddWeightSync WHERE page='bodyfat';", [], function(tx, res) {
										if(res.rows.length > 0){
											var bodyfatOffUpDb = res.rows.item(0);
											CommonFactory.makeRequest(bodyfatOffUpDb.method, bodyfatOffUpDb.qstring, bodyfatOffUpDb.rtype, JSON.parse(bodyfatOffUpDb.rheader), bodyfatOffUpDb.params, bodyfatOffUpDb.callback);
											tx.executeSql("DELETE FROM AddWeightSync WHERE page = 'bodyfat';", [], databaseFactory.errorCB, databaseFactory.successCB);
										}
									});
								});
							}
							else{
								CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadProgressAfterAPI");
							}
						});
					});
				}*/
			}
			getProgressBulkDB = function (tx) {
				tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+currentAPIDate+'"', [], databaseFactory.getProBulkDetails, databaseFactory.errorCB);
			}
			runAPI = function(date){
				var currentDate = date;
				currentAPIDate = currentDate;
				$rootScope.currentDate2 = currentAPIDate;
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					//alert('checked internet off');
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getProgressBulkDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					//alert('checked internet on');
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/progress?recordDate=" + currentDate;				
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadProgressAfterAPI");
				}
			}
			UpdatePerDateProgressDB = function (tx) {
				tx.executeSql("UPDATE ProgressData SET ProgressResponse ='" +$rootScope.progressPlanPerDay+"' WHERE ProgressDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			loadProgressAfterAPI = function (data , status){
				if(status == "200"){
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					$rootScope.progressPlanPerDay = JSON.stringify(data);
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdatePerDateProgressDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}
					$scope.progressResponse = data;
					$scope.circleValue = Math.round($scope.progressResponse.latestWeight);
					var lastLogin = localStorage.getItem("lastLogin");
					var d = new Date(lastLogin);
					var d1 = new Date();
					var day = d1.getDate();
					var month = d1.getMonth();
					var year = d1.getFullYear();
					var curDate = new Date(year, month, day);
					var datediff = curDate.getTime() - d.getTime();
					var days = (datediff / (24 * 60 * 60 * 1000)) + 1;
					if (data.latestWeight > 0) {
						if(data.startWeight - data.latestWeight < 0){
							$scope.lossGain = "GAIN";
							var totalWeightLoss = data.latestWeight - data.startWeight;
							$scope.totalWeightLoss = Math.round(totalWeightLoss) + " LBS";
						}
						else{
							$scope.lossGain = "LOSS";
							var totalWeightLoss = data.startWeight - data.latestWeight;
							$scope.totalWeightLoss = Math.round(totalWeightLoss) + " LBS";
						}
					}
					else{
						var totalWeightLoss = ' No Records';
						$scope.totalWeightLoss = totalWeightLoss;
					}
					var weeks = (days/7).toFixed(2);
					if(weeks > 0 && weeks < 1)
					{
						weeks = 1;
					}
					if (weeks > 0){
						var average = ((totalWeightLoss)/weeks).toFixed(2);
						$scope.agerageWeightLbs = average + " lbs per week";
					}
					else{
						var average = ' No Records';
						$scope.agerageWeightLbs = average;
					}
					todaysWeight = data.latestWeight;
					if(data.latestGoalWeight == '' || data.latestGoalWeight == null)
						todaysGoalWeight = 0;
					else
						todaysGoalWeight = data.latestGoalWeight;
					$scope.yourWeight = data.currentWeight;
					$("#startFat").val(data.startBodyFatPercentage);
					$("#targetFat").val(data.goalBodyFatPercentage);
					$("#bodyFat").val(data.currentBodyFatPercentage);
					$scope.bodyFat = data.currentBodyFatPercentage;
					$scope.startFat = data.startBodyFatPercentage;
					$scope.targetFat = data.goalBodyFatPercentage;
					$scope.targetWeight = todaysGoalWeight;
					var startWt = data.latestGoalWeight-data.startWeight;
					var currentWt = data.latestWeight-data.startWeight
					if(data.latestGoalWeight == data.startWeight && data.latestWeight== data.startWeight ){
						startWt = 1;
						currentWt = 1;
					}
					var weightPercentage = (currentWt/startWt)*100;
					$(".bar-inner").css("height" , weightPercentage+"%");
					$(".BarCurrent").css("bottom" , weightPercentage+"%");
					if( weightPercentage > 100){
						$(".bar-inner").css("height" , 100+"%");
						$(".BarCurrent").css("bottom" , 100+"%");
					}
					if( weightPercentage < 0){
						$(".bar-inner").css("height" , 0+"%");
						$(".BarCurrent").css("bottom" , 0+"%");
					}
					var weight = Math.ceil((data.startWeight + data.latestGoalWeight + data.latestWeight)/3);
					
					var bodyFat = Math.ceil((data.startBodyFatPercentage + data.goalBodyFatPercentage + data.currentBodyFatPercentage)/3);

					var fatMass = Math.ceil(weight*(bodyFat/100));
					var leanMass = weight - fatMass;
					if(leanMass < 0) {
						leanMass = 0;
					}
						
					if (data.startWeight == null || data.startWeight == "null" || data.startWeight == 0 || data.latestGoalWeight == null || data.latestGoalWeight == "null" || data.latestGoalWeight == 0 || data.latestWeight == null || data.latestWeight == "null" || data.latestWeight == 0){
						$scope.weightPer = 0;
						$("#weightPer").css("width" , "0%");
					}
					else{
						$scope.weightPer = weight;
						var weightPerW = weight;
						if (weightPerW > 100){
							weightPerW = 100;
							$scope.weightPer = 100;
						}
						if (weightPerW % 1 != 0){
							$scope.weightPer = parseFloat(weightPerW).toFixed(2);
						}
						$("#weightPer").css("width" , weightPerW+"%");
						$("#weightPer1").css("width" , weightPerW+"%");
					}
					
					/*if (data.currentBodyFatPercentage == null || data.currentBodyFatPercentage == "null" || data.currentBodyFatPercentage == 0 ){
						$scope.bodyFatPer = 0;
						$("#bodyFatPer").css("width" , "0%");
					}
					else{
						//$scope.bodyFatPer = 100 - bodyFat;
						//var bodyFatPerW = 100 - bodyFat;
						$scope.bodyFatPer = data.currentBodyFatPercentage;
						var bodyFatPerW = data.currentBodyFatPercentage;
						if (bodyFatPerW > 100){
							bodyFatPerW = 100;
							//$scope.bodyFatPer = 100;
						}
						if (bodyFatPerW % 1 != 0){
							$scope.bodyFatPer = parseFloat(bodyFatPerW).toFixed(2);
						}
						$("#bodyFatPer").css("width" , bodyFatPerW+"%");
					}*/
					var start_body_fat_per,goal_body_fat_per;
					if(data.currentBodyFatPercentage == null || data.currentBodyFatPercentage == undefined || data.currentBodyFatPercentage == ""){
						$scope.bodyFatPer = 0;
					}
					else{
						$scope.bodyFatPer = data.currentBodyFatPercentage;
					}
					if (parseInt(data.startBodyFatPercentage) < parseInt(data.goalBodyFatPercentage)) {
					    if ($scope.bodyFatPer <= parseInt(data.startBodyFatPercentage)) {
					        $scope.bodyFatPer = 0;
					    } else if ($scope.bodyFatPer >= parseInt(data.goalBodyFatPercentage)) {
					        $scope.bodyFatPer = 100;
					    } else {
					    	start_body_fat_per = parseInt(data.startBodyFatPercentage) - $scope.bodyFatPer;
					        goal_body_fat_per  = parseInt(data.startBodyFatPercentage) - parseInt(data.goalBodyFatPercentage);
					        start_body_fat_per = start_body_fat_per < 0 ? -(start_body_fat_per) : start_body_fat_per;
					        goal_body_fat_per  = goal_body_fat_per < 0 ? -(goal_body_fat_per) : goal_body_fat_per;
					        $scope.bodyFatPer  = ((start_body_fat_per * 100) / goal_body_fat_per);
					    }
					}
					if (parseInt(data.startBodyFatPercentage) > parseInt(data.goalBodyFatPercentage)) {
					    if ($scope.bodyFatPer >= parseInt(data.startBodyFatPercentage)) {
					        $scope.bodyFatPer = 0;
					    } else if ($scope.bodyFatPer <= parseInt(data.goalBodyFatPercentage)) {
					        $scope.bodyFatPer = 100;
					    } else if ((parseInt(data.startBodyFatPercentage) - $scope.bodyFatPer) <= 2 && (parseInt(data.startBodyFatPercentage) - parseInt(data.goalBodyFatPercentage)) > 15) {
					        $scope.bodyFatPer = 0;
					    } else if ((parseInt(data.startBodyFatPercentage) - $scope.bodyFatPer) < 0.3) {
					        $scope.bodyFatPer = 0;
					    } else {
					        start_body_fat_per = data.startBodyFatPercentage - $scope.bodyFatPer;
					        goal_body_fat_per = data.startBodyFatPercentage - data.goalBodyFatPercentage;
					        start_body_fat_per = start_body_fat_per < 0 ? -(start_body_fat_per) : start_body_fat_per;
					        goal_body_fat_per  = goal_body_fat_per < 0 ? -(goal_body_fat_per) : goal_body_fat_per;
					        $scope.bodyFatPer = ((start_body_fat_per * 100) / goal_body_fat_per);
					    }
					}
					if (parseInt(data.startBodyFatPercentage) == parseInt(data.goalBodyFatPercentage)) {
					    $scope.bodyFatPer = 0;
					}
					if($scope.bodyFatPer > 100){
						$scope.bodyFatPer = 100;
					}
					$scope.bodyFatPer = parseFloat($scope.bodyFatPer).toFixed(2);
					$("#bodyFatPer").css("width" , $scope.bodyFatPer+"%");
					$("#bodyFatPer1").css("width" , $scope.bodyFatPer+"%");
					
					//if (data.currentLeanMass == null || data.currentLeanMass == "null" || data.currentLeanMass == 0){
					if (data.leanMassGoalPercentage == null || data.leanMassGoalPercentage == "null" || data.leanMassGoalPercentage == 0){
						$scope.leanMassPer = 0;
						$("#leanMassPer").css("width" , "0%");
					}
					else{
						//$scope.leanMassPer = 100 - (data.leanMassGoalPercentage * 100);
						//var leanMassPerW = 100 - (data.leanMassGoalPercentage * 100);
						$scope.leanMassPer = data.leanMassGoalPercentage;
						var leanMassPerW = data.leanMassGoalPercentage;
						if (leanMassPerW > 100){
							leanMassPerW = 100;
							//$scope.leanMassPer = 100;
						}
						if (leanMassPerW % 1 != 0){
							$scope.leanMassPer = parseFloat(leanMassPerW).toFixed(2);
						}
						$("#leanMassPer").css("width" , leanMassPerW+"%");
						$("#leanMassPer1").css("width" , leanMassPerW+"%");
					}
					
					//if (data.currentBodyMass == null || data.currentBodyMass == "null" || data.currentBodyMass == 0){
					if (data.fatMassGoalPercentage == null || data.fatMassGoalPercentage == "null" || data.fatMassGoalPercentage == 0){
						$scope.fatMassPer = 0;
						$("#fatMassPer").css("width" , "0%");
					}
					else{
						//$scope.fatMassPer = 100 - (data.fatMassGoalPercentage * 100);
						//var fatMassPerW = 100 - (data.fatMassGoalPercentage * 100);
						$scope.fatMassPer = data.fatMassGoalPercentage;
						var fatMassPerW = data.fatMassGoalPercentage;
						if (fatMassPerW > 100){
							fatMassPerW = 100;
							//$scope.fatMassPer = 100;
						}
						if (fatMassPerW % 1 != 0){
							$scope.fatMassPer = parseFloat(fatMassPerW).toFixed(2);
						}
						$("#fatMassPer").css("width" , fatMassPerW+"%");
						$("#fatMassPer1").css("width" , fatMassPerW+"%");
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}
						
			$scope.updateWeight = function (){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/body_parameters?recordDate=" + currentAPIDate;
				if($scope.yourWeight == null || $scope.yourWeight == ""){
					$scope.yourWeight = todaysWeight;
				}
				if($scope.targetWeight == null || $scope.targetWeight == ""){
					$scope.targetWeight = todaysGoalWeight;
				}
				var params = "weight=" + $scope.yourWeight + "&targetWeight="+ $scope.targetWeight;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
					var myDate = $.datepicker.formatDate('yy-mm-dd',$rootScope.futureFormattedDate);
					if(CommonFactory.getCurrentDate() != myDate){
						alert(localStorage.getItem("offlineMsg"));
						return;
					}
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx) {
						tx.executeSql('CREATE TABLE IF NOT EXISTS AddWeightSync (id integer primary key, page text, date date, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("SELECT qstring FROM AddWeightSync WHERE page='weight' ;", [], function(tx, res) {
							if(res.rows.length < 1){
								tx.executeSql("INSERT INTO AddWeightSync (page, Date, method, qstring, rtype, rheader, params, callback) VALUES (?,?,?,?,?,?,?,?)", ['weight', currentAPIDate, 'POST', QueryString, '', JSON.stringify(RequestHeaders), params, 'updateWeightAfterAPI'], function(tx, res) {
									//$scope.showingAlert("Entered information updated successfully in offline mode");
									var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
									db.transaction(function(tx) {
										tx.executeSql('CREATE TABLE IF NOT EXISTS ProgressData (id integer primary key, ProgressDate date, ProgressResponse text)');
										tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+currentAPIDate+'"', [], function(tx, res) {
											if(res.rows.length > 0){
												$scope.oflineBDForUpdate = JSON.parse(res.rows.item(0).ProgressResponse);
												$scope.oflineBDForUpdate.currentWeight = $scope.yourWeight;
												$scope.oflineBDForUpdate.latestWeight = $scope.yourWeight;
												$scope.oflineBDForUpdate.goalWeight = $scope.targetWeight;
												$scope.oflineBDForUpdate.latestGoalWeight = $scope.targetWeight;
												db.transaction(function(tx) {
													tx.executeSql("UPDATE ProgressData SET ProgressResponse ='" +JSON.stringify($scope.oflineBDForUpdate)+"' WHERE ProgressDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+$rootScope.currentDate2+'"', [], function(tx, res) {
														if(res.rows.length > 0){
															loadProgressAfterAPI(JSON.parse(res.rows.item(0).ProgressResponse),200);
														}
													});
												});
											}
										});
									});
								}, function(e) {
									console.log("ERROR: " + e.message);
								});
							}
							else{
								tx.executeSql("UPDATE AddWeightSync SET Date ='" +currentAPIDate+ "', qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "' WHERE page = 'weight' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
								//$scope.showingAlert("Entered information updated successfully in offline mode");
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS ProgressData (id integer primary key, ProgressDate date, ProgressResponse text)');
									tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+currentAPIDate+'"', [], function(tx, res) {
										if(res.rows.length > 0){
											$scope.oflineBDForUpdate = JSON.parse(res.rows.item(0).ProgressResponse);
											$scope.oflineBDForUpdate.currentWeight = $scope.yourWeight;
											$scope.oflineBDForUpdate.latestWeight = $scope.yourWeight;
											$scope.oflineBDForUpdate.goalWeight = $scope.targetWeight;
											$scope.oflineBDForUpdate.latestGoalWeight = $scope.targetWeight;
											db.transaction(function(tx) {
												tx.executeSql("UPDATE ProgressData SET ProgressResponse ='" +JSON.stringify($scope.oflineBDForUpdate)+"' WHERE ProgressDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
												tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+$rootScope.currentDate2+'"', [], function(tx, res) {
													if(res.rows.length > 0){
														loadProgressAfterAPI(JSON.parse(res.rows.item(0).ProgressResponse),200);
													}
												});
											});
										}
									});
								});
							}
						});
					});
				}else{
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "updateWeightAfterAPI");
				}
			}
			updateWeightAfterAPI = function (data , status){
				if(status == "200"){
					$scope.showingAlert("Information Successfully Updated");
					runAPI(currentAPIDate);
					$scope.yourWeight = "";
					//$scope.targetWeight = "";
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}
			$scope.bodyFatPercent = function (){
				var currentDate = currentAPIDate;		
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/body_parameters?recordDate=" + currentDate;
				var params="";
				var countCheck = 1;
				$scope.bodyFat = $('#bodyFat').val();
				$scope.startFat = $('#startFat').val();
				$scope.targetFat =  $('#targetFat').val();
				if($scope.bodyFat == null || $scope.bodyFat == "null" || $scope.bodyFat == ""){
					$scope.bodyFat = "";
				}
				else{
					params = params + "bodyFatPercentage=" + $scope.bodyFat;
					countCheck++;
				}	
				
				if($scope.startFat == null || $scope.startFat == "null" || $scope.startFat == ""){
					$scope.startFat = "";
				}
				else{
					if (countCheck > 1)
						params = params + "&";
					params = params + "startBodyFatPercentage=" + $scope.startFat;
					countCheck++;
				}	

				if($scope.targetFat == null || $scope.targetFat == "null" || $scope.targetFat == ""){
					$scope.targetFat = "";
				}
				else{
					if (countCheck > 1)
						params = params + "&";
					params = params + "targetBodyFatPercentage=" + $scope.targetFat;
				}

				//var params = "startBodyFatPercentage=" + $scope.startFat + "&targetBodyFatPercentage=" + $scope.targetFat + "&bodyFatPercentage=" + $scope.bodyFat;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);

				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
					var myDate = $.datepicker.formatDate('yy-mm-dd',$rootScope.futureFormattedDate);
					if(CommonFactory.getCurrentDate() != myDate){
						alert(localStorage.getItem("offlineMsg"));
						return;
					}
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx) {
						tx.executeSql('CREATE TABLE IF NOT EXISTS AddWeightSync (id integer primary key, page text, date date, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("SELECT qstring FROM AddWeightSync WHERE page='bodyfat' ;", [], function(tx, res) {
							if(res.rows.length < 1){
								tx.executeSql("INSERT INTO AddWeightSync (page, Date, method, qstring, rtype, rheader, params, callback) VALUES (?,?,?,?,?,?,?,?)", ['bodyfat', currentAPIDate, 'POST', QueryString, '', JSON.stringify(RequestHeaders), params, 'bodyFatPerAfterAPI'], function(tx, res) {
									//$scope.showingAlert("Entered information updated successfully in offline mode");
									var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
									db.transaction(function(tx) {
										tx.executeSql('CREATE TABLE IF NOT EXISTS ProgressData (id integer primary key, ProgressDate date, ProgressResponse text)');
										tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+currentAPIDate+'"', [], function(tx, res) {
											if(res.rows.length > 0){
												$scope.oflineBDForBodyFatUpdate = JSON.parse(res.rows.item(0).ProgressResponse);
												$scope.oflineBDForBodyFatUpdate.startBodyFatPercentage = $scope.startFat;
												$scope.oflineBDForBodyFatUpdate.goalBodyFatPercentage = $scope.targetFat;
												$scope.oflineBDForBodyFatUpdate.currentBodyFatPercentage = $scope.bodyFat;
												db.transaction(function(tx) {
													tx.executeSql("UPDATE ProgressData SET ProgressResponse ='" +JSON.stringify($scope.oflineBDForBodyFatUpdate)+"' WHERE ProgressDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+$rootScope.currentDate2+'"', [], function(tx, res) {
														if(res.rows.length > 0){
															loadProgressAfterAPI(JSON.parse(res.rows.item(0).ProgressResponse),200);
														}
													});
												});
											}
										});
									});
								}, function(e) {
									console.log("ERROR: " + e.message);
								});
							}
							else{
								tx.executeSql("UPDATE AddWeightSync SET Date ='" +currentAPIDate+ "', qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "' WHERE page = 'bodyfat' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
								//$scope.showingAlert("Entered information updated successfully in offline mode");
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS ProgressData (id integer primary key, ProgressDate date, ProgressResponse text)');
									tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+currentAPIDate+'"', [], function(tx, res) {
										if(res.rows.length > 0){
											$scope.oflineBDForBodyFatUpdate = JSON.parse(res.rows.item(0).ProgressResponse);
											$scope.oflineBDForBodyFatUpdate.startBodyFatPercentage = $scope.startFat;
											$scope.oflineBDForBodyFatUpdate.goalBodyFatPercentage = $scope.targetFat;
											$scope.oflineBDForBodyFatUpdate.currentBodyFatPercentage = $scope.bodyFat;
											db.transaction(function(tx) {
												tx.executeSql("UPDATE ProgressData SET ProgressResponse ='" +JSON.stringify($scope.oflineBDForBodyFatUpdate)+"' WHERE ProgressDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
												tx.executeSql('SELECT ProgressResponse FROM ProgressData WHERE ProgressDate="'+$rootScope.currentDate2+'"', [], function(tx, res) {
													if(res.rows.length > 0){
														loadProgressAfterAPI(JSON.parse(res.rows.item(0).ProgressResponse),200);
													}
												});
											});
										}
									});
								});
							}
						});
					});
				}else{
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "bodyFatPerAfterAPI");
				}
			}
			
			bodyFatPerAfterAPI = function (data , status){
				if(status == "200"){
					$scope.showingAlert("Information Successfully Updated");
					runAPI(currentAPIDate);
					//$scope.redirectToPage('progress');
					if (!$rootScope.$$phase) $rootScope.$apply();
					/*$(".popupBodyFat").hide();
					$('.popup').hide();
					$('body').css("overflow","auto");
					$('html').css("overflow","auto !important");
					$scope.startFat = "";
					$scope.targetFat = "";
					$scope.bodyFat = "";*/
				}		
			}
			
			$scope.weightChart = function (){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/reports/WEIGHT?";
				var params = "firstResult=0&maxResult=0";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					//alert('checked internet off');
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getWeightBulkDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					//alert('checked internet on');
					CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, params, "showWeightChartAfterAPI");
				}
			}
			getWeightBulkDB = function (tx){
				tx.executeSql('SELECT weightResponse FROM WeightData WHERE weightDate="'+currentAPIDate+'"', [], databaseFactory.getProgWeightBulkDetails, databaseFactory.errorCB);
			}
			UpdateProgWeightDB = function (tx) {
				tx.executeSql("UPDATE WeightData SET weightResponse ='" +$rootScope.progressWightOffline+"' WHERE weightDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			showWeightChartAfterAPI = function (data , status){
				if(status == "200"){
					$rootScope.progressWightOffline = JSON.stringify(data);
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdateProgWeightDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}
					$scope.weightChartResponse = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}
			
			$scope.setBodychartSelect = function(){
				var BodychartOption = $('#Bodychart :selected').val();
				//alert(BodychartOption);
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/reports/" + BodychartOption + "?";
				var params = "firstResult=0&maxResult=0";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					//alert('checked internet off');
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getFatchartDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					//alert('checked internet on');
					CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, params, "bodyFatChartAfterAPI");
				}
			}
			getFatchartDB = function (tx){
				var BodychartOption = $('#Bodychart :selected').val();
				tx.executeSql('SELECT "'+BodychartOption+'" FROM bodyFatChartData WHERE fatChartDate="'+currentAPIDate+'"', [], databaseFactory.getFatChartDetails, databaseFactory.errorCB);
			}
			/*UpdateFatChartDB = function (tx) {
				var BodychartOption = $('#Bodychart :selected').val();
				tx.executeSql('UPDATE bodyFatChartData SET "'+BodychartOption+'" = '+JSON.stringify($rootScope.fatChartOffline)+' WHERE fatChartDate = "'+$rootScope.currentDate2+'" ;', [], databaseFactory.errorCB, databaseFactory.successCB);
				//tx.executeSql('UPDATE bodyFatChartData SET "BODY_FAT_PERCENTAGE" = "Johnson" WHERE "fatChartDate" = "2015-06-16";', [], databaseFactory.errorCB, databaseFactory.successCB);
			}*/
			bodyFatChartAfterAPI = function (data , status){
				if(status == "200"){
					var BodychartOption = $('#Bodychart :selected').val();
					$rootScope.fatChartOffline = JSON.stringify(data);
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						
						var Change = new Object();
						Change.items = data;
						data = Change;
						$rootScope.resultFromDb = false;
					}
					else{
						//var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						//db.transaction(UpdateFatChartDB, databaseFactory.errorCB, databaseFactory.successCB);
					}
					//alert(JSON.stringify(data));
					$scope.bodyFatChartResponse = data;
					
					//runAPI(currentAPIDate);
					//$scope.yourWeight = "";
					//$scope.targetWeight = "";
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}

			checkBodyLeanFat = function(){
				if($('#bodyFat').val() > 999.99)
					$scope.bodyFat = 999.99;
				if($('#startFat').val() > 999.99)
					$scope.startFat =999.99;
				if($('#targetFat').val() > 999.99)
					$scope.targetFat = 999.99;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
						
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('measrmntCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{
			var currentAPIDate = "";
			$("#bodyFatPage").show();
			$scope.setBodyImage = function (){
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
				$scope.dateNextPrev();
				//$scope.displayChangedParams();
				$scope.displayCurrentParams();
				var QueryString = "api/people/" + localStorage.getItem("uuid");
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				//CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "getUserDetails");
				
				/*if(!CommonFactory.checkInternet()){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx){
						tx.executeSql('CREATE TABLE IF NOT EXISTS AddWeightSync (id integer primary key, page text, date date, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("SELECT * FROM AddWeightSync WHERE page='measurement'", [], function(tx, res) {
							if(res.rows.length > 0){
								db.transaction(function(tx){
									tx.executeSql("SELECT * FROM AddWeightSync WHERE page='measurement';", [], function(tx, res) {
										if(res.rows.length > 0){
											var measurementOffUpDb = res.rows.item(0);
											CommonFactory.makeRequest(measurementOffUpDb.method, measurementOffUpDb.qstring, measurementOffUpDb.rtype, JSON.parse(measurementOffUpDb.rheader), measurementOffUpDb.params, measurementOffUpDb.callback);
											tx.executeSql("DELETE FROM AddWeightSync WHERE page = 'measurement';", [], databaseFactory.errorCB, databaseFactory.successCB);
										}
									});
								});
							}
							else{
								CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "getUserDetails");
							}
						});
					});
				}*/
			}
			
			/*getUserDetails = function (data , status){
				if(status == "200"){
					$scope.heightFt = data.heightFt;
					$scope.tallIn = data.heightIn;

					if (data.gender == "F"){
						$("#showLoadImage").attr("src" , "img/women.png");
						$("#showLoadImage").show();
					}
					else {
						$("#showLoadImage").attr("src" , "img/man.png");
						$("#showLoadImage").show();
					}

					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}*/
			
			/*$scope.displayChangedParams = function (){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/body_parameters?latest=true";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
					
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "startLatestMeasurmentsAPI");
			}*/
			
			$scope.displayCurrentParams = function (){
				var currentDate = CommonFactory.getCurrentDate();	
				currentAPIDate = currentDate;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/body_parameters?recordDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					//alert('checked internet off');
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getMeasureDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					//alert('checked internet on');
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "startLatestMeasurmentsAPI");
				}
			}
			getMeasureDB = function (tx) {
				tx.executeSql('SELECT measureResponse FROM MeasureData WHERE measureDate="'+currentAPIDate+'"', [], databaseFactory.getMeasureDbDetails, databaseFactory.errorCB);
			}
			runAPI = function(date){
				currentAPIDate = date;
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					//alert('checked internet off');
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getMeasureDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					//alert('checked internet on');
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/body_parameters?recordDate=" + date;
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "startLatestMeasurmentsAPI");
				}
			}
			UpdateMeasureDB = function (tx) {
				tx.executeSql("UPDATE MeasureData SET measureResponse ='" +$rootScope.measureBulkOffline+"' WHERE measureDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			startLatestMeasurmentsAPI = function (data , status){
				if(status == "200"){
					$rootScope.measureBulkOffline = data;
					//alert(JSON.parse($rootScope.measureBulkOffline));
					
					
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdateMeasureDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}
					
					$scope.heightFt = data.heightFt;
					$scope.tallIn = data.heightIn;
					if (localStorage.getItem("gender") == 'F'){
						$("#showLoadImage").attr("src" , "img/women.png");
						$("#showLoadImage").show();
					}
					else {
						$("#showLoadImage").attr("src" , "img/man.png");
						$("#showLoadImage").show();
					}
					
					if (data.neck == null || data.neck == "null" || data.neck == 0){
							$scope.neck ='';
							$scope.diffNeck = data.diffNeck;
					}
					else{
						$scope.neck = data.neck;
						$scope.diffNeck = data.diffNeck;
						if($scope.diffNeck > 0)
							$scope.diffNeck = '+' + data.diffNeck;
					}
					if (data.rightBicep == null || data.rightBicep == "null" || data.rightBicep == 0){
						$scope.rightBicep = '';
						$scope.diffRightBicep = data.diffRightBicep;
					}
					else{
						$scope.rightBicep = data.rightBicep;
						$scope.diffRightBicep = data.diffRightBicep;
						if($scope.diffRightBicep > 0)
							$scope.diffRightBicep = '+' + data.diffRightBicep;
					}
					if (data.rightForearm == null || data.rightForearm == "null" || data.rightForearm == 0){
						$scope.rightForearm = '';
						$scope.diffRightForearm = data.diffRightForearm;
					}
					else{
						$scope.rightForearm = data.rightForearm;
						$scope.diffRightForearm = data.diffRightForearm;
						if($scope.diffRightForearm > 0)
							$scope.diffRightForearm = '+' + data.diffRightForearm;
					}
					if (data.hips == null || data.hips == "null" || data.hips == 0){
						$scope.hips = '';
						$scope.diffHips = data.diffHips;
					}
					else{
						$scope.hips = data.hips;
						$scope.diffHips = data.diffHips;
						if($scope.diffHips > 0)
							$scope.diffHips = '+' + data.diffHips;
					}
					if (data.rightThigh == null || data.rightThigh == "null" || data.rightThigh == 0){
						$scope.rightThigh = '';
						$scope.diffRightThigh = data.diffRightThigh;
					}
					else{
						$scope.rightThigh = data.rightThigh;
						$scope.diffRightThigh = data.diffRightThigh;
						if($scope.diffRightThigh > 0)
							$scope.diffRightThigh = '+' + data.diffRightThigh;
					}
					if (data.chest == null || data.chest == "null" || data.chest == 0){
						$scope.chest = '';
						$scope.diffChest = data.diffChest;
					}
					else{
						$scope.chest = data.chest;
						$scope.diffChest = data.diffChest;
						if($scope.diffChest > 0)
							$scope.diffChest = '+' + data.diffChest;
					}
					if (data.leftBicep == null || data.leftBicep == "null" || data.leftBicep == 0){
						$scope.leftBicep = '';
						$scope.diffLeftBicep = data.diffLeftBicep;
					}
					else{
						$scope.leftBicep = data.leftBicep;
						$scope.diffLeftBicep = data.diffLeftBicep;
						if($scope.diffLeftBicep > 0)
							$scope.diffLeftBicep = '+' + data.diffLeftBicep;
					}
					if (data.leftForearm == null || data.leftForearm == "null" || data.leftForearm == 0){
						$scope.leftForearm = '';
						$scope.diffLeftForearm = data.diffLeftForearm;
					}
					else{
						$scope.leftForearm = data.leftForearm;
						$scope.diffLeftForearm = data.diffLeftForearm;
						if($scope.diffLeftForearm > 0)
							$scope.diffLeftForearm = '+' + data.diffLeftForearm;
					}
					if (data.waist == null || data.waist == "null" || data.waist == 0){
						$scope.waist = '';
						$scope.diffWaist = data.diffWaist;
					}
					else{
						$scope.waist = data.waist;
						$scope.diffWaist = data.diffWaist;
						if($scope.diffWaist > 0)
							$scope.diffWaist = '+' + data.diffWaist;
					}
					if (data.leftThigh == null || data.leftThigh == "null" || data.leftThigh == 0){
						$scope.leftThigh = '';
						$scope.diffLeftThigh = data.diffLeftThigh;
					}
					else{
						$scope.leftThigh = data.leftThigh;
						$scope.diffLeftThigh = data.diffLeftThigh;
						if($scope.diffLeftThigh > 0)
							$scope.diffLeftThigh = '+' + data.diffLeftThigh;
					}
					if (data.leftCalf == null || data.leftCalf == "null" || data.leftCalf == 0){
						$scope.leftCalf = '';
						$scope.diffLeftCalf = data.diffLeftCalf;
					}
					else{
						$scope.leftCalf = data.leftCalf;
						$scope.diffLeftCalf = data.diffLeftCalf;
						if($scope.diffLeftCalf > 0)
							$scope.diffLeftCalf = '+' + data.diffLeftCalf;
					}
					if (data.rightCalf == null || data.rightCalf == "null" || data.rightCalf == 0){
						$scope.rightCalf = '';
						$scope.diffRightCalf = data.diffRightCalf;
					}
					else{
						$scope.rightCalf = data.rightCalf;
						$scope.diffRightCalf = data.diffRightCalf;
						if($scope.diffRightCalf > 0)
							$scope.diffRightCalf = '+' + data.diffRightCalf;
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.neck = '';
					$scope.diffNeck = '';
					$scope.rightBicep = '';
					$scope.diffRightBicep = '';
					$scope.rightForearm = '';
					$scope.diffRightForearm = '';
					$scope.hips = '';
					$scope.diffHips = ''
					$scope.rightThigh = '';
					$scope.diffRightThigh = '';
					$scope.chest = '';
					$scope.diffChest = '';
					$scope.leftBicep = '';
					$scope.diffLeftBicep = '';
					$scope.leftForearm = '';
					$scope.diffLeftForearm = '';
					$scope.waist = '';
					$scope.diffWaist = '';
					$scope.leftThigh = '';
					$scope.diffLeftThigh = '';
					$scope.leftCalf = '';
					$scope.diffLeftCalf = '';
					$scope.rightCalf = '';
					$scope.diffRightCalf = '';
					if (!$rootScope.$$phase) $rootScope.$apply();
				}

			}
			
			$scope.updateMeasurement = function (){
				
				var params = "";
				var countCheck = 1;
				
				if($scope.neck == null || $scope.neck == "" ){
					$scope.neck = "";
				}
				else{
					params+= "neck=" + $scope.neck;
					countCheck++;
				}

				if($scope.chest == null || $scope.chest == ""){
					$scope.chest = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "chest=" + $scope.chest;
					countCheck++;
				}

				if($scope.rightBicep == null || $scope.rightBicep == ""){
					$scope.rightBicep = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "rightBicep=" + $scope.rightBicep;
					countCheck++;
				}

				if($scope.leftBicep == null || $scope.leftBicep == ""){
					$scope.leftBicep = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "leftBicep=" + $scope.leftBicep;
					countCheck++;
				}

				if($scope.rightForearm == null || $scope.rightForearm == ""){
					$scope.rightForearm = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "rightForearm=" + $scope.rightForearm;
					countCheck++;
				}
 
				if($scope.leftForearm == null || $scope.leftForearm == ""){
					$scope.leftForearm = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "leftForearm=" + $scope.leftForearm;
					countCheck++;
				}

				if($scope.waist == null || $scope.waist == ""){
					$scope.waist = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "waist=" + $scope.waist;
					countCheck++;
				}

				if($scope.hips == null || $scope.hips == ""){
					$scope.hips = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "hips=" + $scope.hips;
					countCheck++;
				}

				if($scope.rightThigh == null || $scope.rightThigh == ""){
					$scope.rightThigh = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "rightThigh=" + $scope.rightThigh;
					countCheck++;
				}

				if($scope.leftThigh == null || $scope.leftThigh == ""){
					$scope.leftThigh = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "leftThigh=" + $scope.leftThigh;
					countCheck++;
				}

				if($scope.rightCalf == null || $scope.rightCalf == ""){
					$scope.rightCalf = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "rightCalf=" + $scope.rightCalf;
					countCheck++;
				}

				if($scope.leftCalf == null || $scope.leftCalf == ""){
					$scope.leftCalf = "";
				}
				else{
					if(countCheck > 1)
						params+= "&";
					params += "leftCalf=" + $scope.leftCalf;
					countCheck++;
				}

				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/body_parameters?recordDate=" + currentAPIDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
					var myDate = $.datepicker.formatDate('yy-mm-dd',$rootScope.futureFormattedDate);
					if(CommonFactory.getCurrentDate() != myDate){
						alert(localStorage.getItem("offlineMsg"));
						return;
					}
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx) {
						tx.executeSql('CREATE TABLE IF NOT EXISTS AddWeightSync (id integer primary key, page text, date date, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("SELECT qstring FROM AddWeightSync WHERE page='measurement' ;", [], function(tx, res) {
							if(res.rows.length < 1){
								tx.executeSql("INSERT INTO AddWeightSync (page, Date, method, qstring, rtype, rheader, params, callback) VALUES (?,?,?,?,?,?,?,?)", ['measurement', currentAPIDate, 'POST', QueryString, '', JSON.stringify(RequestHeaders), params, 'updateMeasurementAfterAPI'], function(tx, res) {
									//$scope.showingAlert("Entered information updated successfully in offline mode");
									var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
									db.transaction(function(tx) {
										tx.executeSql('CREATE TABLE IF NOT EXISTS MeasureData (id integer primary key, measureDate date, measureResponse text)');
										tx.executeSql('SELECT measureResponse FROM MeasureData WHERE measureDate="'+currentAPIDate+'"', [], function(tx, res) {
											if(res.rows.length > 0){
												$scope.oflineBDForMeasureUpdate = JSON.parse(res.rows.item(0).measureResponse);
												$scope.oflineBDForMeasureUpdate.neck = $scope.neck;
												$scope.oflineBDForMeasureUpdate.rightBicep = $scope.rightBicep;
												$scope.oflineBDForMeasureUpdate.rightForearm = $scope.rightForearm;
												$scope.oflineBDForMeasureUpdate.hips = $scope.hips;
												$scope.oflineBDForMeasureUpdate.rightThigh = $scope.rightThigh;
												$scope.oflineBDForMeasureUpdate.chest = $scope.chest;
												$scope.oflineBDForMeasureUpdate.leftBicep = $scope.leftBicep;
												$scope.oflineBDForMeasureUpdate.leftForearm = $scope.leftForearm;
												$scope.oflineBDForMeasureUpdate.waist = $scope.waist;
												$scope.oflineBDForMeasureUpdate.leftThigh = $scope.leftThigh;
												$scope.oflineBDForMeasureUpdate.leftCalf = $scope.leftCalf;
												$scope.oflineBDForMeasureUpdate.rightCalf = $scope.rightCalf;
												
												db.transaction(function(tx) {
													tx.executeSql("UPDATE MeasureData SET measureResponse ='" +JSON.stringify($scope.oflineBDForMeasureUpdate)+"' WHERE measureDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
													tx.executeSql('SELECT measureResponse FROM MeasureData WHERE measureDate="'+$rootScope.currentDate2+'"', [], function(tx, res) {
														if(res.rows.length > 0){
															updateMeasurementAfterAPI(JSON.parse(res.rows.item(0).measureResponse),200);
														}
													});
												});
											}
										});
									});
								}, function(e) {
									console.log("ERROR: " + e.message);
								});
							}
							else{
								tx.executeSql("UPDATE AddWeightSync SET Date ='" +currentAPIDate+ "', qstring ='" +QueryString+"', rheader ='" +JSON.stringify(RequestHeaders)+ "', params ='" +params+ "' WHERE page = 'measurement' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
								//$scope.showingAlert("Entered information updated successfully in offline mode");
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								db.transaction(function(tx) {
									tx.executeSql('CREATE TABLE IF NOT EXISTS MeasureData (id integer primary key, measureDate date, measureResponse text)');
									tx.executeSql('SELECT measureResponse FROM MeasureData WHERE measureDate="'+currentAPIDate+'"', [], function(tx, res) {
										if(res.rows.length > 0){
											$scope.oflineBDForMeasureUpdate = JSON.parse(res.rows.item(0).measureResponse);
											$scope.oflineBDForMeasureUpdate.neck = $scope.neck;
											$scope.oflineBDForMeasureUpdate.rightBicep = $scope.rightBicep;
											$scope.oflineBDForMeasureUpdate.rightForearm = $scope.rightForearm;
											$scope.oflineBDForMeasureUpdate.hips = $scope.hips;
											$scope.oflineBDForMeasureUpdate.rightThigh = $scope.rightThigh;
											$scope.oflineBDForMeasureUpdate.chest = $scope.chest;
											$scope.oflineBDForMeasureUpdate.leftBicep = $scope.leftBicep;
											$scope.oflineBDForMeasureUpdate.leftForearm = $scope.leftForearm;
											$scope.oflineBDForMeasureUpdate.waist = $scope.waist;
											$scope.oflineBDForMeasureUpdate.leftThigh = $scope.leftThigh;
											$scope.oflineBDForMeasureUpdate.leftCalf = $scope.leftCalf;
											$scope.oflineBDForMeasureUpdate.rightCalf = $scope.rightCalf;
											
											db.transaction(function(tx) {
												tx.executeSql("UPDATE MeasureData SET measureResponse ='" +JSON.stringify($scope.oflineBDForMeasureUpdate)+"' WHERE measureDate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
												tx.executeSql('SELECT measureResponse FROM MeasureData WHERE measureDate="'+$rootScope.currentDate2+'"', [], function(tx, res) {
													if(res.rows.length > 0){
														updateMeasurementAfterAPI(JSON.parse(res.rows.item(0).measureResponse),200);
													}
												});
											});
										}
									});
								});
							}
						});
					});
				}else{
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "updateMeasurementAfterAPI");
				}
			}
			
			updateMeasurementAfterAPI = function (data , status){
				if(status == "200"){
					$scope.showingAlert("Information Successfully Updated");
					runAPI(currentAPIDate);	
					//$scope.redirectToPage('progress');
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}
			
			$scope.setMeasureChartSelect = function(mesureChartOption){
				//var mesureChartOption = mesureChartOption;
				//alert(mesureChartOption);
				var measurechartOption = $('#measureChart :selected').val();
				$scope.measureChartSelectText=mesureChartOption.replace("_"," ");
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/reports/" + mesureChartOption + "?";
				var params = "firstResult=0&maxResult=0";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					//alert('checked internet off');
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getMeasusreChartDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					//alert('checked internet on');
					CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, params, "setMeasureChartSelectAfterAPI");
				}
			}
			getMeasusreChartDB = function (tx){
				var measurechartOption = $('#measureChart :selected').val();
				tx.executeSql('SELECT "'+measurechartOption+'" FROM measureChartData WHERE measureChartDate="'+currentAPIDate+'"', [], databaseFactory.getMeasureChartDetails, databaseFactory.errorCB);
			}
			setMeasureChartSelectAfterAPI = function (data , status){
				if(status == "200"){
					var measurechartOption = $('#measureChart :selected').val();
					$rootScope.measureChartOffline = JSON.stringify(data);
					$rootScope.currentDate2 = currentAPIDate;
					if($rootScope.resultFromDb){
						data = JSON.parse(data);
						
						var Change = new Object();
						Change.items = data;
						data = Change;
						$rootScope.resultFromDb = false;
					}
					else{
						//var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						//db.transaction(UpdateFatChartDB, databaseFactory.errorCB, databaseFactory.successCB);
					}
					
					//alert("Information Successfully Received");
					$scope.measureChartResponse = data;
					
					//runAPI(currentAPIDate);
					//$scope.yourWeight = "";
					//$scope.targetWeight = "";
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}
			
		}
		
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('myProgressPhoto', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{
			$("#bodyFatPage").show();
			
			$scope.loadProgressImg = function (){
				var currentDate = CommonFactory.getCurrentDate();	
				currentAPIDate = currentDate;	
				$scope.topMarginDateSec();
				$scope.dateNextPrev();
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/progress_images_url?firstResult=0&maxResult=50";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getProPicDBSrc, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "progressImgAPI");
				}
			}
			getProPicDBSrc = function (tx) {
				tx.executeSql('SELECT * FROM progPic', [], function(tx, res){
					var srcPP = res.rows.item(0).data;
					$("#myProgPhoto").attr("src", srcPP);
				});
			}
			
			progressImgAPI = function (data , status){
				if(status == "200"){
					$rootScope.proPicBulkOffline = JSON.stringify(data);
					$rootScope.proPicOffline = JSON.stringify(data.items[0].url);
					//alert($rootScope.proPicOffline);
					if (!$rootScope.$$phase) $rootScope.$apply();
					$rootScope.currentDate2 = currentAPIDate;
					
					var versionURL = data.items[0].url;
					var value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					$.ajax({
						url: versionURL,
						type: "GET",
						contentType: "jsonp",
						data: {
						},
						beforeSend : function(xhr){
							console.log("zak... QueryString..." +versionURL);
							xhr.setRequestHeader("Authorization" , value);
						},
						success : function(data) {
							console.log("zak... Update progress pic Works! : " + JSON.stringify(data));
							if($rootScope.offlineDbFuctionality){
								var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
								var firstProgImgData = 'data:image/jpeg;base64,' + data.base64EncodedImage;
								console.log('progressUpdate' + firstProgImgData);
								db.transaction(function(tx) {
									tx.executeSql('DROP TABLE IF EXISTS progPic');
									tx.executeSql('CREATE TABLE IF NOT EXISTS progPic (id integer primary key, name text, data text)');
									tx.executeSql("INSERT INTO progPic (id, name, data) VALUES (?,?,?)", [1,"offlineProgPic", firstProgImgData], function(tx, res) {
										//alert("insertId: " + res.insertId + " -- progPic");
									}, function(e) {
										console.log("ERROR: " + e.message);
									});
								});
							}
						},
						error : function(data, status) {
							console.log("zak... Update progress pic Fails! : " + JSON.stringify(data));
						}
					});
					
					$scope.progressPhotos = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}
			/*UpdateMeasureDB = function (tx) {
				//alert($rootScope.proPicOffline);
				var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9\+\/\=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/\r\n/g,"\n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
				var value1 = 'Basic ' + Base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				var versionURL1 = $rootScope.proPicOffline;
				$.ajax({
					url: versionURL1.replace(/"/g, ''),
					type: "GET",
					contentType: "jsonp",
					data: {
					},
					beforeSend : function(xhr){
						console.log("zak... QueryString..." +versionURL1);
						xhr.setRequestHeader("Authorization" , value1);
					},
					success : function(data) {
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						db.transaction(function(tx) {
							//alert(JSON.stringify(data));
							tx.executeSql('DROP TABLE IF EXISTS progPic');
							tx.executeSql('CREATE TABLE IF NOT EXISTS progPic (id integer primary key, name text, data text)');
							tx.executeSql("INSERT OR REPLACE INTO progPic (id, name, data) VALUES (?,?,?)", [1,"offlineProgPic", JSON.stringify(data)], function(tx, res) {
								//alert("insertId: " + res.insertId + " -- updateProgPic");
							}, function(e) {
								console.log("ERROR: " + e.message);
							});
						});
					},
					error : function(data, status) {
						console.log("zak... progress pic Fails! : " + JSON.stringify(data));
					}
				});
			}*/

			$scope.getPhotoUrl = function(URL , index){
				
				$.ajax({
						
					type : "GET",           
					url : URL, 
					dataType : "json",
					data : '',
					beforeSend : function(xhr){
						xhr.setRequestHeader("Authorization" , 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")));
					},
						
					success : function(data, status, xhr) {
						//console.log("Works! : " + JSON.stringify(data));
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
							$scope.setPhotosArray(index , data);
						});
					},
						
					error : function(xhr, data) {
                 		//console.log("Fails! : " + JSON.stringify(xhr));
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
							$scope.setPhotosArray(index , "Fails");
						});
					}						
				});
			}

			var countCheck = 0;
			var sliderRefresh = false;
			$scope.setPhotosArray = function(index , data){
				var ImageURL = "data:" + data.type + ";base64," + data.base64EncodedImage;
				if (index == 0){
					$("#myProgPhoto").attr("src" , ImageURL);	
					$(".proMainPic").show();
				}
				$("#photo" + index).attr("src" , ImageURL);
				countCheck++;
				if(countCheck == $scope.progressPhotos.totalCount) {
					//$("#buttonShowPhotos").show();
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			var slider = "";
			$scope.showPreviousPhotos = function(){
				$("#buttonShowPhotos").hide();
				$(".clsPrvImage").show();
				
				if (sliderRefresh) {
					//alert(1);
					//$owl.trigger('update.owl.carousel');
				}
				else {
					var owl = $("#owl-demo");
					var status = $("#owlStatus");
					owl.owlCarousel({			
						itemsCustom : [
						[0, 3],
						[450, 4],
						[600, 5],
						[700, 6],
						[1000, 7],
						[1200, 8],
						[1400, 9],
						[1600, 10]
						],
						navigation : false,
						rewindNav : false,
                        afterAction : afterAction
					});

					$(".owl-next").click(function(){
					    owl.trigger('owl.next');
					})
					$(".owl-prev").click(function(){
					    owl.trigger('owl.prev');
					}) 
				 function afterAction(){
					if ( this.itemsAmount > this.visibleItems.length ) {

						var carouselNext = $('.owl-next');
						var carouselPrev = $('.owl-prev');
					        $(carouselNext).show();
					        $(carouselPrev).show();

					        $(carouselNext).removeClass('disabled');
					        $(carouselPrev).removeClass('disabled');
					        if ( this.currentItem == 0 ) {
					               $(carouselPrev).addClass('disabled');
                            }
					        if ( this.currentItem == this.maximumItem ) {
					            $(carouselNext).addClass('disabled');
					        }

				    } else {
				        $(carouselNext).hide();
				        $(carouselPrev).hide();
				    }
				}
			  }
			}
			$rootScope.picLoadFromDB = false;
			uploadProgressImage= function(imageData){
				console.log(imageData);
				var currentDate = CommonFactory.getCurrentDate();
				var options = new FileUploadOptions();
				var params = new Object();
				var headers = { 'Authorization': 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")) };
				options.mimeType = "image/jpeg";
				options.headers = headers;
				options.params = params;
				options.fileKey = "progressImage";
				options.fileName = imageData.substr(imageData.lastIndexOf('/') + 1);
				options.chunkedMode = false;
				var ft = new FileTransfer();
				var QueryString = baseURL + "api/people/" + localStorage.getItem("uuid") + "/body_parameters?recordDate=" + currentDate;
				ft.upload(imageData, encodeURI(QueryString), function (r) {
					//alert('Done');
					console.log(JSON.stringify(r));
					$scope.showingAlert("Progress Image Uploaded Successfully");
					var $body = angular.element(document.body);
					var $rootScope = $body.scope().$root;
					$rootScope.$apply(function () {
						$scope.loadProgressImg();
						//location.reload();
						//alert($rootScope.picLoadFromDB);
						if(!$rootScope.picLoadFromDB){
							$scope.redirectToPage('myProgresss');
						}
					});
					return;	
					countCheck = 0;
					sliderRefresh = true;
					//return;	
					$(".proMainPic").hide();
					$("#buttonShowPhotos").hide();
					$(".clsPrvImage").hide();
					return;
					$('.slider5').hide();
					sliderRefresh = true;
				}, function (error) {
					//alert(JSON.stringify(error));
				}, options, true);
				
				$("#myProgPhoto").attr("src", imageData);
				var d = document.createElement('img');
				d.setAttributes({
					'id':'tip1',
					'src' : imageData,
					'styles':{
						'display':'none'
					}
				});
				document.body.appendChild(d);
				//$('#aaaa').attr('src' , data[0].image);
				var img = new Image();
				img.crossOrigin = 'Anonymous';
				img.onload = function(){
					var canvas = document.createElement('CANVAS'),
					imageDataT = '',
					ctx = canvas.getContext('2d'), dataURL;
					canvas.height = img.height;
					canvas.width = img.width;
					ctx.drawImage(img, 0, 0);
					dataURL = canvas.toDataURL('image/jpg');
					imageDataT = dataURL;
					if($rootScope.offlineDbFuctionality){
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);				  
						db.transaction(function(tx) {
							tx.executeSql('DROP TABLE IF EXISTS progPic');
							tx.executeSql('CREATE TABLE IF NOT EXISTS progPic (id integer primary key, name text, data text)');
							tx.executeSql("INSERT INTO progPic (id, name, data) VALUES (?,?,?)", [1,"offlineProgPic", imageDataT], function(tx, res) {
								//alert('Inserted in progPic');
							}, function(e) {
								console.log("ERROR: " + e.message);
							});
						});
					}
					//localStorage.setItem('offTip',JSON.stringify(data));
					canvas = null; 
				};
				img.src = imageData;
				
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx){
						tx.executeSql('DROP TABLE IF EXISTS ProgPicSync');
						tx.executeSql('CREATE TABLE IF NOT EXISTS ProgPicSync (id integer primary key, imageData text)');
						tx.executeSql("INSERT INTO ProgPicSync (imageData) VALUES (?)", [imageData], function(tx, res) {
							alert('Inserted in ProgPicSync');
						}, function(e) {
							console.log("ERROR: " + e.message);
						});
					});
				}
				
			}

			var numberImage = '';
			$scope.deleteProgressImage = function(imageuuid , num){
				numberImage = num;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/progress_images/" + imageuuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("DELETE", QueryString, "json", RequestHeaders, "", "deleteProgressImageAfterAPI");
			}

			deleteProgressImageAfterAPI = function (data , status){
				if(status == "200"){
					$scope.showingAlert("Progress Image Deleted Successfully");
					if (!$rootScope.$$phase) $rootScope.$apply();
					$("#prgImage" + numberImage).hide();
				}
			}

		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);