BLApp.controller('socialLoginCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 
	function ($scope, $rootScope, $location, CommonFactory) {
		
		$scope.socialLogin = function(site){
			try{
				if(site == 'facebook'){
				    console.log('zak... Login with Facebook');
                    startFacebookLogin();
				}
				
				else if(site == 'twitter'){
				    console.log('zak... Login with Twitter');
                    startTwitterLogin();
				}
			}
			catch(error){
                CommonFactory.exceptionHandled(error);
			}
		}

        $scope.checkoauthCred = function (site , data) {
            //// API call to checke whather user is signed up with Oauth or not
            var oauthData = JSON.parse(data);
            var usrnme = oauthData.id;
            var twitterID = '';
            var twitterusrnme = '';
            if(site == 'facebook')
                var params = 'facebookAccessToken=' + fbAccessToken + "&username=" + usrnme;
            else
                var params = 'twitterId=' + twitterID + "&username=" + twitterusrnme;
            
            $.ajax({
                type : "POST",           
                url : baseURL + "api/auth_token", 
                dataType : "json",
                data : params,
                beforeSend : function(xhr){

                },
                success : function(data, status, xhr) {
                    console.log('zak... Social Success : ' + JSON.stringify(data));
                    var usernameOAUTH = data.username;
                    var passwordOAUTH = data.token;
                    afterOauthSuccess (usernameOAUTH , passwordOAUTH , usrnme);
                },
                error : function(xhr, data) {
                    console.log('zak... Social Fails : ' + JSON.stringify(data));
                    afteroAuthCheck(site , JSON.stringify(oauthData));
                }
            });

            /*if(site == 'facebook'){
                //var $body = angular.element(document.body);
                //var $rootScope = $body.scope().$root;
                //$rootScope.$apply(function () {
                    $rootScope.oAuthSite = site;
                    $rootScope.oAuthFirstName = oauthData.first_name;
                    $rootScope.oAuthLastName = oauthData.last_name;
                    $rootScope.oAuthEmail = oauthData.email;
                    $rootScope.oAuthGender = oauthData.gender;
                    $rootScope.oAuthID = oauthData.id;
                    $rootScope.oAuthUserName = '1092837465testhhhdummyhhhuserfbhhhuser5647382910';
                    $rootScope.oAuthLogged = true;
                    $scope.redirectToPage('signup');
                    if (!$rootScope.$$phase) $rootScope.$apply();
                //});
            }

            if(site == 'twitter'){
                //var $body = angular.element(document.body);
                //var $rootScope = $body.scope().$root;
                //$rootScope.$apply(function () {
                    $rootScope.oAuthSite = site;
                    $rootScope.oAuthFirstName = oauthData.first_name;
                    $rootScope.oAuthLastName = oauthData.last_name;
                    $rootScope.oAuthEmail = '';
                    $rootScope.oAuthGender = 'female';
                    $rootScope.oAuthID = oauthData.id;
                    $rootScope.oAuthUserName = oauthData.screen_name;
                    $rootScope.oAuthLogged = true;
                    $scope.redirectToPage('signup');
                    if (!$rootScope.$$phase) $rootScope.$apply();
                //});
            }*/
        }

        function afterOauthSuccess(username , password , id){
            localStorage.setItem("username" , username);
            localStorage.setItem("password" , password);
            var QueryString = "api/people/" + id;
            var RequestHeaders = [];
            var RequestHeadersParams = new Object();
            RequestHeadersParams.key = "Authorization";
            RequestHeadersParams.value = 'Basic ' + $.base64.encode(username + ':' + password); 
            RequestHeaders.push(RequestHeadersParams);
            CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "getProfileAfterOauthAPI");
        }

        getProfileAfterOauthAPI = function (data , status){
                if(status == "200"){
                    alert('oauth profile success');
                }
                else{
                    alert('oauth profile fails');
                }
            }

        function afteroAuthCheck(site , oauthDatas){
            var oauthData = JSON.parse(oauthDatas);
            if(site == 'facebook'){
                /*var $body = angular.element(document.body);
                var $rootScope = $body.scope().$root;
                $rootScope.$apply(function () {*/
                    $rootScope.oAuthSite = site;
                    $rootScope.oAuthFirstName = oauthData.first_name;
                    $rootScope.oAuthLastName = oauthData.last_name;
                    $rootScope.oAuthEmail = oauthData.email;
                    $rootScope.oAuthGender = oauthData.gender;
                    $rootScope.oAuthID = oauthData.id;
                    $rootScope.oAuthUserName = '1092837465testhhhdummyhhhuserfbhhhuser5647382910';
                    $rootScope.oAuthLogged = true;
                    $scope.redirectToPage('signup');
                    if (!$rootScope.$$phase) $rootScope.$apply();
                //});
            }

            if(site == 'twitter'){
                /*var $body = angular.element(document.body);
                var $rootScope = $body.scope().$root;
                $rootScope.$apply(function () {*/
                    $rootScope.oAuthSite = site;
                    $rootScope.oAuthFirstName = oauthData.first_name;
                    $rootScope.oAuthLastName = oauthData.last_name;
                    $rootScope.oAuthEmail = '';
                    $rootScope.oAuthGender = 'female';
                    $rootScope.oAuthID = oauthData.id;
                    $rootScope.oAuthUserName = oauthData.screen_name;
                    $rootScope.oAuthLogged = true;
                    $scope.redirectToPage('signup');
                    if (!$rootScope.$$phase) $rootScope.$apply();
                //});
            }
        }
        var fbAccessToken = '';
        function startFacebookLogin(){
            try{
                console.log('zak... Firing Facebook Login');
                openFB.login(
                    function(response) {
                        if(response.status === 'connected') {
                            //alert(response.authResponse.token);
                            console.log(response.authResponse.token);
                            fbAccessToken = response.authResponse.token;
                            console.log('zak...Facebook login Success.. getting profile data.');
							getInfo();
                        } 
                        else {
                            alert('Facebook login failed: ' + response.error);
                            console.log('zak...Facebook login failed: ' + response.error);
                        }
                    }, {scope: 'email,read_stream,publish_stream'}
                );
            }
            catch(error){
                CommonFactory.exceptionHandled(error);
            }
        }
        
        function getInfo() {
            try{
                openFB.api({
                    path: '/me',
                    success: function(data) {
                        console.log('zak... FB Profile Data ' + JSON.stringify(data));
                        var $body = angular.element(document.body);
                        var $rootScope = $body.scope().$root;
                        $rootScope.$apply(function () {
                            //$scope.showingAlert("Successfully Connected to Facebook");
                            $scope.checkoauthCred('facebook' , JSON.stringify(data));
                            if (!$rootScope.$$phase) $rootScope.$apply();
                        });
                    },
                    error: errorHandler
                });
            }
            catch(error){
                CommonFactory.exceptionHandled(error);
            }
        }
        
        function errorHandler(error) {
            try{
                console.log('zak... FB Error :' + error.message);
            }
            catch(error){
                CommonFactory.exceptionHandled(error);
            }
        }

        var CONSUMER_KEY = 'R0sBtUGDX23P1OD6uh6Xf2CRW';
        var CONSUMER_SECRET = 'JQlJL1Gi0tspNnEyGrrMLyNEAHHFjTkKBhSdtQl4BFhOKPsTnK';
        var OAUTH_CALLBACK = 'oauthcallback.html';

        function startTwitterLogin(){
            try{
                hello( "twitter" ).login().then( function(){
                    console.log('zak...Twitter login Success.. getting profile data.');
                    hello( "twitter" ).api("me").then(function(json){
                        console.log("zak... Twitter Profile Data " + JSON.stringify(json));
                        var $body = angular.element(document.body);
                        var $rootScope = $body.scope().$root;
                        $rootScope.$apply(function () {
                            //$scope.showingAlert("Successfully Connected to Twitter");
                            $scope.checkoauthCred('twitter' , JSON.stringify(json));
                            if (!$rootScope.$$phase) $rootScope.$apply();
                        });
                    }, function(e){
                        console.log('zak... Twitter Profile Error' + e.error.message );
                    });
                }, function( e ){
                    console.log('zak... Twitter Login Error' + e.error.message );
                });
                return;
                console.log('zak... Firing Twitter Login');
                var Params = "";
                $.ajax({
                    url: "http://api.twitter.com/oauth/request_token",
                    type: "POST",
                    contentType: "jsonp",
                    data: {
                        oauth_consumer_key: "R0sBtUGDX23P1OD6uh6Xf2CRW",
                        oauth_signature_method: "HMAC-SHA1",
                        oauth_timestamp: parseInt((new Date()).getTime() / 1000),
                        oauth_nonce: "R" + parseInt((new Date()).getTime() / 1000),
                        oauth_version: "1.0"
                    },
                    success : function(data, status) {
                        console.log("zak... Twitter Works! : " + JSON.stringify(data));
                    },
                    error : function(data, status) {
                        console.log("zak... Twitter Fails! : " + JSON.stringify(data));
                    }
                });
            }
            catch(error){
                CommonFactory.exceptionHandled(error);
            }
        }
	}
]);

setTimeout(function(){
    console.log('zak... Facebook , Twitter Login SDK Loaded');
    openFB.init({appId: '307539509436779'});
    hello.init({
        twitter : 'R0sBtUGDX23P1OD6uh6Xf2CRW'
    },{
        redirect_uri : 'http://adodson.com/hello.js/redirect.html'
    });
}, 500);