BLApp.controller('expertAdviceCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 
	function ($scope, $rootScope, $location, CommonFactory) {
		try{
			$scope.noAdvice = false;

			$scope.expertAdvice = function(){
				activePageName = $rootScope.currentLocation.substring(1);
				$scope.loadExpertAdvice();
			}
			
			$scope.loadExpertAdvice = function(){
				var QueryString = "api/expert_advices";
				CommonFactory.makeRequest("GET" , QueryString , "json" , "" , "" , "loadExpertAdviceAPI");
			}
			
			loadExpertAdviceAPI = function (data , status){
				if(status == "200"){
					$scope.adviceList = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}
			
			$scope.setFilterEA = function(filter){
				if (filter == 1)
					$scope.filterAdvice('all' , 'c1');
				if (filter == 2)
					$scope.filterAdvice('Weight Loss' , 'c2');
				if (filter == 3)
					$scope.filterAdvice('NUTRITION/SUPPLEMENTS' , 'c3');
				if (filter == 4)
					$scope.filterAdvice('ANTI-AGING' , 'c4');
				if (filter == 5)
					$scope.filterAdvice('EXERCISE/TRAINING' , 'c5');
				if (filter == 6)
					$scope.filterAdvice('GENERAL HEALTH' , 'c6');
				if (filter == 7)
					$scope.filterAdvice('BEAUTY TIPS' , 'c7');
				if (filter == 8)
					$scope.filterAdvice('CELEBRITY' , 'c8');
			}

			$scope.filterAdvice = function(filterCat , cls){
				$(".expertList").hide();
				$(".clsAdv").show();
				//$(".expertAdviceNavi1 ul a").removeClass("expertSelect");
				//$(".expertAdviceNavi2 ul a").removeClass("expertSelect");
				//$("#" + cls).addClass("expertSelect");
				$scope.noAdvice = false;
				if(filterCat != "all"){
					$scope.noAdvice = true;
					for(var i = 0; i < $scope.adviceList.length; i++){
						if($scope.adviceList[i].categories.length > 0){
							var categoryCheck = false;
							for(var j = 0; j < $scope.adviceList[i].categories.length; j++){
								if($scope.adviceList[i].categories[j].name == filterCat){
									$scope.noAdvice = false;
									categoryCheck = true;
								}
							}
							if(categoryCheck == false){
								$("#advice" + i).hide();
							}
						}
						else{
							$("#advice" + i).hide();
						}
					}
				}
				$(".expertList").show();
			}
	
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);