var helpTexts = {
	"login":{
		"helpText":"login"
	},
	"signup":{
		"helpText":"signup"
	},
	"selectPlans":{
		"helpText":"selectPlans"
	},
	"dashboard":{
		"helpText":"My Dashboard has quick links to the most used features of the app. You can personalize this page by uploading any picture that may keep you motivated! Just click Upload New to add!"
	},
	"dashboardT":{
		"helpText":"My Dashboard has quick links to the most used features of the app. You can personalize this page by uploading any picture that may keep you motivated! Just click Upload New to add!"
	},
	"profile":{
		"helpText":"profile"
	},
	"changePassword":{
		"helpText":"changePassword"
	},
	"progress":{
		"helpText":"My Progress empowers you to keep track of your results! Each time you weigh yourself, enter the weight, click update and the app will keep track of your progress.  You can also easily update your target, or goal weight. You may also click on the tabs below to add your body fat percentage (if you know it) your circumference measurements, as well as take before, progress, and after photos to keep you motivated."
	},
	"bodyFat":{
		"helpText":"Enter, and track your body fat measurements. You can enter your target or goal and see your latest improvements. If you want to see a history of your entries, click track progress Body fat is an estimate usually calculated by a special scale, or caliper. If you know your body fat, and weight, you can know how many pounds of fat you have on your body and how many pounds of lean mass i.e. muscle, water, bone everything else you are made up of that is not fat."
	},
	"myMeasurements":{
		"helpText":"You can keep track of your circumference measurements here. Enter each measurement you wish to track and click update to save. After you have entered at least a beginning and a follow up measurement you will see a red number next to the body part. This is a running total of what you have lost or gained so far. If you want a more detailed report of all your measurements for a body part, click track progress."
	},
	"myProgress":{
		"helpText":'You can view your current picture as well as upload or take a new picture. If you want to see all your progress pictures click "view previous images"'
	},
	"myDietPlan":{
		"helpText":"<strong>Edit Tracker lets you</strong><br />1. Follow or switch a meal plan<br />2. Add or Delete Meal slots in your tracker<br /><br /><strong>Light Bulb Icon</strong><br />1. Gives you meal ideas you can eat for that meal<br />2. Allows you to find close by fast food/restaurant options you could eat for that meal<br /><br /><strong>Meal name</strong><br />1. Clicking on meal name you can add current meal to favorites<br />2. You can Delete the meal<br /><br /><strong>Add Food Button</strong><br />1. This is how you add food to the tracker and to keep track of your calories<br /><br /><strong>Individual food items</strong><br />1. Click on the food to<br />a. Edit current food and or see the nutrients and calories for that food<br />b. Switch food for a different food<br />c. Favorite the food<br />d. Delete the food"
	},
	"allDietPlanRecommended":{
		"helpText":"<srong>Get a different plan (recommended)</srong><br />Selecting any of these plans will make sure you are in the calorie range etc. you need to be in based on the recommendations to reach your goal.<br /><br /><srong>Get a different plan (see all)</srong><br />This is a list of all the plans in the app. You can browse and follow any of these plans. Be advised that these plans are not recommended for you. You may not see the results you want following them.<br /><br /><srong>Add or delete meal slot</srong><br />You can rename your meal slots, delete them, or add additional ones. If you want to change the order, hard press and drag the meal you wish to move."
	},
	"trackOnly":{
		"helpText":"trackOnly"
	},
	"trackOnlySearch":{
		"helpText":"trackOnlySearch"
	},
	"addMealSlot":{
		"helpText":"You can rename your meal slots, delete them, or add additional ones. If you want to change the order, hard press and drag the meal you wish to move."
	},
	"myDietPlanRecommended":{
		"helpText":"<strong>Edit current food</strong><br />You can view the nutrient information for this food; make portion size and or unit of measurement changes. Click save to make the changes in your plan.<br /><br /><strong>Give me another food choice (recommended)</strong><br />Switch your current food item with one of these because they are similar in nutrients.<br /><br /><strong>Give me another food choice (Recent)</strong><br />You can switch your current food item with any of the recent food items you have added. Be careful because not all of these will match the nutrients of your current food.<br /><br /><strong>Give me another food choice (Favorites)</strong><br />You can switch your current food item with any of your favorite foods. Be careful because not all of these will match the nutrients of your current food item.<br /><br /><strong>Give me another food choice (Recipes)</strong><br />You can switch your current food item with any of these recipes because they are similar in nutrients. Not sure if you are going to like the recipe, or want to know more? Click details to get a quick rundown before you commit to switching it.<br /><br /><strong>Give me another food choice (All)</strong><br />You can switch your current food item with any of the foods in the system. You can filter by diet preference type (vegetarian, paleo, etc...) You can also use the barcode scanner to load up a food you have on hand. Make sure the food you select doesnt put you over your suggested calorie range."
	},
	"guiltFreeMealLocator":{
		"helpText":"Enter your location, or use your device GPS and filter the types of meals you are looking for. You can also add/replace any of your meals with any of the results."
	},
	"guiltFreeMealLocatorSearchResult":{
		"helpText":"Enter your location, or use your device GPS and filter the types of meals you are looking for. You can also add/replace any of your meals with any of the results."
	},
	"fitnessPlan":{
		"helpText":"Click on the calendar/date to see your workout for each respective date. You can select how many calories you wish to burn during the workout. When you log the exercise it will add the calories burned doing that exercise to your tracker. You can switch or edit your plan by clicking Edit Plan To see how to perform the exercise and to view history and notes click the menu button (button with 3 lines) right next to the exercise name. This button will also take you to where you can switch the exercise for another one. Enter the weight, reps, and rest period for each exercise. It is really easy to add, copy, or delete sets. If you feel like you want to add to your workout, you can add additional exercises by clicking the Add Exercise button."
	},
	"fitnessPlanTabs":{
		"helpText":"<strong>Get a different plan (Recommended)</strong><br />Recommended plans are based off your goals, diet preferences, and profile questions you answered.<br /><br /><strong>Get a different plan (My Saved Plan)</strong><br />These are all the plans that you have saved.<br /><br /><strong>Get a different plan (See all)</strong><br />These are all of the plans in the system. They may or may not be the right plan for you to follow."
	},
	"advice":{
		"helpText":"These articles are written by experts in the fields of nutrition and exercise.  You can simplify your search by browsing the categories."
	},
	"expertAdvice":{
		"helpText":"These articles are written by experts in the fields of nutrition and exercise.  You can simplify your search by browsing the categories."
	},
	"recipe":{
		"helpText":"This is a data base of all the recipes in the app. Click the details button to see the nutritional information and how to prepare it. If you like it, you can add it to a meal.<br /><br /><strong>Recipes (detail)</strong><br />You can add or swap this recipe with any meal"
	},
	"forgotPassword":{
		"helpText":"forgotPassword"
	},
	"feedback":{
		"helpText":"Make sure you give us your name, your email address, your comments as well as any screenshots that would help us with your feedback inquiry. Click Submit and we will get back to you soon!"
	},
	
	/* new keys */
	"trackProgressBodyFatChart":{
		"helpText":"Choose the select one option dropdown to see your results over time for either your lean mass, fat mass, or body fat percentage."
	},
	"trackProgressMeasurementChart":{
		"helpText":"Choose the select one option dropdown to see your results over time for each measurement site."
	},
	"editPlanMyDietPlan":{
		"helpText":"Selecting get a different plan will give you the option to browse and select a different plan than you are currently following. You can also change to track only which will allow you to use the app as a tracker as you follow your own diet. Finally you can add, delete, or edit the meals/meal slots in your diet tracker. For instance if you want to add another meal/snack do that there."
	},
	"editMealDietPlan":{
		"helpText":"Here you can edit all aspects of this meal. You can get a different meal recommended, as well as a fast food option close by. You may add an additional food item to the meal, Favorite a meal, and delete a meal."
	},
	"findCloseByFastFoodOption":{
		"helpText":"Click to use your current location or enter a zip code to find restaurant and fast food meals that will switch perfectly with your current meal. Click on the restaurant name to show food items at that restaurant."
	},
	"addAdditionalFoodItemToMealSearch":{
		"helpText":"You can add additional food items to your meal by either entering the name or by scanning the barcode. You can filter by diet preference as well as calorie range. Check all the foods you want to add then click add selected to add to your meal!"
	},
	"addAdditionalFoodItemToMealRecentlyEaten":{
		"helpText":"These are foods that you have recently logged that you have eaten. It is a quick reference for foods you may eat often."
	},
	"addAdditionalFoodItemToMealFavorites":{
		"helpText":"These are foods that you have marked as your favorites. From here you can add them to your meal. You can also unfavorite foods by selecting them and clicking unfavorite."
	},
	"editFoodItem":{
		"helpText":"Edit current food if you want to change portion size. Click Give me another food choice if you would like the software to recommend another food to replace the current one. You can also delete this food here."
	},
	"editCurrentFood":{
		"helpText":"You can view the nutrient information for this food; make portion size and or unit of measurement changes. Click save to make the changes in your plan."
	},
	"giveMeAnotherFoodChoiceRecommended":{
		"helpText":"Switch your current food item with one of these because they are similar in nutrients."
	},
	"giveMeAnotherFoodChoiceRecent":{
		"helpText":"You can switch your current food item with any of the recent food items you have added. Be careful because not all of these will match the nutrients of your current food."
	},
	"giveMeAnotherFoodChoiceFavorites":{
		"helpText":"You can switch your current food item with any of your favorite foods. Be careful because not all of these will match the nutrients of your current food item."
	},
	"giveMeAnotherFoodChoiceRecipes":{
		"helpText":"You can switch your current food item with any of these recipes because they are similar in nutrients. Not sure if you are going to like the recipe, or want to know more? Click details to get a quick rundown before you commit to switching it."
	},
	"giveMeAnotherFoodChoiceAll":{
		"helpText":"You can switch your current food item with any of the foods in the system. You can filter by diet preference type (vegetarian, paleo, etc...) You can also use the barcode scanner to load up a food you have on hand. Make sure the food you select doesnt put you over your suggested calorie range."
	},
	"myDietPlanTrackOnly":{
		"helpText":"Click Add food item to add foods to the tracker. You can add more meal slots by clicking Edit Plan then selecting Add or delete a meal slot"
	},
	"editPlanMyFitnessPlan":{
		"helpText":"Here you can get a different Plan, convert to track only where you track your own workout plan. You can also save a workout you have entered to follow again at a later date."
	},
	"getDifferentPlanRecommendedMyFitnessPlan":{
		"helpText":"Recommended plans are based off your goals, diet preferences, and profile questions you answered."
	},
	"getDifferentPlanMySavedPlan":{
		"helpText":"These are all the plans that you have saved."
	},
	"getDifferentPlanSeeAllMyFitnessPlan":{
		"helpText":"These are all of the plans in the system. They may or may not be the right plan for you to follow."
	},
	"myFitnessPlanTrackOnly":{
		"helpText":"You can add and track your own exercises."
	},
	"addExercise":{
		"helpText":"You can filter muscle groups and exercise type. Once you find the exercise you want to add, highlight it and click add."
	},
	"addCustomExercise":{
		"helpText":"You can add exercises that are not in the system here. Only you will be able to see them. Enter name, MET (which is usually 5 for resistance training). Click what type of exercise it is and what muscle group it works. You can just create the exercise, but you can also create and swap it with a current exercise in your plan.<br /><br />b. MET stands for Metabolic Equivalent. You can learn more about it by going to https://sites.google.com/site/compendiumofphysicalactivities/home"
	},
	"saveFitnessPlan":{
		"helpText":"To save fitness plan select the range of days in your tracker that you want to copy and create as a plan. If you want to save the weight and times click the button. If you want them to just show reps and sets dont click. You will need to set plan type, fitness level etc"
	},
	"editExerciseDetail":{
		"helpText":"This is a quick summary of how to perform the exercise. If you dont like the exercise click Switch"
	},
	"Switch":{
		"helpText":"By default the exercises that are shown work the same muscle group as the exercise you have chosen to switch. You can change the muscle group with the drop down menu. Once you have found the exercise you want to replace it with click swap. You can also add custom exercises if you cannot find the exercise you were looking for."
	},
	"editExerciseHistory":{
		"helpText":"This is a history of weight and reps for this particular exercise. You can also view your notes for this exercise."
	},
	"editExerciseNotes":{
		"helpText":"You can add a notes particular to this exercise here. They will be saved and can be viewed in the history of that exercise."
	},
	"recipesDetail":{
		"helpText":"You can add or swap this recipe with any meal"
	}
	/**/
};