BLApp.controller('loginCtrl', ['$scope', '$rootScope', '$location', '$timeout', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, $timeout, CommonFactory, databaseFactory) {
		try{
		
			$scope.ValidButton = false;
			$scope.verifyLoginValidation = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.loginReady = function (){
				if (localStorage.getItem("autoLogin") == "true") {
					$rootScope.fName = localStorage.getItem("fname");
					$rootScope.lName = localStorage.getItem("lname");
					$rootScope.lastLogin = localStorage.getItem("lastLogin");
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records", 1000000);
					db.transaction(queryUserDataBase, databaseFactory.errorCB, databaseFactory.successCB);
					$rootScope.sideLog = true;
				}
				else{
					$rootScope.sideLog = false;
				}
				//if (!$rootScope.$$phase) $rootScope.$apply();
			}
			queryUserDataBase = function (tx){
				tx.executeSql('SELECT * FROM PERSON WHERE key="username" OR key="uuid" OR key="password"', [], databaseFactory.setUserDetails, databaseFactory.errorCB);
			}
			
			$scope.verifyLogin = function (){
				popupLogin = false;
				$("input").blur();
				$rootScope.showLoadingScreen = true;
				$timeout(function() {        
					$("#mainErrors").html("");

					var uname = $.trim($("#txt_username").val());
					var pwd = $.trim($("#txt_pwd").val());

					var QueryString = "api/people/" + uname + "/";
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(uname + ':' + pwd);	
					RequestHeaders.push(RequestHeadersParams);
				
					CommonFactory.makeRequestL("GET", QueryString, "json", RequestHeaders, "", "loginAfterAPI");
				}, 200);	
			}

			var popupLogin = false;
			
			$scope.verifyLogin1 = function (){
				popupLogin = true;
				$("input").blur();
				$rootScope.showLoadingScreen = true;
				$timeout(function() {        
					$("#mainErrors1").html("");

					var uname = $.trim($("#txt_username1").val());
					var pwd = $.trim($("#txt_pwd1").val());

					var QueryString = "api/people/" + uname + "/";
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(uname + ':' + pwd);	
					RequestHeaders.push(RequestHeadersParams);
				
					CommonFactory.makeRequestL("GET", QueryString, "json", RequestHeaders, "", "loginAfterAPI");
				}, 200);	
			}

			loginAfterAPI = function (data , status){
				if(status == "200"){
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					versionUpdateDetails();
					$rootScope.sideLog = true;
					if($('.dashboardPopupForm').css('display') == 'none'){
						$('.leftToRight').toggle("slide", { direction: "left" }, function(){
							if($(this).css('display')=='none'){
								$('.popupSibling').css("overflow","auto");
							}
							else{
								$('.popupSibling').css("overflow","hidden");
							}
						});
					}
					$('.popup').hide();
					localStorage.setItem("data" , JSON.stringify(data));
					localStorage.setItem("uuid" , data.uuid);
					//if($("#checkbox-1").is(':checked')){
						localStorage.setItem("autoLogin" , "true");	
					//}
					//else{
						//localStorage.setItem("autoLogin" , "false");
					//}
					
					if(!popupLogin){
						var uname = $.trim($("#txt_username").val());
						var pwd = $.trim($("#txt_pwd").val());
						$('#txt_username').val = '';
						$('#txt_pwd').val = '';
					}
					else{
						var uname = $.trim($("#txt_username1").val());
						var pwd = $.trim($("#txt_pwd1").val());	
						$('#txt_username1').val = '';
						$('#txt_pwd1').val = '';
					}

					if (localStorage.getItem("userPreferredScreen") == "" || localStorage.getItem("userPreferredScreen") == null|| localStorage.getItem("userPreferredScreen") == undefined)
						localStorage.setItem("userPreferredScreen" , "/dashboardT");
					localStorage.setItem("username" , data.username);
					localStorage.setItem("password" , pwd);
					localStorage.setItem("fname" , data.firstName);
					localStorage.setItem("lname" , data.lastName);
					localStorage.setItem("gender" , data.gender);
					localStorage.setItem("goal" , data.goal);
					//$rootScope.goal = data.goal;
					if(localStorage.getItem("goal") == "BUILD_MUSCLE"){
						localStorage.setItem("goalFormateLocal" , "gain");
						$rootScope.goalFormate = localStorage.getItem("goalFormateLocal");
					}
					else{       /* "LOSE_WEIGHT" "MAINTAIN" */
						localStorage.setItem("goalFormateLocal" , "lose");
						$rootScope.goalFormate = localStorage.getItem("goalFormateLocal");
					}
					
					$rootScope.fName = data.firstName;
					$rootScope.lName = data.lastName;
					var dateVal = data.created;
					var date = new Date(dateVal);
					var month = date.getMonth() + 1;
					var year = date.getFullYear();
					var day = date.getDate();
					$rootScope.lastLogin = month + "/" + day + "/" + year;
					localStorage.setItem("lastLogin" , $rootScope.lastLogin);
					var QueryString = "api/people/" + data.uuid + "/profile_image";
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(data.username + ':' + pwd);	
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "setProfileImageAPI");
					$scope.loginHistoryAPI();
				}
				else if(status == "401"){
					if($('.dashboardPopupForm').css('display') == 'none'){
						$("#mainErrors").html("Invalid UserName or Password");
					}
					else{
						$("#mainErrors1").html("Invalid UserName or Password");	
					}
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					if($('.dashboardPopupForm').css('display') == 'none'){
						$("#mainErrors1").html("Something went wrong.");
					}
					else{
						$("#mainErrors1").html("Something went wrong.");
					}
					
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();	
				}
			}

			$scope.loginHistoryAPI = function(){
				var deviceID = device.uuid;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/loginhistory";
				var params = "deviceId=" + deviceID;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "loginHistoryAfterAPI");
			}
			loginHistoryAfterAPI = function(data, status){
				if(status == "200"){
					
				}else{
					//$scope.loginHistoryAPI();
				}
			}
			
			setProfileImageAPI = function (data , status){
				if(status == "200"){
					localStorage.setItem("profilePic" , "data:image/jpeg;base64," + data.base64EncodedImage);
				}
				else{
					if(localStorage.getItem("gender") == 'F'){
						localStorage.setItem("profilePic" , "img/profile_pic.png");
						//$("#profilepicholder").attr("href" , "img/profile_pic.png");
					}
					else{
						localStorage.setItem("profilePic" , "img/profile_picMale.png");
						//$("#profilepicholder").attr("href" , "img/profile_picMale.png");
					}
				}
				$rootScope.ProfilePicSrc = localStorage.getItem("profilePic");
				var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records", 1000000);
				db.transaction(databaseFactory.userDB, databaseFactory.errorCB, databaseFactory.successCB);
			}
			
			$scope.redirectToSignUp = function (){
				//document.body.scrollTop = document.documentElement.scrollTop = 0;
				if($('.dashboardPopupForm').css('display') == 'none'){
					$('.leftToRight').toggle("slide", { direction: "left" }, function(){
						if($(this).css('display')=='none'){
							$('.popupSibling').css("overflow","auto");
						}
						else{
							$('.popupSibling').css("overflow","hidden");
						}
					});
				}
				if($('.dashboardPopupForm').css('display') == 'block') {
					$('.dashboardPopupForm').css('display','none');
				}
				$location.path("/signup");
				var effect = 'slide';
				var leftright = { direction: 'left' };
				var duration = 200;
				$('.leftToRight').hide(effect, leftright, duration);
				if (!$rootScope.$$phase) $rootScope.$apply();
				
			}
			

		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);