BLApp.controller('myDietPlan', ['$scope', '$rootScope', '$location', 'databaseFactory', 'CommonFactory', '$anchorScroll',
    function ($scope, $rootScope, $location, databaseFactory, CommonFactory, $anchorScroll) {
        try {		
        	$scope.ValidButton = false;
        	$rootScope.futureFitnessDate ="";
			$("#myTab > li:first-child").addClass('active');
        	$scope.addToFavValid = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			setTimeout(function () {
				if($(window).width() >= 768){
					$(".findMealPopUpHeight").css("height", "496px");
				}
				else{
					$(".findMealPopUpHeight").css("height", "330px");
				}
			},1000);
			
			$rootScope.trackOnlyPage = "myDietPlan";
			var currentAPIDate = "";
            $scope.slotButtonNum = 3;
			$scope.editPlanPopUP = function () {
				activePageName = $rootScope.currentLocation.substring(1);
                $scope.dateNextPrev();
				$scope.loadDietPlanDay();
            }
			
			$scope.loadDietPlanDay = function (){
					$rootScope.showLoadingScreen = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					var currentDate = CommonFactory.getCurrentDate();
					currentAPIDate = currentDate;
					if($rootScope.futureDate == "")
					{
						$rootScope.futureDate = currentDate;
						$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
					}
					$("#datepicker50").datepicker('setDate',$rootScope.futureDate);
					$('#alternate').datepicker('setDate', $rootScope.futureFormattedDate);
					$("#datepicker50").html($.datepicker.formatDate('D, MM d, yy',$rootScope.futureFormattedDate));
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + $rootScope.futureDate;
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						db.transaction(getDietPlan, databaseFactory.errorCB, databaseFactory.successCB);
					}
					else{
						CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
						/*if(!CommonFactory.checkInternet()){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(function(tx){
								tx.executeSql('CREATE TABLE IF NOT EXISTS offactivity (id integer primary key, activity text, method text, qstring text, rtype text, rheader text, params text, callback text)');
								tx.executeSql("SELECT * FROM offactivity;", [], function(tx, res) {
									if(res.rows.length > 0){
										var record = res.rows.item(0);
										CommonFactory.makeRequest(record.method, record.qstring, record.rtype, JSON.parse(record.rheader), record.params, record.callback);
										tx.executeSql("DELETE FROM offactivity;", [], databaseFactory.errorCB, databaseFactory.successCB);		
									}
									else{
										CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
									}
								});
							});
						}*/
					}
			}

			getDietPlan = function (tx) {
				tx.executeSql('SELECT dietplanresponse FROM DietPlanDay WHERE dietplandate="'+currentAPIDate+'"', [], databaseFactory.getDietPlanDetail, databaseFactory.errorCB);
			}
			
			updateDietPlan = function (tx) {
				tx.executeSql("DELETE FROM DietPlanDay WHERE dietplandate = '"+currentAPIDate+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
				tx.executeSql("INSERT INTO DietPlanDay (dietplandate, dietplanresponse) VALUES (?,?)", [currentAPIDate, $rootScope.onData], function(tx, res) {});
				//tx.executeSql("UPDATE DietPlanDay SET dietplanresponse ='" +$rootScope.onData+"' WHERE dietplandate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}

			runAPI = function(date){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var currentDate = date;
				currentAPIDate = currentDate;				
				$rootScope.futureDate = currentDate;
				$rootScope.futureFormattedDate = $('#datepicker50').datepicker('getDate');
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + $rootScope.futureDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getDietPlan, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
				}
			}
			
			runAPID = function(date){
				var currentDate = date;
				currentAPIDate = currentDate;	
				$scope.futureDate = currentDate;			
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
			}

			loadDietPlanDayAfterAPI = function (data , status){
				/*if($rootScope.resultFromDb){
					$rootScope.resultFromDb = false;
				}
				else{
					$rootScope.currentDate2 = currentAPIDate;
					$rootScope.onData = JSON.stringify(data);
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(updateDietPlan, databaseFactory.errorCB, databaseFactory.successCB);
				}*/
				if(status == "200"){
					$scope.res = data;
					//alert(JSON.stringify(data.meals));
					$rootScope.currentDate2 = currentAPIDate;
					$rootScope.onData = JSON.stringify(data);
					if($rootScope.offlineDbFuctionality){
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						db.transaction(updateDietPlan, databaseFactory.errorCB, databaseFactory.successCB);
					}
					$rootScope.mealPlanDayUUID = data.mealDayUuid;
					if ($scope.res.trackOnly){
						$scope.slotButtonNum = 2;
						$rootScope.trackOnlyPageText = 'trackOnly';
					}
					else{
						$scope.slotButtonNum = 3;
						$rootScope.trackOnlyPageText = '';
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();		
			}
			
			$scope.logMeal = function(mealUUID){
				$scope.logValue = true;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + mealUUID + "?log=true";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, "", "logUnlogAfterAPI");
			}
			
			$scope.unLogMeal = function(mealUUID){
				$scope.logValue = false;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + mealUUID + "?log=false";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, "", "logUnlogAfterAPI");
			}
			
			logUnlogAfterAPI = function (data , status){
				if(status == "200"){
					runAPID($rootScope.futureDate);
				}		
			}
			
			$scope.findMealOfflineMsg = function(){
				if(!CommonFactory.checkInternet()){
					$scope.popupdiv('.findMeal');
				}
				else{
					alert(localStorage.getItem("offlineMsg"));
				}
			}

			$scope.setMealUUIDFood = function(uuid , status , title , protein , calories , proteinT, caloriesT , share , desc, defaultImage, popup, mealFavStatus){
				$rootScope.selectedMealUUIDFood = uuid;
				$rootScope.mealShare = share;
				$rootScope.mealDesc = desc;
				$rootScope.mealTitleFav = title;
				$rootScope.mealDefaultImage = defaultImage
				if($scope.res.mealPlanFollowed){
					if(protein == '' || protein == null)
						$rootScope.selectedMealProtein = '';
					else
						$rootScope.selectedMealProtein = protein;
					if(calories == '' || calories == null)
						$rootScope.selectedMealCalories = '';
					else
						$rootScope.selectedMealCalories = calories;
				}
				else{
					if(proteinT == '' || proteinT == null)
						$rootScope.selectedMealProtein = '';
					else
						$rootScope.selectedMealProtein = proteinT;
					if(caloriesT == '' || caloriesT == null)
						$rootScope.selectedMealCalories = '';
					else
						$rootScope.selectedMealCalories = caloriesT;
				}
				$scope.mealFavorited = status;
				$scope.mealTitles = title;
				if(popup){
					if(mealFavStatus)
						$scope.favUnFavMeals(false , $rootScope.mealTitleFav, $rootScope.mealShare , $rootScope.mealDesc , $rootScope.mealDefaultImage);
					else
						$scope.favUnFavMeals(true , $rootScope.mealTitleFav, $rootScope.mealShare , $rootScope.mealDesc , $rootScope.mealDefaultImage);
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.addFoodItemTrackOnly = function(uuid){
				if(!CommonFactory.checkInternet()){
					$rootScope.selectedMealUUIDFood = uuid;
					$scope.redirectToPage('trackOnlySearch');
				}else{
					var myDate = $.datepicker.formatDate('yy-mm-dd',$rootScope.futureFormattedDate);				
					if(CommonFactory.getCurrentDate() != myDate){
						alert(localStorage.getItem("offlineMsg"));
							return;
					}else{
						$rootScope.selectedMealUUIDFood = uuid;
						$scope.redirectToPage('trackOnlySearch');
					}
				}
			}

			$scope.makeFavUnFav = function(status){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "favorite=" + status + "&title=" + $scope.mealTitles;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "makeFavUnFavAfterAPI");
			}
			
			makeFavUnFavAfterAPI = function (data , status){
				$scope.closePopUp('#popupdiv');
				if(status == "200"){
					runAPID($rootScope.futureDate);
					if(data.favorite){
						$scope.showingAlert("Meal has been added to your Favorites.");
					}
					else{
						$scope.showingAlert("Meal has been removed from your Favorites.");
					}
				}		
			}
			
			$scope.next = function () {
				var $slider = $("#myTab > li.active");
				if ($slider.prev().length != 0){
					$("#myTab > li.active").removeClass("active").prev("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").prev("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					if($("#recent").hasClass('active')){
						$scope.loadMealSearchRecent($scope.fPFetchRecent);
					}
					if($("#favorite").hasClass('active')){
						$scope.loadMealSearchFav($scope.fPFetchFav);
					}
					if($("#recipes").hasClass('active')){
						$scope.loadMealSearchRecipe($scope.fPFetchRecipe);
					}
					if($("#all").hasClass('active')){
						$scope.loadMealSearchAll($scope.fPFetchAll);
					}
				}
				else{
				}
				refreshScrollers();
			};
			
			$scope.prev = function () {
				var $slider = $("#myTab > li.active");
				if ($slider.next().length != 0){
					$("#myTab > li.active").removeClass("active").next("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").next("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					if($("#recent").hasClass('active')){
						$scope.loadMealSearchRecent($scope.fPFetchRecent);
					}
					if($("#favorite").hasClass('active')){
						$scope.loadMealSearchFav($scope.fPFetchFav);
					}
					if($("#recipes").hasClass('active')){
						$scope.loadMealSearchRecipe($scope.fPFetchRecipe);
					}
					if($("#all").hasClass('active')){
						$scope.loadMealSearchAll($scope.fPFetchAll);
					}
				}
				else{
				}
				refreshScrollers();
			};
			
			$('#myTab a').click(function (e) {
				e.preventDefault();
				$(this).tab('show');
				refreshScrollers();
			});
			
			$scope.recomPageNumber = 0;
			$scope.recPageNumber = 0;
			$scope.favPageNumber = 0;
			$scope.recipePageNumber = 0;
			$scope.allPageNumber = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStartRecomm = false;
			$scope.scrollStartRecent = false;
			$scope.scrollStartFav = false;
			$scope.scrollStartRecipe = false;
			$scope.scrollStartAll = false;
			$scope.resRECOMMENDED = {};
			$scope.resRECOMMENDED.items = [];
			$scope.resRECENT = {};
			$scope.resRECENT.items = [];
			$scope.resFAVORITE = {};
			$scope.resFAVORITE.items = [];
			$scope.resRECIPE = {};
			$scope.resRECIPE.items = [];
			$scope.resALL = {};
			$scope.resALL.items = [];
			$scope.fPFetchRecom = false;
			$scope.fPFetchRecent = false;
			$scope.fPFetchFav = false;
			$scope.fPFetchRecipe = false;
			$scope.fPFetchAll = false;
			$scope.viewRecipeDetails = false;
			
			$scope.setDetailInPopup = function(parent , child , uuid, foodMealUuid, mealUuid){
				$scope.viewRecipeDetails = false;
				$scope.recipeDetail = [];
				$("#recipeinnerimage").attr("src" ,"");
				$rootScope.selectedMealUUIDFood = uuid;
				$rootScope.selectedParentMealUuid = mealUuid;
				//alert($rootScope.selectedParentMealUuid);
				$rootScope.selectedMealUUIDFood1 = uuid;
				$scope.selectedFoodUUID = foodMealUuid;
				$scope.itemForPopup = eval("$scope.res").meals[parent].foods[child];
				$scope.selectedFoodUnitUUID = $scope.itemForPopup.selectedUnit.uuid;
				//$scope.qtyFood = $scope.itemForPopup.amount;
				$('#qty1').val($scope.itemForPopup.amount);
				$scope.clearSwitchResponse();
				$scope.popupdiv('.editFootItem');
				if (!$rootScope.$$phase) $rootScope.$apply();
				/*$scope.loadMealSearchT();*/
				$scope.loadMealSearchReco();
				//$scope.loadMealSearchRecent();
				//$scope.loadMealSearchFav();
				//$scope.loadMealSearchRecipe();
				//$scope.loadMealSearchAll();
				//$scope.clearSwitchResponse();
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.filterWord = ["RECOMMENDED" , "RECENT" , "FAVORITE" , "RECIPE" , "ALL"];			
			
			scrollMoreResultsPopup = function(){
				if ($rootScope.currentLocation == "/myDietPlan"){
					if($("#recom").hasClass('active')){
						if($('.AddToFavs').css('display') == 'none'){
							if ($scope.scrollStartRecomm) {
								return;
							}
							$scope.scrollStartRecomm = true;
							$scope.loadMealSearchReco();
						}
					}
					if($("#recent").hasClass('active')){
						if ($scope.scrollStartRecent) {
							return;
						}
						$scope.scrollStartRecent = true;
						$scope.loadMealSearchRecent(false);
					}
					if($("#favorite").hasClass('active')){
						if ($scope.scrollStartFav) {
							return;
						}
						$scope.scrollStartFav = true;
						$scope.loadMealSearchFav(false);
					}
					if($("#recipes").hasClass('active')){
						if ($scope.scrollStartRecipe) {
							return;
						}
						$scope.scrollStartRecipe = true;
						$scope.loadMealSearchRecipe(false);
					}
					if($("#all").hasClass('active')){
						if ($scope.scrollStartAll) {
							return;
						}
						$scope.scrollStartAll = true;
						$scope.loadMealSearchAll(false);
					}
				}
			}
			
			$scope.loadMealSearchReco = function(){
				//$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?categoryFilter=RECOMMENDED&firstResult=" + $scope.recomPageNumber + "&maxResult=20&foodDetailMealUUID=" + $scope.itemForPopup.foodMealUuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadRecoMealSearchAPI");
			}
			
			loadRecoMealSearchAPI = function (data , status){
				$scope.fPFetchRecom = true;
				//$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.items.length == 0){
						$scope.scrollStartRecomm = true;
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
						$scope.resRECOMMENDED.items.push(data.items[i]);
					}
					$scope.recomPageNumber = $scope.recomPageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				$scope.scrollStartRecomm = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				/*incFilter++;
				$scope.loadMealSearchT();*/
			}
			
			$scope.loadMealSearchRecent = function(tabFetched){
				if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?categoryFilter=RECENT&firstResult=" + $scope.recPageNumber + "&maxResult=20&foodDetailMealUUID=" + $scope.itemForPopup.foodMealUuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadRecentMealSearchAPI");
			}
			
			loadRecentMealSearchAPI = function (data , status){
				$scope.fPFetchRecent = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.items.length == 0){
						$scope.scrollStartRecent = true;
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
						$scope.resRECENT.items.push(data.items[i]);
					}
					$scope.recPageNumber = $scope.recPageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				$scope.scrollStartRecent = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				/*incFilter++;
				$scope.loadMealSearchT();*/
			}

			$scope.loadMealSearchFav = function(tabFetched){
				if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?categoryFilter=FAVORITE&firstResult=" + $scope.favPageNumber + "&maxResult=20&foodDetailMealUUID=" + $scope.itemForPopup.foodMealUuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadFavMealSearchAPI");
			}
			
			loadFavMealSearchAPI = function (data , status){
				$scope.fPFetchFav = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.items.length == 0){
						$scope.scrollStartFav = true;
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
						$scope.resFAVORITE.items.push(data.items[i]);
					}
					$scope.favPageNumber = $scope.favPageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				$scope.scrollStartFav = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				/*incFilter++;
				$scope.loadMealSearchT();*/
			}

			$scope.loadMealSearchRecipe = function(tabFetched){
				if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?categoryFilter=RECIPE&firstResult=" + $scope.recipePageNumber + "&maxResult=20&foodDetailMealUUID=" + $scope.itemForPopup.foodMealUuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadRecipeMealSearchAPI");
			}
			
			loadRecipeMealSearchAPI = function (data , status){
				$scope.fPFetchRecipe = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.items.length == 0){
						$scope.scrollStartRecipe = true;
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
						$scope.resRECIPE.items.push(data.items[i]);
					}
					$scope.recipePageNumber = $scope.recipePageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				$scope.scrollStartRecipe = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				/*incFilter++;
				$scope.loadMealSearchT();*/
			}

			$scope.loadMealSearchAll = function(tabFetched){
				if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?categoryFilter=ALL&firstResult=" + $scope.allPageNumber + "&maxResult=20&foodDetailMealUUID=" + $scope.itemForPopup.foodMealUuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadAllMealSearchAPI");
			}
			
			loadAllMealSearchAPI = function (data , status){
				$scope.fPFetchAll = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.items.length == 0){
						$scope.scrollStartAll = true;
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
						$scope.resALL.items.push(data.items[i]);
					}
					$scope.allPageNumber = $scope.allPageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
					
					/*if (incFilter == 0)
						$scope.resRECOMMENDED = data;
					if (incFilter == 1)
						$scope.resRECENT = data;
					if (incFilter == 2)
						$scope.resFAVORITE = data;
					if (incFilter == 3)
						$scope.resRECIPE = data;
					if (incFilter == 4){
						$scope.resALL = data;
						$scope.SearchedFilterSwap = true;
					}*/
				}
				$scope.scrollStartAll = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				/*incFilter++;
				$scope.loadMealSearchT();*/
			}

			$scope.resetPageNumber = function(){
				$scope.recomPageNumber = 0;
				$scope.recPageNumber = 0;
				$scope.favPageNumber = 0;
				$scope.recipePageNumber = 0;
				$scope.allPageNumber = 0;
			}
			
			$scope.caloriesRange = "";
			$scope.searchTextAddFood = "";
			$scope.searchWithFilters = function(){
				var QueryStringParams = "";
				var selectedRadioSearch = $("input[name=group1]:checked").val();
				
				if (selectedRadioSearch == "ALL") {
					QueryStringParams = "";
				}
				else if (selectedRadioSearch == "") {
					QueryStringParams = "";
				}
				else{
					QueryStringParams = "&foodtags=" + selectedRadioSearch;
				}
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?calories=" + $scope.caloriesRange + "&brandOrProduct=" + $scope.searchTextAddFood + "&categoryFilter=ALL&firstResult=0&maxResult=20&foodDetailMealUUID=" + $scope.itemForPopup.foodMealUuid + QueryStringParams;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadMealSearchAPIT");
			}

			loadMealSearchAPIT = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					$scope.resALL = data;
					$scope.SearchedFilterSwap = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			$scope.clearSwitchResponse = function(){
				$scope.resRECOMMENDED = {};
				$scope.resRECOMMENDED.items = [];
				$scope.resRECENT = {};
				$scope.resRECENT.items = [];
				$scope.resFAVORITE = {};
				$scope.resFAVORITE.items = [];
				$scope.resRECIPE = {};
				$scope.resRECIPE.items = [];
				$scope.resALL = {};
				$scope.resALL.items = [];
				$scope.fPFetchRecom = false;
				$scope.fPFetchRecent = false;
				$scope.fPFetchFav = false;
				$scope.fPFetchRecipe = false;
				$scope.fPFetchAll = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			$scope.swapfoodOffline = function(){
				if(!CommonFactory.checkInternet()){
					$scope.popupdiv('.switchFoodItem'); 
				}else{
					alert(localStorage.getItem("offlineMsg"));
				}
			}

			$scope.switchMeal = function(selecteduuid , unit , amount , fooduuid){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood1 + "/food_meals";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "swap=true&foodUUID=" + selecteduuid + "&currentFoodMealUUID=" + $scope.itemForPopup.foodMealUuid + "&amount=" + amount + "&unit=" + unit;// + "&foodUUID=";
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx) {
						tx.executeSql('CREATE TABLE IF NOT EXISTS offactivity (id integer primary key, activity text, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("INSERT INTO offactivity (activity, method, qstring, rtype, rheader, params, callback) VALUES (?,?,?,?,?,?,?)", ["swapfood", "POST", QueryString, "json", JSON.stringify(RequestHeaders), params, "switchMealAfterAPI"], function(tx, res) {
							console.log("Inserted - offactivity");
						}, function(e) {
							console.log("ERROR: " + e.message);
						});
					});
				}else{
					CommonFactory.makeRequest("POST" , QueryString , "json" , RequestHeaders , params , "switchMealAfterAPI");
				}
			}
			
			switchMealAfterAPI = function (data , status){
				if(status == "200"){
					$scope.showingAlert("Food Item Switched Successfully");
					runAPID($rootScope.futureDate);
					$scope.closePopUp('.switchFoodItem'); 
					$scope.closePopUp('.editFootItem');
					$scope.resetPageNumber();
					$scope.clearSwitchResponse();
				}
			}

			$scope.ValidButton = false;
			$scope.editFoodItemValidBtn = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.editFoodItemTextBox = function(){
				if ($("#qty1").val() == undefined || $("#qty1").val() == null || $("#qty1").val() == "")
					$("#qty1").val('0');
				$scope.selectedFoodUnitUUID = $("#unitSelectPopUpFood :selected").val();
				if (!$rootScope.$$phase) $rootScope.$apply();
				//var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedParentMealUuid + "/food_meals";
				var QueryString = "api/foods/" + $scope.itemForPopup.uuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				//var params = "unitUUID=" + $("#unitSelectPopUpFood :selected").val() + "&foodMealUUID=" + $scope.itemForPopup.foodMealUuid + "&amount=" + $("#qty1").val();
				var params = "?personUUID=" + localStorage.getItem("uuid") + "&unitUUID=" + $("#unitSelectPopUpFood :selected").val() + "&amount=" + $("#qty1").val();
				QueryString = QueryString + params;
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, '', "editTextBoxFoodItemAfterAPI");
			}

			editTextBoxFoodItemAfterAPI = function (data , status){
				if(status == "200"){
					//alert("Success");
					//$scope.closePopUp('.editCurrentFood');
					//runAPID(currentAPIDate);
					$scope.itemForPopup = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					//alert("Fail");
				}
			}
			
			$scope.editFoodItem = function(){
				if ($("#qty1").val() == undefined || $("#qty1").val() == null || $("#qty1").val() == "")
					$("#qty1").val('0');
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood + "/food_meals";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "unitUUID=" + $("#unitSelectPopUpFood :selected").val() + "&foodMealUUID=" + $scope.selectedFoodUUID + "&amount=" + $("#qty1").val();
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "editFoodItemAfterAPI");
			}

			editFoodItemAfterAPI = function (data , status){
				if(status == "200"){
					//alert("Success");
					$scope.closePopUp('.editCurrentFood');
					runAPID($rootScope.futureDate);
				}
				else{
					//alert("Fail");
				}
			}

			$scope.deleteFood = function(){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedParentMealUuid + "/food_meals/" + $scope.itemForPopup.foodMealUuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = ""; //"foodMealUUID=" + $scope.itemForPopup.foodMealUuid;
				CommonFactory.makeRequest("DELETE", QueryString, "json", RequestHeaders, params, "deleteFoodItemAfterAPI");
			}

			deleteFoodItemAfterAPI = function (data , status){
				if(status == "200"){
					//alert("Food Has been Deleted");
					$scope.closePopUp('.editFootItem');
					runAPID($rootScope.futureDate);
				}
				else{
					//alert("Fail");
				}
			}

			$scope.trackOnly = function(){
				navigator.notification.confirm(
    				'All future meals and/or diet plans that you are following will be deleted and be replaced with the diet tracker that allows you to add your own foods/diet plan. Do you wish to continue?', // message
     				onConfirmTrackOnly,            // callback to invoke with index of button pressed
    				'Confirm',           // title
    				['Yes','No']     // buttonLabels
				);
				
			}

			onConfirmTrackOnly = function(buttonIndex){
				if(buttonIndex == 1){
					$rootScope.showLoadingScreen = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan?startDate=" + currentAPIDate;
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, "", "trackOnlyAfterAPI");
				}
			}

			trackOnlyAfterAPI = function (data , status){
				if(status == "200"){
					$scope.closePopUp('.popupEditPlan');
					runAPID($rootScope.futureDate);
				}
				else{
					$scope.showingAlert("Please Try Again.");
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			$scope.updateFoodDetails = function(){
				//alert($scope.updateFood);
				//$scope.updateFood = $rootScope.MealFoodUuid;
				
				var QueryString = "api/foods/" + $scope.itemForPopup.uuid + "?personUUID=" + localStorage.getItem("uuid") + "&unitUUID=" + $scope.itemForPopup.selectedUnit.uuid + "&amount=" + $scope.qtyFood;
				//alert(QueryString);
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "updateFoodDetailsAfterAPI");
				
			}
			
			updateFoodDetailsAfterAPI = function (data , status){
				if(status == "200"){
					$scope.itemForPopup = data;
					/*alert(data.foodName);
					alert(data.foodUUID);
					alert(data.unitUUID);*/
					$scope.itemForPopup.product = data.foodName;
					$scope.itemForPopup.uuid = data.foodUUID;
					$scope.itemForPopup.selectedUnit = new Object();
					$scope.itemForPopup.selectedUnit.uuid = data.unitUUID;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			$scope.deleteMealSlot = function(){
				navigator.notification.confirm(
    				'Are you sure you want to delete this meal?', // message
     				onConfirmDelete,            // callback to invoke with index of button pressed
    				'Confirm',           // title
    				['Yes','No']     // buttonLabels
				);
			}

			onConfirmDelete = function(buttonIndex){
				if(buttonIndex == 1){
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood;
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					var params = "title=" + $scope.mealTitles + "&mealDate=" + currentAPIDate;
					CommonFactory.makeRequest("DELETE", QueryString, "", RequestHeaders, params, "deleteMealSlotAfterAPI");
				}
			}

			deleteMealSlotAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("Meal Deleted.");
					$scope.closePopUp('#popupdiv');
					runAPID($rootScope.futureDate);
				}
				else{
					//alert("Failed To Delete Meal Slot.");
				}
			}

			$scope.checkPlanTrackOnlyLogMeal = function(status , uuid , length){
				if($scope.res.trackOnly && !status && length >0){
					$scope.logMeal(uuid);
				}
			}

			$scope.redirectToGFMLSwap = function(){
				$rootScope.GFMLNormal = false;
				$(".innerPopUpContent").hide();
				$scope.redirectToPage('guiltFreeMealLocator');
				if (!$rootScope.$$phase) $rootScope.$apply();
				$('.leftToRight').hide();
				$('body').unbind('touchmove');
			}

			searchFoodBarcodeSwap = function(barcode){
				if(barcode == '') {
					alert("Please Scan Again");
					return;
				}
				else{
					var QueryString = "api/foods/upc/" + barcode + "?personUUID=" + localStorage.getItem("uuid");
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadMealSearchAPITH");
				}
			}

			loadMealSearchAPITH = function (data , status){
				if(status == "200"){
					$scope.searchTextAddFood = '';
					if($scope.SearchedFilterSwap){
						$scope.resALL = '';
						$scope.resALL = new Object();
						var items = [];
						$scope.resALL.items = items;						
						$scope.SearchedFilterSwap = false;
					}
					$scope.resALL.items.push(data);
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					alert("No Foods Found");
				}
			}

			var favUnfavFoodMethod = '';
			$scope.favUnfavFood = function(method){
				favUnfavFoodMethod = method;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/favorite_foods";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "personUUID=" + localStorage.getItem("uuid") + "&favorite=" + method + "&foodMealUUID=" + $scope.itemForPopup.foodMealUuid;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "favUnfavFoodAfterAPI");
			}

			favUnfavFoodAfterAPI = function (data , status){
				if(status == "200"){
					if(favUnfavFoodMethod)
						$scope.showingAlert("Food has been Favorited");
					else
						$scope.showingAlert("Food has been Unfavorited");
					runAPID($rootScope.futureDate);
				}
				else{
					$scope.showingAlert("Please Try Again");
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.favUnFavMeals = function(method , slotName, share, slotDesc , defaultImage){
				$scope.favMeal = slotName;
				$scope.favDescri = slotDesc;
				$scope.favUnFavMealsMethod = method;
				if(defaultImage == null || defaultImage == '' || defaultImage == undefined){
					$("#imageUploadImageMeal").attr('src' , 'img/recipesImage.png');
				}
				else{
					$scope.getPhotoUrlRecom('UploadImageMeal' , '' , defaultImage , 'img/recipesImage.png');
				}
				if(share == false){
					$('.shareWrap').show();
					$("#radio-fav-2").prop("checked", true);
				}
				else{
					$('.shareWrap').hide();
					$("#radio-fav-1").prop("checked", true);
				}
				if($scope.favUnFavMealsMethod){
					$scope.closePopUp('#popupdiv');
					$scope.popupdiv('.AddToFavs');
				}
				else{
					$scope.favUnfavMealSubmit();
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.favMeal = '';
			$scope.favUnFavMealsMethod = true;
			$scope.favDescri = '';

			$scope.imageDataForUploadMeal = "";
			uploadMealPlanImage = function(imageData){
				$scope.imageDataForUploadMeal = imageData;
				$("#imageUploadImageMeal").attr('src' , imageForMealPlan);
				console.log($scope.imageDataForUploadMeal);
			}

			$scope.favUnfavMealSubmit = function(){
				var imageData = $scope.imageDataForUploadMeal;
				if(imageData != "" && imageData != null && imageData != 'null') {
					var options = new FileUploadOptions();
					var params = {};
						params.title = $scope.favMeal;
						params.favorite = $scope.favUnFavMealsMethod;
						if($('.shareWrap').is(":visible"))
							params.share = $("input[name=favMealShare]:checked").val();
						params.notes = $scope.favDescri;
					var headers = { 'Authorization': 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")) };
					options.mimeType = "image/jpeg";
					options.headers = headers;
					options.params = params;
					options.fileKey = "image";
					options.fileName = imageData.substr(imageData.lastIndexOf('/') + 1);
					options.chunkedMode = false;
					var ft = new FileTransfer();
					var QueryString = baseURL + "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood + "/favoriteOrShare";
					ft.upload(imageData, encodeURI(QueryString), function (r) {
						$scope.showingAlert("Meal has been Favorited");
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
			 				$scope.closePopUp('.AddToFavs');
			 				$scope.imageDataForUploadMeal = '';
			 				runAPID($rootScope.futureDate);
				 			if (!$rootScope.$$phase) $rootScope.$apply();
				 		});
					}, function (error) {
						$scope.showingAlert("Please Try Again.");
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
			 				
				 		});
					}, options, true);
			 		
				 	return;
				}
				else{
					var shareValue = $("input[name=favMealShare]:checked").val();
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood + "/favoriteOrShare";
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					if($('.shareWrap').is(":visible"))
						var params = "title=" + $scope.favMeal + "&favorite=" + $scope.favUnFavMealsMethod + "&share=" + shareValue + "&notes=" + $scope.favDescri;
					else
						var params = "title=" + $scope.favMeal + "&favorite=" + $scope.favUnFavMealsMethod + "&notes=" + $scope.favDescri;
					CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "favUnfavMealSubmitAfterAPI");
				}
			}

			favUnfavMealSubmitAfterAPI = function(data , status){
				if(status == "200"){
					if($scope.favUnFavMealsMethod){
						$scope.showingAlert("Meal has been Favorited");
						$scope.closePopUp('.AddToFavs');
					}
					else{
						$scope.showingAlert("Meal has been Unfavorited");
						$scope.closePopUp('#popupdiv');
					}
					runAPID($rootScope.futureDate);
				}
				else{
					$scope.showingAlert("Please Try Again.");
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			setTimeout(function () {
				$scope.topMargin = ($('.date').height() + $('.dashboardBar').height());
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height()+20);
			},1000);

			$scope.setfoodUUID = function(foodUUID,foodCategory){
				$scope.recipeDetailFoodUUID = foodUUID;
				if(foodCategory == 'RECIPE' || foodCategory == 'USER_RECIPE'){
					$scope.viewRecipeDetails = true;
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			$scope.recipesDetails = function(recipeUUID , unitUUID , index ){
				$scope.recipeUnitUuid = unitUUID;
				$scope.recipeTabDetails = true;
				var QueryString = "api/recipes/" + $scope.recipeDetailFoodUUID;
				CommonFactory.makeRequest("GET", QueryString, "json", "", "", "loadRecipesDetailsAfterAPI");
			}
			
			loadRecipesDetailsAfterAPI = function (data , status){
				if(status == "200"){
					$scope.recipeDetail = data;
					$.ajax({
						type : "GET",           
						url : data.imageURL, 

						dataType : "json",
						data : '',
						beforeSend : function(xhr){
							xhr.setRequestHeader("Authorization" , 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")));
						},
							
						success : function(data, status, xhr) {
							console.log('za.k1... GetPhoto...Success ' );
							var ImageURL = "data:image/png;base64," + data.base64EncodedImage;
							$("#recipeinnerimage").attr("src" , ImageURL);
						},
							
						error : function(xhr, data) {
							console.log('za.k1... GetPhoto...Fails  ');
	                 		$("#recipeinnerimage").attr("src" , data.defaultImageURL);
						}						
					});
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}
			
			/*$('.popupSibling').scroll(function(){
			if ($(this).scrollTop() > $scope.topMargin) {
				$(".DietPlanSticky").addClass("sticky");
				$(".DietPlanStickyPush").css("margin-top", $('.DietPlanSticky').height());
				$('.planOne').css("padding-top","4px");
			} else {
				$(".DietPlanSticky").removeClass("sticky");
				$(".DietPlanStickyPush").css("margin-top", 0);
				$('.planOne').css("padding-top","0px");
				}
			});*/
				

			checkField = function(){
				if($scope.caloriesRange > 999999.99){
					$scope.caloriesRange = 999999.99;
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.editTrackerOffline = function(){
				if(!CommonFactory.checkInternet()){
					$scope.popupdiv('.popupEditPlan');
				}
				else{
					alert(localStorage.getItem("offlineMsg"));
				}
			}

		}
        catch (error) {
            CommonFactory.exceptionHandled(error);
        }
    }
]);

BLApp.controller('allDietPlanRecommended', ['$scope', '$rootScope', '$location', 'databaseFactory','CommonFactory', '$anchorScroll',
	function ($scope, $rootScope, $location, databaseFactory, CommonFactory, $anchorScroll) {
		try{
			
			$scope.pageNumber = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStart = false;
			$scope.allRecomFetched = false;
			$scope.res = [];
			$scope.resRAllFetched = false;
			$rootScope.selectedUUIDforPlanFollowDiet = '';
			$("#myTab > li:first-child").addClass('active');
			
			$scope.allDietPlanRecom = function () {
				$scope.dateNextPrev();
				$scope.loadRecomDietPlan();
				//$scope.loadAllDietPlan();
				$scope.tabTitle();
				$scope.tabHeight();
			}
			setTimeout(function () {
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				$(".tabs").css("min-height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
			},1000);
			
			/*setTimeout(function () {
				$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.allDiet').height() + 10 - $('#myTab').height());
				$('.popupSibling').scroll(function(){
				if ($(this).scrollTop() > $scope.topMargin) {
					$("#myTab").addClass("sticky");
					$("#content").addClass("stickyPush");
				} else {
					$("#myTab").removeClass("sticky");
					$("#content").removeClass("stickyPush");
					}
				});
			},1000);*/

			$scope.loadRecomDietPlan = function(){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/diet_plans?dietPlanFilter=RECOMMENDED&firstResult=0&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getFollowRec, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadRecomDietPlanDayAfterAPI");
				}
			}
			scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/allDietPlanRecommended")
					$scope.loadAllDietPlan(false);
			}
			getFollowRec = function (tx) {
				var date = CommonFactory.getCurrentDate();
				tx.executeSql('SELECT followdietrecom FROM DietPlansforFollow WHERE followdietdate="'+date+'"', [], databaseFactory.getFollowRecDetail, databaseFactory.errorCB);
			}
			UpdateFollowRecDB = function (tx) {
				tx.executeSql("UPDATE DietPlansforFollow SET followdietrecom ='" +$rootScope.dietPlanFollowRec+"' WHERE followdietdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			loadRecomDietPlanDayAfterAPI = function (data , status){
				if(status == "200"){
					$rootScope.dietPlanFollowRec = JSON.stringify(data);
					$rootScope.currentDate2 = CommonFactory.getCurrentDate();
					if($rootScope.resultFromDb){
						//data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdateFollowRecDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}
				
					$scope.resR = data;	
					$rootScope.showLoadingScreen = false;				
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			$scope.loadAllDietPlan = function(tabFetched){
				if ($scope.scrollStart || tabFetched) {
					return;
				}
				$rootScope.showLoadingScreen = true;
				$scope.scrollStart = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				activePageName = $rootScope.currentLocation.substring(1);
				
				var QueryString = "api/diet_plans?dietPlanFilter=ALL&firstResult=" + $scope.pageNumber + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getFollowAll, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadAllDietPlanDayAfterAPI");
				}
			}
			getFollowAll = function (tx) {
				var date = CommonFactory.getCurrentDate();
				tx.executeSql('SELECT followdietall FROM DietPlansforFollow WHERE followdietdate="'+date+'"', [], databaseFactory.getFollowAllDetail, databaseFactory.errorCB);
			}
			UpdateFollowAllDB = function (tx) {
				tx.executeSql("UPDATE DietPlansforFollow SET followdietall ='" +$rootScope.dietPlanFollowAll+"' WHERE followdietdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			loadAllDietPlanDayAfterAPI = function (data , status){
				$scope.resRAllFetched = true;
				if(status == "200"){
					$rootScope.dietPlanFollowAll = JSON.stringify(data);
					$rootScope.currentDate2 = CommonFactory.getCurrentDate();
					if($rootScope.resultFromDb){
						//data = JSON.parse(data);
						$rootScope.resultFromDb = false;
					}
					else{
						if($rootScope.offlineDbFuctionality){
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdateFollowAllDB, databaseFactory.errorCB, databaseFactory.successCB);
						}
					}
					
					$rootScope.showLoadingScreen = false;
					$scope.allRecomFetched = true;
					if(data.length == 0){
						$scope.scrollStart = true;
						if (!$rootScope.$$phase) $rootScope.$apply();
						return;
					}
					for (var i = 0; i < data.length; i++) {
                		$scope.res.push(data[i]);
					}
					$scope.pageNumber = $scope.pageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
					
					
				}
				$scope.allRecomFetched = true;			
				$scope.scrollStart = false;	
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();				
			}
			
			$scope.next = function () {
				//alert("left");
				var $slider = $("#myTab > li.active");
				setTimeout(function () {
					$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.allDiet').height() + 10 - $('#myTab').height());
				},1000);
				if ($slider.prev().length != 0){
					$("#myTab > li.active").removeClass("active").prev("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").prev("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					$scope.tabTitle();
				}
				else{
					//alert("first");
				}
				
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				$(".tabs").css("min-height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
				
				//$location.hash('topofThePage');
          		//$anchorScroll();
			};
			$scope.prev = function () {
				//alert("right");
				var $slider = $("#myTab > li.active");
				setTimeout(function () {
					$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.allDiet').height() + 10 - $('#myTab').height());
				},1000);
				if ($slider.next().length != 0){
					$("#myTab > li.active").removeClass("active").next("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").next("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					$scope.tabTitle();
					$scope.loadAllDietPlan($scope.allRecomFetched);
				}
				else{
					//alert("last");
				}
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				$(".tabs").css("min-height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
          		//$anchorScroll();
				//$location.hash('topofThePage');
			};
			$scope.tabTitle = function(){
				if($("#recommended").hasClass('active')){
					$(".allDietPlan1").show();
					$(".allDietPlan2").hide();
				}
				else if($("#seeall").hasClass('active')){
					$(".allDietPlan1").hide();
					$(".allDietPlan2").show();
				}
			}			
			$('#myTab a').click(function (e) {
				e.preventDefault();
				$(this).tab('show');
			});
				
			$scope.showProductDesc = function (desc){
				$scope.showingAlert(desc);
			}

			var runFollDate ;
			runFollowPlan = function(date){
				runFollDate = date;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if($rootScope.selectedUUIDforPlanFollowDiet == null || $rootScope.selectedUUIDforPlanFollowDiet == '' || $rootScope.selectedUUIDforPlanFollowDiet == undefined)
					return;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan?dietPlanTemplateToBeFollowedUUID=" + $rootScope.selectedUUIDforPlanFollowDiet + "&startDate=" + date;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, "", "followPlanAfterAPI");
			}

			$scope.followPlan = function(uuid){
				$rootScope.selectedUUIDforPlanFollowDiet = uuid;
				$('.ui-datepicker').css('display' , 'block');
				$scope.popupdiv('.fitnessPlanPickDate');
				if (!$rootScope.$$phase) $rootScope.$apply();
				return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				//var QueryString = "/api/people/" + localStorage.getItem("uuid") + "/diet_plan?mealPlanToBeFollowedUUID=" + uuid;
				/*var currentDate = CommonFactory.getCurrentDate();*/
				var new_dateb = $('#datepicker50').datepicker('getDate');
				var newDate = $.datepicker.formatDate('yy-mm-dd', new_dateb);
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan?dietPlanTemplateToBeFollowedUUID=" + uuid + "&startDate=" + newDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, "", "followPlanAfterAPI");
			}
			
			followPlanAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					$rootScope.futureDate = runFollDate;
					$rootScope.futureFormattedDate =  $('#datepicker50').datepicker('getDate');
					$scope.showingAlert("You have Successfully Followed Plan");
					$scope.redirectToPage('myDietPlan');
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.showingAlert("Please try again.");
					if (!$rootScope.$$phase) $rootScope.$apply();
				}				
			}	
			
			$scope.tabHeight = function (){
				setTimeout(function () {
					var windowHeight = $(window).height();
					var tabsHeight = ($(".editrRecomTabs > li").height()) + ($(".allDiet").height()) + 172;
					var minusHeightValue = (windowHeight) - (tabsHeight);
					//alert(minusHeightValue);
					$(".editrRecomTabs + .tab-content").css({minHeight: minusHeightValue});
				},100);
			}
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('myDietPlanRecommCntrl', ['$scope', '$rootScope', '$location', 'CommonFactory', '$anchorScroll',
	function ($scope, $rootScope, $location, CommonFactory, $anchorScroll) {
		try{
			$scope.pageNumber = 0;
			$scope.pageNumberRec = 0;
			$scope.pageNumberRecent = 0;
			$scope.pageNumberFav = 0;
			$scope.pageNumberRecipe = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStart = false;
			$scope.resALL = [];
			$scope.resRECOMMENDED = [];
			$scope.resRECENT = [];
			$scope.resFAVORITE = [];
			$scope.resRECIPE = [];
			$scope.fFetchRecom = false;
			$scope.fFetchRecent = false;
			$scope.fFetchFav = false;
			$scope.fFetchRecipe = false;
			$scope.fFetchAll = false;

			$("#myTab > li:first-child").addClass('active');
			
			$scope.fetchDataReco = function(){
				if ($scope.resRecoFetched) {
					return;
				}
				$scope.fFetchRecom = true;
				$scope.loadRecMealSearch(true , $scope.fFetchRecom);
			}
			$scope.fetchDataRecent = function(){
				if ($scope.resRecentFetched) {
					return;
				}
				$scope.fFetchRecent = true;
				$scope.loadRecentMealSearch(true , $scope.fFetchRecent);
			}
			$scope.fetchDataFav = function(){
				if ($scope.resfavFetched) {
					return;
				}
				$scope.fFetchFav = true;
				$scope.loadFavMealSearch(true , $scope.fFetchFav);
			}
			$scope.fetchDataRecipe = function(){
				if ($scope.resRecipeFetched) {
					return;
				}
				$scope.fFetchRecipe = true;
				$scope.loadRecipeMealSearch(true , $scope.fFetchRecipe);
			}
			$scope.fetchDataAll = function(){
				if ($scope.resAllFetched) {
					return;
				}
				$scope.fFetchAll = true;
				$scope.loadAllMealSearch(true , $scope.fFetchAll);
			}
			
			$scope.next = function () {
				//alert("left");
				var $slider = $("#myTab > li.active");
				if ($slider.prev().length != 0){
					$("#myTab > li.active").removeClass("active").prev("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").prev("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					if($('#recipes').hasClass('active')){
						$scope.fetchDataRecipe();
					}
					if($('#favorite').hasClass('active')){
						$scope.fetchDataFav();
					}
					if($('#recent').hasClass('active')){
						$scope.fetchDataRecent();
					}
					if($('#recom').hasClass('active')){
						$scope.fetchDataReco();
					}
					if($('#all').hasClass('active')){
						$scope.fetchDataAll();
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					//alert("first");
				}
				//$location.hash('topofThePage');
          		//$anchorScroll();
			};
			$scope.prev = function () {
				//alert("right");
				var $slider = $("#myTab > li.active");
				if ($slider.next().length != 0){
					$("#myTab > li.active").removeClass("active").next("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").next("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					if($('#recipes').hasClass('active')){
						$scope.fetchDataRecipe();
					}
					if($('#favorite').hasClass('active')){
						$scope.fetchDataFav();
					}
					if($('#recent').hasClass('active')){
						$scope.fetchDataRecent();
					}
					if($('#recom').hasClass('active')){
						$scope.fetchDataReco();
					}
					if($('#all').hasClass('active')){
						$scope.fetchDataAll();
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					//alert("last");
				}
          		//$anchorScroll();
				//$location.hash('topofThePage');
			};
			
			scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/myDietPlanRecommended"){
					if($('#all').hasClass('active') && !$scope.searchedFilter){
						if ($scope.fFetchAll) {
							return;
						}
						$scope.fFetchAll = true;
						$scope.loadAllMealSearch(true , false);
					}
					if($('#all').hasClass('active') && $scope.searchedFilter){
						if ($scope.fFetchAll) {
							return;
						}
						$scope.fFetchAll = true;
						$scope.loadAllMealSearchT(true);
					}
					if($('#recipes').hasClass('active')){
						if ($scope.fFetchRecipe) {
							return;
						}
						$scope.fFetchRecipe = true;
						$scope.loadRecipeMealSearch(true , false);
					}
					if($('#favorite').hasClass('active')){
						if ($scope.fFetchFav) {
							return;
						}
						$scope.fFetchFav = true;
						$scope.loadFavMealSearch(true , false);
					}
					if($('#recent').hasClass('active')){
						if ($scope.fFetchRecent) {
							return;
						}
						$scope.fFetchRecent = true;
						$scope.loadRecentMealSearch(true , false);
					}
					if($('#recom').hasClass('active')){
						if ($scope.fFetchRecom) {
							return;
						}
						$scope.fFetchRecom = true;
						$scope.loadRecMealSearch(true , false);
					}
				}
			}
			setTimeout(function () {
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height();
				$(".popupSibling").css("height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height());
			},1000);
			/*setTimeout(function () {
				$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() - $('#myTab').height());
				$('.popupSibling').scroll(function(){
				if ($(this).scrollTop() > $scope.topMargin) {
					$("#myTab").addClass("sticky");
					$("#content").addClass("stickyPush");
				} else {
					$("#myTab").removeClass("sticky");
					$("#content").removeClass("stickyPush");
					}
				});
			},1000);*/
			
			$('#myTab a').click(function (e) {
				e.preventDefault();
				$(this).tab('show');
			});
			
			$scope.myDietPlanRecom = function () {
                $scope.dateNextPrev();
				$scope.loadRecMealSearch();
				//$scope.loadAllMealSearch();
				$scope.tabHeight();
            }
			
			//$scope.filterWord = ["RECOMMEND" , "RECENT" , "FAVORITE" , "RECIPE" , "ALL"];
			//var incFilter = 0;
			
			// RECOMMEND
			$scope.loadRecMealSearch = function(){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/meals?searchMealFilter=RECOMMEND&currentMealUuid=" + $rootScope.selectedMealUUIDFood + "&firstResult=" + $scope.pageNumberRec + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadRecMealSearchAPI");
			}
			loadRecMealSearchAPI = function (data , status){
				$scope.resRecoFetched = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.length == 0){
						$scope.resRecoFetched = true;
						$scope.fFetchRecom = true;
						return;
					}
					for (var i = 0; i < data.length; i++) {
						$scope.resRECOMMENDED.push(data[i]);
					}
					$scope.pageNumberRec = $scope.pageNumberRec + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				//$scope.resRecoFetched = true;
				$scope.fFetchRecom = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				//incFilter++;
				//$scope.loadMealSearch();
			}
			
			// RECENT
			$scope.loadRecentMealSearch = function(){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/meals?searchMealFilter=RECENT&currentMealUuid=" + $rootScope.selectedMealUUIDFood + "&firstResult=" + $scope.pageNumberRecent + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadRecentMealSearchAPI");
			}
			loadRecentMealSearchAPI = function (data , status){
				$scope.resRecentFetched = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.length == 0){
						$scope.resRecentFetched = true;
						$scope.fFetchRecent = true;
						return;
					}
					for (var i = 0; i < data.length; i++) {
						$scope.resRECENT.push(data[i]);
					}
					$scope.pageNumberRecent = $scope.pageNumberRecent + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				//$scope.resRecentFetched = false;
				$scope.fFetchRecent = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				//incFilter++;
				//$scope.loadMealSearch();
			}
			
			// FAVORITE
			$scope.loadFavMealSearch = function(){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/meals?searchMealFilter=FAVORITE&currentMealUuid=" + $rootScope.selectedMealUUIDFood + "&firstResult=" + $scope.pageNumberFav + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadFavMealSearchAPI");
			}
			loadFavMealSearchAPI = function (data , status){
				$scope.resfavFetched = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.length == 0){
						$scope.resfavFetched = true;
						$scope.fFetchFav = true;
						return;
					}
					for (var i = 0; i < data.length; i++) {
						$scope.resFAVORITE.push(data[i]);
					}
					$scope.pageNumberFav = $scope.pageNumberFav + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				//$scope.resfavFetched = false;
				$scope.fFetchFav = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				//incFilter++;
				//$scope.loadMealSearch();
			}
			
			// RECIPE
			$scope.loadRecipeMealSearch = function(){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/meals?searchMealFilter=RECIPE&currentMealUuid=" + $rootScope.selectedMealUUIDFood + "&firstResult=" + $scope.pageNumberRecipe + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadRecipeMealSearchAPI");
			}
			loadRecipeMealSearchAPI = function (data , status){
				$scope.resRecipeFetched = true;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.length == 0){
						$scope.resRecipeFetched = true;
						$scope.fFetchRecipe = true;
						return;
					}
					for (var i = 0; i < data.length; i++) {
						$scope.resRECIPE.push(data[i]);
					}
					$scope.pageNumberRecipe = $scope.pageNumberRecipe + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				//$scope.resRecipeFetched = false;
				$scope.fFetchRecipe = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				//incFilter++;
				//$scope.loadMealSearch();
			}
			
			$scope.loadAllMealSearch = function(loader , method){
				if(loader)
					$rootScope.showLoadingScreen = true;
					
				$scope.scrollStart = true;
				$scope.searchedFilter = false;
				var QueryString = "api/meals?searchMealFilter=ALL&currentMealUuid=" + $rootScope.selectedMealUUIDFood + "&firstResult=" + $scope.pageNumber + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadAllMealSearchAPI");
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.searchAllTabWithFilter = function(){
				$scope.resAllFetched = false;
				$scope.searchedFilter = true;
				$scope.pageNumber = 0;
				$scope.resALL = [];
				$scope.loadAllMealSearchT(true);
			}

			var selectedRadioSearch = '';
			$scope.loadAllMealSearchT = function(loader){
				if(loader)
					$rootScope.showLoadingScreen = true;
				selectedRadioSearch = $("input[name=group1]:checked").val();
				if(selectedRadioSearch == ""){
					$scope.resAllFetched = false;
					$scope.loadAllMealSearch(true , false);
					return;
				}
				if ($scope.resAllFetched) {
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					return;
				}
				$scope.resAllFetched = false;
				var QueryString = "api/meals?searchMealFilter=ALL&currentMealUuid=" + $rootScope.selectedMealUUIDFood + "&firstResult=" + $scope.pageNumber + "&maxResult=20&tagUUID=" + selectedRadioSearch;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadAllMealSearchAPI");
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			loadAllMealSearchAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				$scope.resAllFetched = false;
				$scope.fFetchAll = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(data.length == 0){
						$scope.resAllFetched = true;
						$scope.fFetchAll = true;
						return;
					}
					for (var i = 0; i < data.length; i++) {
						$scope.resALL.push(data[i]);
					}
					$scope.pageNumber = $scope.pageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				//$scope.resAllFetched = false;
				$scope.fFetchAll = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
						
			$scope.showMealDetails = function(mealDetails , tab){
				$scope.recipeTabDetails = tab;
				if (!$rootScope.$$phase) $rootScope.$apply();
				$("#scroller4").hide();
				$scope.popUpContents = '';
				if (!$rootScope.$$phase) $rootScope.$apply();
				if($scope.recipeTabDetails)
					var QueryString = "api/recipes/" + mealDetails;
				else
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + mealDetails;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , '' , "showMealDetailsAfterAPI");				
			}

			showMealDetailsAfterAPI = function (data , status){
				if(status == "200"){
					$scope.popUpContents = data;
				}
				$("#scroller4").show();
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			var checkNumber = '';
			$scope.switchMeal = function(selecteduuid , number , recipe){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				checkNumber = number;
				if(checkNumber == '1'){
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meal_days/" + $rootScope.mealPlanDayUUID + "/meals/" + $rootScope.selectedMealUUIDFood;
				}
				else{
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meal_days/" + $rootScope.mealPlanDayUUID + "/meals";
				}
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(recipe){
					if(checkNumber == '1'){
						var params = "selectedMealUuid=" + selecteduuid + "&recipe=true";
					}
					else{
						var params = "selectedMealUuid=" + selecteduuid + "&currentMealUuid=" + $rootScope.selectedMealUUIDFood + "&recipe=true";
					}
				}
				else{
					if(checkNumber == '1'){
						var params = "selectedMealUuid=" + selecteduuid;
					}
					else{
						var params = "selectedMealUuid=" + selecteduuid + "&currentMealUuid=" + $rootScope.selectedMealUUIDFood;
					}
				}
				CommonFactory.makeRequest("PUT" , QueryString , "json" , RequestHeaders , params , "switchMealAfterAPI");
			}
			
			switchMealAfterAPI= function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					if(checkNumber == '1')
						$scope.showingAlert("Meal Added Successfully");
					else
						$scope.showingAlert("Meal Switched Successfully");
					$scope.redirectToPage('myDietPlan');
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.showingAlert("Please Try Again.");
				}
			}

			$scope.unfavMeal = function(selecteduuid){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood + "?favorite=false";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "selectedMealUuid=" + selecteduuid + "&currentMealUuid=" + $rootScope.selectedMealUUIDFood;
				CommonFactory.makeRequest("PUT" , QueryString , "json" , RequestHeaders , params , "unFavMealAfterAPI");
			}
			
			unFavMealAfterAPI= function (data , status){
				if(status == "200"){
					$scope.showingAlert("Meal UnFavorited Successfully");
				}
				else{
					//alert("Fail");
				}
			}
			
			$scope.tabHeight = function (){
				setTimeout(function () {
					var windowHeight = $(window).height();
					var tabsHeight = ($(".editDietRecomTabs > li").height()) + 161;
					var minusHeightValue = (windowHeight) - (tabsHeight);
					//alert(minusHeightValue);
					$(".editDietRecomTabs + .tab-content").css({minHeight: minusHeightValue});
				},100);
			}

			$scope.recipesDetails = function(recipeUUID , unitUUID , index , id){
				$scope.recipeUnitUuid = unitUUID;
				$scope.recipeTabDetails = true;
				$("#recipeinnerimage").attr("src" , $("#image" + id + index).attr("src"));
				var QueryString = "api/recipes/" + recipeUUID;
				CommonFactory.makeRequest("GET", QueryString, "json", "", "", "loadRecipesDetailsAfterAPI");
			}
			
			loadRecipesDetailsAfterAPI = function (data , status){
				if(status == "200"){
					$scope.recipeDetail = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('gfmlCtrlNew', ['$scope', '$rootScope', '$window', '$timeout', '$location', 'CommonFactory', '$anchorScroll',
	function ($scope, $rootScope, $window, $timeout, $location, CommonFactory, $anchorScroll) {
		try{
			$rootScope.addSwapText = '';
			$rootScope.futureDate="";	
			$rootScope.futureFitnessDate ="";
			$rootScope.showLoadingScreen = false;
			$scope.resultsSizeFoods = 20;
			$scope.resultsMaxFoods = 20;
			if($rootScope.GFMLNormal){
				$rootScope.gfmlBack = 'dashboardT';
			}
			else{
				$rootScope.gfmlBack = 'myDietPlan';
			}
			

			$scope.gfmlLocator = function(){
				if(localStorage.getItem("gfmlLocation") || localStorage.getItem("gfmlLocationLat") || localStorage.getItem("gfmlLocationLon")){
					$scope.redirectToPage('guiltFreeMealLocatorSearchResult');
				}
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
				activePageName = $rootScope.currentLocation.substring(1);
				/*$rootScope.postalCode = '';
				$rootScope.locLat = '';
				$rootScope.locLong = '';*/
				if(localStorage.getItem("gfmlLocation") == null || localStorage.getItem("gfmlLocation") == undefined){
					localStorage.setItem("gfmlLocation" , "");
				}
				if(localStorage.getItem("gfmlLocationLat") == null || localStorage.getItem("gfmlLocationLat") == undefined){
					localStorage.setItem("gfmlLocationLat" , "");
				}
				if(localStorage.getItem("gfmlLocationLon") == null || localStorage.getItem("gfmlLocationLon") == undefined){
					localStorage.setItem("gfmlLocationLon" , "");
				}
				if(localStorage.getItem("gfmlLocation") == ""  && localStorage.getItem("gfmlLocationLat") == ""){
				//if(localStorage.getItem("gfmlLocation") == "" || localStorage.getItem("gfmlLocation") == null || localStorage.getItem("gfmlLocationLat") == "" || localStorage.getItem("gfmlLocationLat") == null || localStorage.getItem("gfmlLocationLon") == "" || localStorage.getItem("gfmlLocationLon") == null){
					//alert(localStorage.getItem("gfmlLocation"));
					//alert(localStorage.getItem("gfmlLocationLat"));
					//alert(localStorage.getItem("gfmlLocationLon"));
					$scope.redirectToPage('guiltFreeMealLocator');
				}
				else if($rootScope.fromGfmlToBack){
					$scope.redirectToPage('guiltFreeMealLocator');
					$rootScope.fromGfmlToBack = false;
				}
				else{
					//alert(localStorage.getItem("gfmlLocation"));
					//alert(localStorage.getItem("gfmlLocationLat"));
					//alert(localStorage.getItem("gfmlLocationLon"));
					// $scope.redirectToPage('guiltFreeMealLocatorSearchResult');
					
				}
			}
			
			$scope.onlyGfmlGetLocatorBack = function(){
				if($rootScope.GFMLNormal){
					$scope.redirectToPage('dashboardT');
				 }
				 else{
					$scope.redirectToPage('myDietPlan');
				}
			}
			$scope.gfmlGetLocatorBack = function(){
				localStorage.setItem("gfmlLocation" , "");
				localStorage.setItem("gfmlLocationLat" , "");
				localStorage.setItem("gfmlLocationLon" , "");
				$scope.redirectToPage('guiltFreeMealLocator');
			}

			$scope.restE = "";
			$scope.foodE = "";
			$scope.protE = "";
			$scope.carbsE = "";
			$scope.fatE = "";
			$scope.caloriesE = "";

			$scope.checkIfDeviceLocationIsEnabled = function(){
				var options = {maximumAge: 0, timeout: 5000, enableHighAccuracy:true};
				navigator.geolocation.getCurrentPosition(
					function(){
						//$scope.trackLocation(); //if enabled, then go get current location.
						trackLocation(); //if enabled, then go get current location.
					},
					function(error){
						if (error.PERMISSION_DENIED) {
							$scope.showingAlert("Please enable GPS on your device.");
						}
					},
					options);
			}

			//$scope.trackLocation = function(){
			trackLocation = function(){
				navigator.geolocation.getCurrentPosition(
					function(position){
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
							$rootScope.locLat = position.coords.latitude;
							$rootScope.locLong = position.coords.longitude;
							localStorage.setItem("gfmlLocationLat" , $rootScope.locLat);
							localStorage.setItem("gfmlLocationLon" , $rootScope.locLong);
							localStorage.setItem("gfmlLocation" , "");
							//alert(localStorage.getItem("gfmlLocationLat"));
							$scope.showingAlert("Location set.");
							$scope.redirectToPage('guiltFreeMealLocatorSearchResult');
							if (!$rootScope.$$phase) $rootScope.$apply();
						});
					},
					function(error){
						$scope.showingAlert("Unable to Get Your Location.");
						console.error("Unable to Get Your Location. error: " + error.message);
					},
					{maximumAge: 1000, timeout: 5000, enableHighAccuracy: true}
				);
			}

			$scope.setGFMLData = function(){
				$rootScope.postalCode = $("#currentPC").val();
				if (!$rootScope.$$phase) $rootScope.$apply();
				if($.trim($("#currentPC").val()) == '' || $.trim($("#currentPC").val()) == null){
					$scope.showingAlert("Please Enter Valid Zip Code or Use Current Location.");
					return;
				}
				localStorage.setItem("gfmlLocation" , $rootScope.postalCode);
				localStorage.setItem("gfmlLocationLat" , "");
				localStorage.setItem("gfmlLocationLon" , "");
				//alert(localStorage.getItem("gfmlLocation"));
				$scope.redirectToPage('guiltFreeMealLocatorSearchResult');
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.pageNumber = 0;
			$scope.maxResult = 20;
			$scope.resultSize = 20;
			$scope.scrollStart = false;
			$rootScope.dropListFirst = true;
			
			$scope.gfmlSearchNoResultText = 'Click Search For Restaurants.';
			$scope.gfmlRestList = {};
			$scope.gfmlRestList.foundItems = [];
			
			$scope.resetGfmlData = function(){
				$scope.gfmlRestList = {};
				$scope.gfmlRestList.foundItems = [];
				$scope.resultsSizeFoods = 20;
				$scope.gfmlRes = [];
				$scope.pageNumber = 0;
				$scope.scrollStart = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.loadGFMLRestaurants = function(){
				
				if(!$rootScope.sideLog){
					//$rootScope.showLoadingScreen = false;
					//return;
				}
				$timeout(function() {
					if($scope.scrollStart)
						return;
					$scope.scrollStart = true;
					$rootScope.showLoadingScreen = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					$scope.selectedRadio = 'DINING_OUT';
					/*if($scope.restE == '' || $scope.restE == null || $scope.restE == undefined){
						$scope.restE = 0;
					}*/
					if($scope.protE == '' || $scope.protE == null || $scope.protE == undefined){
						$scope.protE = 0;
					}
					if($scope.carbsE == '' || $scope.carbsE == null || $scope.carbsE == undefined){
						$scope.carbsE = 0;
					}
					if($scope.fatE == '' || $scope.fatE == null || $scope.fatE == undefined){
						$scope.fatE = 0;
					}
					if($scope.caloriesE == '' || $scope.caloriesE == null || $scope.caloriesE == undefined){
						$scope.caloriesE = 0;
					}
					var QueryString = "api/restaurants?searchFoodCategory=" + $scope.selectedRadio + "&postalCode=" + localStorage.getItem("gfmlLocation") + "&protein=" + $scope.protE + "&carbs=" + $scope.carbsE + "&fat=" + $scope.fatE + "&calories=" + $scope.caloriesE + "&latitude=" + localStorage.getItem("gfmlLocationLat") + "&longitude=" + localStorage.getItem("gfmlLocationLon") + "&brand=" + $scope.restE + "&food=" + $scope.foodE + "&firstResult=" + $scope.pageNumber +"&maxResult=20";
					CommonFactory.makeRequest("GET", QueryString, "json", "", "", "loadGFMLRestaurantsAfterAPI");
				}, 200);
			}
			
			scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/guiltFreeMealLocatorSearchResult")
					if($scope.pageNumber > 0){
						$scope.loadGFMLRestaurants();
					}
			}			
			
			loadGFMLRestaurantsAfterAPI = function (data , status){
				if(status == "200"){
					$("#clickTextGFML").hide();
					$("#filterGFML").hide();
					if(data.foundItems.length == 0){
						$scope.scrollStart = true;
						$rootScope.showLoadingScreen = false;
						if($scope.gfmlRestList.foundItems.length <= 0)
							$scope.gfmlSearchNoResultText = "No Records Found.";
						if (!$rootScope.$$phase) $rootScope.$apply();
						return;
					}
					
					for (var i = 0; i < data.foundItems.length; i++) {
						$scope.gfmlRestList.foundItems.push(data.foundItems[i]);
					}
					$scope.pageNumber = $scope.pageNumber + $scope.resultSize;
					$scope.maxResult = $scope.maxResult + $scope.maxResult;
				}
				else{
					$rootScope.showLoadingScreen = false;
					if($scope.gfmlRestList.foundItems.length <= 0)
						$scope.gfmlSearchNoResultText = "No Records Found.";
				}
				$scope.scrollStart = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if($rootScope.dropListFirst == true){
					$scope.gfmlRes = [];
					$scope.getFoodsRest($scope.gfmlRestList.foundItems[0].brandUUID , 0);
					$rootScope.dropListFirst = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			var indexingForGFMLResults = '';
			$scope.gfmlRes = [];
			$scope.getFoodsRest = function(brandUUID , index){
				//$rootScope.showLoadingScreen = true;
				//if (!$rootScope.$$phase) $rootScope.$apply();
				if(!$rootScope.sideLog){
					//$rootScope.showLoadingScreen = false;
					//return;
				}
				indexingForGFMLResults = index;
				$scope.resultsSizeFoods = 20;
				try{
					if($scope.gfmlRes[index] != undefined){
						$scope.gfmlRes = [];
						$('.gfmlAddSwapBtn').hide();
						$scope.resultsSizeFoods = 20;
						$('.clsshowDownGFML').show();
						$('.clsshowUpGFML').hide();
						$rootScope.showLoadingScreen = false;
						if (!$rootScope.$$phase) $rootScope.$apply();
						return;
					}
				}
				catch(error){
					CommonFactory.exceptionHandled(error);
					//alert(e.message);
				}
				var QueryString = "api/brands/" + brandUUID + "/foods?searchFoodCategory=" + 'DINING_OUT' + "&postalCode=" + localStorage.getItem("gfmlLocation") + "&protein=" + $scope.protE + "&carbs=" + $scope.carbsE + "&fat=" + $scope.fatE + "&calories=" + $scope.caloriesE + "&latitude=" + localStorage.getItem("gfmlLocationLat") + "&longitude=" + localStorage.getItem("gfmlLocationLon") + "&food=" + $scope.foodE + "&firstResult=0&maxResult=20";
				/*var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);*/
				CommonFactory.makeRequest("GET", QueryString, "json", "", "", "getFoodsRestAfterAPI");
			}

			$scope.getAPI=function(){
				$scope.resultsSizeFoods = $scope.resultsSizeFoods + $scope.resultsMaxFoods;
				if($scope.resultsSizeFoods >= $rootScope.gfmllen){
					$('#gfmlAddSwapBtnShow' + indexingForGFMLResults).hide();
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			getFoodsRestAfterAPI = function (data , status){
				if(status == "200"){
					$scope.gfmlRes = [];
					$scope.gfmlRes[indexingForGFMLResults] = data;
					$('.clsshowDownGFML').show();
					$('.clsshowUpGFML').hide();
					$('#showDownGFML' + indexingForGFMLResults).hide();
					$('#showUpGFML' + indexingForGFMLResults).show();
					$('.gfmlAddSwapBtn').hide();
					$('#gfmlAddSwapBtnShow' + indexingForGFMLResults).css({'padding' : '7px 0 4px', 'margin' : '10px 1%', 'width' : '98%'});
					$rootScope.gfmllen=$scope.gfmlRes[indexingForGFMLResults].foundItems[0].foodItems.length;
					if($scope.resultsSizeFoods < $rootScope.gfmllen){
						$('#gfmlAddSwapBtnShow' + indexingForGFMLResults).show();
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
					$timeout(function() {
						var old = $location.hash();
						var scrollTOGFML = 'hiddenList'+indexingForGFMLResults;
						$location.hash(scrollTOGFML);
    					$anchorScroll();
    					$location.hash(old);
    					$timeout(function() {
    						if(data.foundItems.length <= 0){
								$scope.showingAlert("No Food Founds.");
								$('.clsshowDownGFML').show();
								$('.clsshowUpGFML').hide();
							}
    						$rootScope.showLoadingScreen = false;
							if (!$rootScope.$$phase) $rootScope.$apply();
						}, 1500);
	          		}, 100);
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					$scope.showingAlert("Please try again.");
				}	
			}

			$scope.loadDietPlanDay = function (){
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
				//if($rootScope.GFMLNormal){
					if($rootScope.sideLog){
						var currentDate = CommonFactory.getCurrentDate();
						var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + currentDate;
						var RequestHeaders = [];
						var RequestHeadersParams = new Object();
						RequestHeadersParams.key = "Authorization";
						RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
						RequestHeaders.push(RequestHeadersParams);
						//if(!$rootScope.sideLog)
							//RequestHeaders = '';
						CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
					}
				//}
				if(!$rootScope.GFMLNormal){
					$("#clickTextGFML").show();
					$("#filterGFML").hide();
					$(".srch_title").addClass('gfmlClassForSwap');
					//$(".gfmlFindWrapRaw").css('display','block');
					$scope.showDownArray = true;
					$scope.gfmlSearchNoResultText = '';
					$scope.protE = $rootScope.selectedMealProtein;
					$scope.caloriesE = $rootScope.selectedMealCalories;
					$scope.loadGFMLRestaurants();
				}
			}

			loadDietPlanDayAfterAPI = function (data , status){
				if(status == "200"){
					$scope.resM = data;
					if($rootScope.GFMLNormal){
						$rootScope.addSwapText = 'ADD';
					}
					else{
						if ($scope.resM.trackOnly){
							$rootScope.addSwapText = 'ADD';
						}
						else{
							$rootScope.addSwapText = 'SWAP';
						}
					}
					if(!$rootScope.GFMLNormal){
						if (!$rootScope.$$phase) $rootScope.$apply();
						return;
					}
					$rootScope.mealPlanDayUUID = data.mealDayUuid;
					$rootScope.mealSlots = [];
					for(var i = 0; i < $scope.resM.meals.length; i++){
						var mealObject = new Object();
							mealObject.name = $scope.resM.meals[i].title;
							mealObject.uuid = $scope.resM.meals[i].uuid;
						$rootScope.mealSlots.push(mealObject);
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}		
			}

			$scope.setGFMLAddItem = function(fooduuid , qtyAmount){
				$scope.fooduuid = fooduuid;
				$scope.qtyAmount = qtyAmount;
				if($rootScope.GFMLNormal){
					$rootScope.addSwapText = 'SWAP';
					$scope.popupdiv('.popupAddMeal');
				}
				else{
					if($scope.resM.trackOnly){
						$scope.addToMealRecipe();
					}
					else{
						$scope.addToMealRecipe();
					}
				}
			}

			$scope.addToMealRecipe = function(){
				if($rootScope.GFMLNormal){
					var mealSlotsValue = $("input[name=mealSlotsValue]:checked").val();	
					if(mealSlotsValue == "undefined" || mealSlotsValue == undefined) {
						alert("Please Select Meal Slot.");
						return;
					}
						$rootScope.GetsOnline = true;
						if (!$rootScope.$$phase) $rootScope.$apply();
						var params = "swap=false&fromGFML=true&foodUUID=" + $scope.fooduuid + "&amount=" + $scope.qtyAmount;
						var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + mealSlotsValue + "/food_meals?" + params;
						var RequestHeaders = [];
						var RequestHeadersParams = new Object();
						RequestHeadersParams.key = "Authorization";
						RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
						RequestHeaders.push(RequestHeadersParams);
						CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, '', "addMealtoFoodAfterAPI");
				}
				else{
					if($scope.resM.trackOnly){
						$rootScope.GetsOnline = true;
						if (!$rootScope.$$phase) $rootScope.$apply();
						var params = "swap=false&fromGFML=true&foodUUID=" + $scope.fooduuid + "&amount=" + $scope.qtyAmount;
						var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood + "/food_meals?" + params;
						var RequestHeaders = [];
						var RequestHeadersParams = new Object();
						RequestHeadersParams.key = "Authorization";
						RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
						RequestHeaders.push(RequestHeadersParams);
						CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, '', "addMealtoFoodAfterAPI");
					}
					else{
						$rootScope.GetsOnline = true;
						if (!$rootScope.$$phase) $rootScope.$apply();
						var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood;
						var RequestHeaders = [];
						var RequestHeadersParams = new Object();
						RequestHeadersParams.key = "Authorization";
						RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
						RequestHeaders.push(RequestHeadersParams);
						var params = "swapWithFood=true&foodDetailUUID=" + $scope.fooduuid;
						CommonFactory.makeRequest("POST", QueryString, "json", RequestHeaders, params, "addMealtoFoodAfterAPI");
					}
				}
			}

			addMealtoFoodAfterAPI = function(data , status){
				if(status == "200"){
					if($rootScope.GFMLNormal)
						$scope.showingAlert("Foods Added to meal.");
					else
						if($scope.resM.trackOnly){
							$scope.showingAlert("Foods Added to meal.");
						}
						else{
							$scope.showingAlert("Meal Has been Swapped Successfully.");
						}
					if($rootScope.GetsOnline == true){
						$scope.redirectToPage('myDietPlan');
						if (!$rootScope.$$phase) $rootScope.$apply();
					}
					
				}
				else{
					$scope.showingAlert("Please Try Again.");
				}
				$scope.closePopUp('.popupAddMeal');
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.showHideFilterGFML = function(){
				if($rootScope.GFMLNormal){
					//return;
					//$scope.showDownArray = !$scope.showDownArray;
				}
				$scope.showDownArray = !$scope.showDownArray;
				$("#clickTextGFML").toggle();
				$("#filterGFML").toggle();
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.gotToRestaurant = function(formattedAddress){
				/*if(address1 == "" || address1 == null){
					var addressForRedirect = name + address_extended + city + state + postcode;
					addressForRedirect = 'https://www.google.com/maps/place/' + name + ',' + address_extended + ',' + city + ',' + state + ',' + postcode;
				}else if(address_extended == "" || address_extended == null){
					var addressForRedirect = name + address1 + city + state + postcode;
					addressForRedirect = 'https://www.google.com/maps/place/' + name + ',' + address1 + ',' + city + ',' + state + ',' + postcode;
				}else if(address1 == "" || address1 == null && address_extended == "" || address_extended == null){
					var addressForRedirect = name + city + state + postcode;
					addressForRedirect = 'https://www.google.com/maps/place/' + name + ',' + city + ',' + state + ',' + postcode;
				}else{
					var addressForRedirect = name + address1 + address_extended + city + state + postcode;
					addressForRedirect = 'https://www.google.com/maps/place/' + name + ',' + address1 + ',' + address_extended + ',' + city + ',' + state + ',' + postcode;
				}*/
				
				var addressForRedirect = formattedAddress;
				addressForRedirect = 'https://www.google.com/maps/place/' + formattedAddress;
				addressForRedirect = addressForRedirect.replace(/ /g,"+");
				window.open(addressForRedirect, '_blank', 'location=yes');
			}

			checkField = function(){
				if($scope.protE > 999999.99){
					$scope.protE = 999999.99;
				}
				if($scope.carbsE > 999999.99){
					$scope.carbsE = 999999.99;
				}
				if($scope.fatE > 999999.99){
					$scope.fatE = 999999.99;
				}
				if($scope.caloriesE > 999999.99){
					$scope.caloriesE = 999999.99;
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('trackOnlyFoodItemSearch', ['$scope', '$rootScope', '$location', 'databaseFactory' ,'CommonFactory', '$anchorScroll',
    function ($scope, $rootScope, $location, databaseFactory, CommonFactory, $anchorScroll) {
        try {
        	setTimeout(function(){
				$("#datepicker50").datepicker('setDate',$rootScope.futureDate);
				$("#datepicker50").html($.datepicker.formatDate('D, MM d, yy',$rootScope.futureFormattedDate));
				$('#alternate').datepicker('setDate', $rootScope.futureFormattedDate);
			});
			
			$("#myTab > li:first-child").addClass('active');
        	$scope.foodSearched = false;
			$scope.next = function () {
				//alert("left");
				var $slider = $("#myTab > li.active");
				if ($slider.prev().length != 0){
					$("#myTab > li.active").removeClass("active").prev("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").prev("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					if($('#search').hasClass('active')){
						$scope.selectedTabA = 'search';
					}
					if($('#recenteatan').hasClass('active')){
						$scope.selectedTabA = 'recent';
						$scope.loadRecentFoodItem($scope.recLoadedVal);
					}
					if($('#fav').hasClass('active')){
						$scope.selectedTabA = 'fav';
						$scope.loadFavoriteFoodItem($scope.favLoadedVal);
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.selectedTabA = 'search';
					if (!$rootScope.$$phase) $rootScope.$apply();
					//alert("first");
				}
				//$location.hash('topofThePage');
          		//$anchorScroll();
			};
			$scope.prev = function () {
				//alert("right");
				var $slider = $("#myTab > li.active");
				if ($slider.next().length != 0){
					$("#myTab > li.active").removeClass("active").next("#myTab > li").addClass("active");
					$("#content > div.active").removeClass("active").next("#content > div").addClass("active");
					$(".popupSibling").animate({
						scrollTop: 0
					}, 0);
					$(".innerpopup").animate({
						scrollTop: 0
					}, 0);
					if($('#search').hasClass('active')){
						$scope.selectedTabA = 'search';
					}
					if($('#recenteatan').hasClass('active')){
						$scope.selectedTabA = 'recent';
						$scope.loadRecentFoodItem($scope.recLoadedVal);
					}
					if($('#fav').hasClass('active')){
						$scope.selectedTabA = 'fav';
						$scope.loadFavoriteFoodItem($scope.favLoadedVal);
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.selectedTabA = 'fav';
					if (!$rootScope.$$phase) $rootScope.$apply();
					//alert("last");
				}
				//$location.hash('topofThePage');
          		//$anchorScroll();
			};
			
			setTimeout(function () {
				var infinitHeight = $(window).height() - $('.header').height() - $('.footer').height() - $('.pageFixedHeader').height() + 10;
				$(".popupSibling").css("height", infinitHeight);
				$(".tabs").css("min-height", infinitHeight);
				//$('.popupSibling').css("margin-top", $('.pageFixedHeader').height()-10);
				$('.popupSibling').show();
			},1000);
			/*setTimeout(function () {
				$scope.topMargin = ($('.header').height() + $('.dashboardBar').height() + $('.addFoodItemTitle').height() + 10 - $('#myTab').height());
				$('.popupSibling').scroll(function(){
					if ($(this).scrollTop() > $scope.topMargin) {
						$("#myTab").addClass("sticky");
						$("#content").addClass("stickyPush");
					} else {
						$("#myTab").removeClass("sticky");
						$("#content").removeClass("stickyPush");
					}
				});
			},1000);*/
			
			
			$scope.recentPageNumber = 0;
			$scope.favoritePageNumber = 0;
			$scope.searchFoodPageNumber = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStartS = false;
			$scope.scrollStartF = false;
			$scope.scrollStartR = false;
			$scope.recLoadedVal = false;
			$scope.favLoadedVal = false;
			$scope.recLoaded = false;
			$scope.favLoaded = false;
			$scope.selectedTabA = 'search';
			$scope.resRecent = {};
			$scope.resRecent.items = [];
			$scope.resFav = {};
			$scope.resFav.items = [];
			$scope.resFoods = {};
			$scope.resFoods.items = [];

			$scope.addFoodItemPopUp = function (){
				$scope.tabHeight();
                $scope.dateNextPrev();
                //$scope.searchFoods();
                //$scope.loadRecentFoodItem();
                //$scope.loadFavoriteFoodItem();
				if (navigator.userAgent.match(/(iPod|iPhone|iPad)/)) {
					$('.popupSibling').css('top', -7);
				}
        		if (!$rootScope.$$phase) $rootScope.$apply();

			}
			
			$scope.loadRecentFoodItem = function (tabFetched) {
				var currentDate = CommonFactory.getCurrentDate();
				currentAPIDate = currentDate;
				$scope.selectedTabA = 'recent';
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?categoryFilter=RECENT&firstResult=" + $scope.recentPageNumber + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getRecentFoodItem, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadRecentMealAfterAPI");
            	}
            }

            getRecentFoodItem = function(tx){
               tx.executeSql('SELECT recentfavresponse FROM RecentFavourite WHERE recentfavdate="'+currentAPIDate+'"', [], databaseFactory.getRecentFoodItem, databaseFactory.errorCB);
            }

            updateRecentFoodItem = function (tx) {
				tx.executeSql("UPDATE RecentFavourite SET recentfavresponse ='" +$rootScope.onData+"' WHERE recentfavdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			
            loadRecentMealAfterAPI = function(data , status){
            	if($rootScope.resultFromDb){
					var dietRecentFood = {items : data.FAVORITE};
					data = dietRecentFood;
					$rootScope.resultFromDb = false;
				}
				else{
					$rootScope.currentDate2 = currentAPIDate;
					$rootScope.onData = JSON.stringify(data);
					if($rootScope.offlineDbFuctionality){
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						db.transaction(updateRecentFoodItem, databaseFactory.errorCB, databaseFactory.successCB);
					}
				}
				$rootScope.showLoadingScreen = false;
				$scope.recLoaded = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
            	if(status == "200"){
            		$scope.recLoadedVal = true;
            		if(data.items.length == 0){
						$scope.scrollStartR = true;
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
                		$scope.resRecent.items.push(data.items[i]);
					}
					$scope.recentPageNumber = $scope.recentPageNumber + $scope.resultsSize;
            	}
            	$scope.recLoadedVal = true;
            	$scope.scrollStartR = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
            }

            scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/trackOnlySearch"){
					if(!CommonFactory.checkInternet()){
						if($('#search').hasClass('active')){
							if($scope.scrollStartS) {
								return;
							}						
							if($scope.resFoods.items.length <= 0){
								return;
							}
							$scope.scrollStartS = true;
							$scope.searchFoodsFilter();
						}
						if($('#fav').hasClass('active')){
							if($scope.scrollStartF) {
								return;
							}
							$scope.scrollStartF = true;
							$scope.loadFavoriteFoodItem(false);
						}
						if($('#recenteatan').hasClass('active')){
							if($scope.scrollStartR){
								return;
							}
							$scope.scrollStartR = true;
							$scope.loadRecentFoodItem(false);
						}
					}
					else{
						$scope.offlineListLimitDiet = $scope.offlineListLimitDiet + 20;
						if (!$rootScope.$$phase) $rootScope.$apply();
					}
				}
			}

            $scope.loadFavoriteFoodItem = function(tabFetched){
            	var currentDate = CommonFactory.getCurrentDate();
				currentAPIDate = currentDate;
            	$scope.selectedTabA = 'fav';
				if (!$rootScope.$$phase) $rootScope.$apply();
            	if(tabFetched)
					return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?categoryFilter=FAVORITE&firstResult=" + $scope.favoritePageNumber + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getFavFood, databaseFactory.errorCB, databaseFactory.successCB);
				}
            	else{
            		CommonFactory.makeRequest("GET" , QueryString , "json" , RequestHeaders , "" , "loadFavoriteFoodItemAfterAPI");
            	}
            }

            getFavFood = function(tx){
               tx.executeSql('SELECT recentfavresponse FROM RecentFavourite WHERE recentfavdate="'+currentAPIDate+'"', [], databaseFactory.getFavFoodItem, databaseFactory.errorCB);
            }

            updateFavFood = function (tx) {
				tx.executeSql("UPDATE RecentFavourite SET recentfavresponse ='" +$rootScope.onData+"' WHERE recentfavdate = '"+$rootScope.currentDate2+"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
			}

			loadFavoriteFoodItemAfterAPI = function(data,status){
				if($rootScope.resultFromDb){
					var dietFavoFood = {items : data.FAVORITE};
					data = dietFavoFood;
					$rootScope.resultFromDb = false;
				}
				else{
					$rootScope.currentDate2 = currentAPIDate;
					$rootScope.onData = JSON.stringify(data);
					if($rootScope.offlineDbFuctionality){
						var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
						db.transaction(updateFavFood, databaseFactory.errorCB, databaseFactory.successCB);
					}
				}
				$rootScope.showLoadingScreen = false;
				$scope.favLoaded = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					$scope.favLoadedVal = true;
            		if(data.items.length == 0){
						$scope.scrollStartF = true;
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
                		$scope.resFav.items.push(data.items[i]);
					}
					$scope.favoritePageNumber = $scope.favoritePageNumber + $scope.resultsSize;
            	}
            	$scope.favLoadedVal = true;
            	$scope.scrollStartF = false;	
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.clearFoodSwitchResponse = function (){
				$scope.resRecent = {};
				$scope.resRecent.items = [];
				$scope.resFav = {};
				$scope.resFav.items = [];
				$scope.resFoods = {};
				$scope.resFoods.items = [];
				if (!$rootScope.$$phase) $rootScope.$apply();				
			}
			
			
			$scope.caloriesRange = "";
			$scope.caloriesRangeMax = "";
			$scope.searchTextAddFood = "";

			$scope.searchFoods = function(){
				$scope.searchFoodPageNumber = 0;
				$scope.resFoods.items = [];
				$scope.scrollStartS = false;
				$scope.searchFoodsFilter();
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			getSearchFood = function (tx) {
				var date = CommonFactory.getCurrentDate();
				tx.executeSql('SELECT searchresponse FROM Search', [], databaseFactory.getSearchDetail, databaseFactory.errorCB);
			}

			$scope.searchFoodsFilter = function(){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryStringParams = "";
				var selectedRadioSearch = $("input[name=group1]:checked").val();
				if (selectedRadioSearch == "ALL") {
					QueryStringParams = "&categoryFilter=ALL";
				}
				else if (selectedRadioSearch == "") {
					QueryStringParams = "";
				}
				else{
					QueryStringParams = "&foodtags=" + selectedRadioSearch;
				}
				
				var minCal = ($scope.caloriesRange == null || $scope.caloriesRange.length === 0 ? '': ('minCalories=' + $scope.caloriesRange) + '&');
				var maxCal = ($scope.caloriesRangeMax == null || $scope.caloriesRangeMax.length === 0 ? '': ('&maxCalories=' + $scope.caloriesRangeMax) + '&');
				//var QueryString = "api/foods?minCalories=" + $scope.caloriesRange + "&maxCalories=" + $scope.caloriesRangeMax + "&brandOrProduct=" + $scope.searchTextAddFood + "&firstResult=" + $scope.searchFoodPageNumber + "&maxResult=50" + QueryStringParams;
				var QueryString = "api/foods?" + minCal + maxCal + "brandOrProduct=" + $scope.searchTextAddFood + "&firstResult=" + $scope.searchFoodPageNumber + "&maxResult=20" + QueryStringParams;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getSearchFood, databaseFactory.errorCB, databaseFactory.successCB);
				}else{
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadFoodsAfterAPI");
				}
			}
			
			searchFoodBarcode = function(barcode){
				if(barcode == '') {
					alert("Please Scan Again");
					return;
				}
				else{
					$scope.scrollStartS = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					var QueryString = "api/foods/upc/" + barcode + "?personUUID=" + localStorage.getItem("uuid");
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadFoodsAfterAPIB");
				}
			}

			searchResults = function(data){
				var data = JSON.parse(data);
				//var databaseResult = data.items.slice($scope.searchFoodPageNumber, $scope.maxResult);
				var databaseResult = data;
				var addItems = {};
				addItems.items = databaseResult;
				databaseResult = addItems;
				loadFoodsAfterAPI(databaseResult, "200");


			}
			$scope.offlineListLimitDiet = 20;
			loadFoodsAfterAPI = function(data , status){
				if(status == "200"){
					if(data.length == 0 || data.items.length == 0 ){
						$scope.scrollStartS = true;
						$rootScope.showLoadingScreen = false;
						$scope.foodSearched = true;
						if(!$scope.resFoods.items.length>0)
							$scope.resFoods.items= [];
						if (!$rootScope.$$phase) $rootScope.$apply();
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
                		$scope.resFoods.items.push(data.items[i]);
					}
 					$scope.offlineListLimitDiet=$scope.offlineListLimitDiet+20;
					if(CommonFactory.checkInternet()){
						$scope.offlineListLimitDiet = 20;
						$scope.resFoods = data.items;
						$scope.fooditemSearch = $('#enterAddFoodItemSearch').val().toLowerCase();
						$scope.fooditemSearch=Boolean($scope.fooditemSearch)?$scope.fooditemSearch:'';
						$scope.minCal = $('#enterminCal').val();
						$scope.minCal=Boolean($scope.minCal)?$scope.minCal:0;						
						$scope.maxCal = $('#entermaxCal').val();						
						$scope.resFoods.items = $.map( $scope.resFoods.items, function( obj, i ) {
							if($scope.maxCal == ''){
								if(parseInt(obj.calories) >= parseInt($scope.minCal) && obj.product.toLowerCase().indexOf($scope.fooditemSearch) >= 0 ){
							 		return obj;
							   }
							}
							else{
								if(parseInt(obj.calories) >= parseInt($scope.minCal) &&  parseInt(obj.calories) <= parseInt($scope.maxCal) && obj.product.toLowerCase().indexOf($scope.fooditemSearch) >= 0 ){
									return obj;
							   }
							}
						});
					}

					$scope.searchFoodPageNumber = $scope.searchFoodPageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
					//$scope.resFoods = data;
					$scope.SearchedFilter = true;
					if($scope.resFoods.items.length <= 0)
						alert("No Foods Found");
					if($scope.resFoods.items.length == 1){
						setTimeout(function(){
							$("#searchPageCheckBox0").attr("checked", "checked");
						},100);
					}
					else{
						setTimeout(function(){
							$("#searchPageCheckBox0").removeAttr("checked");
						},100);	
					}
					$scope.foodSearched = false;
				}
				else{
					alert("No Foods Found");
				}
				$scope.scrollStartS = false;
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.resFoods = new Object();
			var items = [];
			$scope.resFoods.items = items;

			loadFoodsAfterAPIB = function(data , status){
				if(status == "200"){
					$scope.searchTextAddFood = '';
					if($scope.SearchedFilter){
						$scope.resFoods = '';
						$scope.resFoods = new Object();
						var items = [];
						$scope.resFoods.items = items;						
						$scope.SearchedFilter = false;
					}
					$scope.resFoods.items = [];
					$scope.resFoods.items.push(data);
					if($scope.resFoods.items.length <= 0)
						alert("No Foods Found");
					if($scope.resFoods.items.length == 1){
						setTimeout(function(){
							$("#searchPageCheckBox0").attr("checked", "checked");
						},100);
					}
					else{
						setTimeout(function(){
							$("#searchPageCheckBox0").removeAttr("checked");
						},100);	
					}
				}
				else{
					alert("No Foods Found");
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$('#myTab a').click(function (e) {
				e.preventDefault();
				$(this).tab('show');
			});

			$scope.uncheckAllChkBox = function(cat){
				$('.clschkBox' + cat).find('input[type=checkbox]:checked').removeAttr('checked');
			}
			
			$scope.addSelectedMeals = function(cat){
				var QueryStringParam = "swap=false&";
				var countChecked = 1;

				$(".chkBoxChk" + cat).each(function(){
  					if($(this).is(':checked')) {
  						var contentParams = $(this).parent().find('span').html().split(",");
  						var unituuid = contentParams[0];
  						var fooduuid = contentParams[1];
  						var qtyAmount = contentParams[2];
  						if (countChecked != 1)
  							QueryStringParam = QueryStringParam + "&";
  						QueryStringParam = QueryStringParam + "unit=" + unituuid + "&foodUUID=" + fooduuid + "&amount=" + qtyAmount;
  						countChecked++;
  					}
				});

				if(countChecked > 1){
					$rootScope.GetsOnline = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood + "/food_meals?" + QueryStringParam;
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, "", "addMealtoFoodAfterAPI");
				}
				else{
					alert("Please select atleast one item.");
				}
			}
			
			favFoodsAfterAPI = function(data , status){
				if(status == "200"){
					if (!$rootScope.$$phase) $rootScope.$apply();	
				}
			}
			
			$scope.unFavSelectedMeals = function(){
				var QueryStringParam = "";
				var countChecked = 1;
				var params = {};
				var foodDetail= [];
				var QueryString =  "api/people/" + localStorage.getItem("uuid") + "/favorite_foods";
				$(".chkBoxChkFav").each(function(){
  					if($(this).is(':checked')) {
  						var foods = {};
  						var contentParams = $(this).parent().find('span').html().split(",");
  						var unituuid = contentParams[0];
  						var fooduuid = contentParams[1];
  						var qtyAmount = contentParams[2];
  						foods.food_id = fooduuid;
  						foods.selected_unit_id = unituuid;
  						/*if(countChecked != 1)
  							QueryStringParam = QueryStringParam + "&";
  						QueryStringParam = QueryStringParam + "unit=" + unituuid + "&foodUUID=" + fooduuid + "&amount=" + qtyAmount;*/
  						foodDetail.push(foods);
  						countChecked++;
  					}
  				});

  				if(countChecked > 1){
  					params.foods = foodDetail;
  					params = JSON.stringify(params);
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "unFavFoodsAfterAPI");
				}
				else{
					alert("Please select atleast one item.");
				}

			}

			unFavFoodsAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("Food has been Unfavorited.");
					$scope.favLoaded = false;
					$scope.favoritePageNumber = 0;
					$scope.resFav = {};
					$scope.resFav.items = [];
					$scope.loadFavoriteFoodItem(false);
					if (!$rootScope.$$phase) $rootScope.$apply();	
				}
				else{
					$scope.showingAlert("Please Try Again.");
				}
			}

			$scope.setDetailInPopup = function(cat , number){
				$scope.itemForPopup = eval("$scope.res" + cat).items[number];
				$rootScope.selectedItem = eval("$scope.res" + cat).items[number];
				$scope.selectedFoodUnitUUIDA = $scope.itemForPopup.selectedUnit.uuid;
				//$scope.qtyFood = $scope.itemForPopup.amount;
				$('#qty1').val($scope.itemForPopup.amount);
				$scope.popupdiv('.foodInfo');
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.addMealtoFood = function(){
				if ($("#qty1").val() == undefined || $("#qty1").val() == null || $("#qty1").val() == "")
					$("#qty1").val('0');
				var unitDD = $('#unitDD :selected').val();
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedMealUUIDFood + "/food_meals";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "swap=false&unit=" + unitDD + "&foodUUID=" + $scope.itemForPopup.uuid + "&amount=" + $("#qty1").val();
				if(CommonFactory.checkInternet() && $rootScope.offlineDbFuctionality){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(function(tx) {
						tx.executeSql('CREATE TABLE IF NOT EXISTS offactivity (id integer primary key, activity text, method text, qstring text, rtype text, rheader text, params text, callback text)');
						tx.executeSql("INSERT INTO offactivity (activity, method, qstring, rtype, rheader, params, callback) VALUES (?,?,?,?,?,?,?)", ["addfood", "POST", QueryString, "", JSON.stringify(RequestHeaders), params, "addMealtoFoodAfterAPI"], function(tx, res) {
						db.transaction(function(tx) {
							tx.executeSql('SELECT dietplanresponse FROM DietPlanDay WHERE dietplandate="'+ CommonFactory.getCurrentDate() +'";', [], function(tx, res) {
							var data = JSON.parse(res.rows.item(0).dietplanresponse);
								for(var i = 0; i < data.meals.length; i++){
								 	if(data.meals[i].uuid == $rootScope.selectedMealUUIDFood){
								 	   	data.meals[i].foods.push($rootScope.selectedItem);
								 	   	db.transaction(function(tx) {
											tx.executeSql("DELETE FROM DietPlanDay WHERE dietplandate = '"+ CommonFactory.getCurrentDate() +"' ;", [], databaseFactory.errorCB, databaseFactory.successCB);
											tx.executeSql("INSERT INTO DietPlanDay (dietplandate, dietplanresponse) VALUES (?,?)", [CommonFactory.getCurrentDate(), JSON.stringify(data)], function(tx, res) {
											}, function(e) {
											console.log("ERROR: " + e.message);
											});

											$scope.redirectToPage('myDietPlan');
											}, function(e) {
												console.log("ERROR: " + e.message);
										});																	
									}
								}
							}, function(e) {
								console.log("ERROR: " + e.message);
							});
						});
						}, function(e) {
							console.log("ERROR: " + e.message);
						});
					});
				}else{
					$rootScope.GetsOnline = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "addMealtoFoodAfterAPI");
				}
			}

			addMealtoFoodAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("Food Added.");
					if($rootScope.GetsOnline == true){
						$scope.redirectToPage('myDietPlan');
						if (!$rootScope.$$phase) $rootScope.$apply();
					}
				}
				else{
					$scope.showingAlert("Not able to add foods.");
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			$scope.updateFoodDetailsT = function(){
				if ($("#qty1").val() == undefined || $("#qty1").val() == null || $("#qty1").val() == "")
					$("#qty1").val('0');
				$scope.selectedFoodUnitUUIDA = $("#unitDD :selected").val();
				if (!$rootScope.$$phase) $rootScope.$apply();
				//var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + $rootScope.selectedParentMealUuid + "/food_meals";
				var QueryString = "api/foods/" + $scope.itemForPopup.uuid + "?personUUID=" + localStorage.getItem("uuid") + "&unitUUID=" + $("#unitDD :selected").val() + "&amount=" + $("#qty1").val();
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				//var params = "unitUUID=" + $("#unitDD :selected").val() + "&foodUUID=" + $scope.itemForPopup.uuid + "&amount=" + $("#qty1").val();
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, '', "updateFoodDetailsAfterAPIT");
			}

			updateFoodDetailsAfterAPIT = function (data , status){
				if(status == "200"){
					$scope.itemForPopup = data;
					/*$scope.itemForPopup.product = data.foodName;
					$scope.itemForPopup.uuid = data.foodUUID;
					$scope.itemForPopup.selectedUnit = new Object();
					$scope.itemForPopup.selectedUnit.uuid = data.unitUUID;*/
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}
			
			$scope.tabHeight = function (){
				setTimeout(function () {
					var windowHeight = $(window).height();
					var tabsHeight = ($(".addFoodItem > li").height()) + ($(".date").height()) + ($(".addFood").height()) + ($(".faviItems").height()) + 190;
					var minusHeightValue = (windowHeight) - (tabsHeight);
					//alert(minusHeightValue);
					$(".addFoodItem + .tab-content").css({minHeight: minusHeightValue});
				},100);
			}

			checkField = function(){
				if($scope.caloriesRange > 999999.99){
					$scope.caloriesRange = 999999.99;
				}
				if($scope.caloriesRangeMax > 999999.99){
					$scope.caloriesRangeMax = 999999.99;
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

        }
        catch (error) {
            CommonFactory.exceptionHandled(error);
        }
    }
]);

BLApp.controller('mealSlotCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 
	function ($scope, $rootScope, $location, CommonFactory) {
		try{
			var newMealSlot = "";
			var currentAPIDate = "";

			$scope.loadDietPlanDay = function (){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var currentDate = $rootScope.futureDate;
				currentAPIDate = currentDate;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
			}

			runAPI = function(date){
				var currentDate = date;
				currentAPIDate = currentDate;				
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
			}

			loadDietPlanDayAfterAPI = function (data , status){
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					$scope.res = data;
					$rootScope.mealPlanDayUUID = data.mealDayUuid;
					$rootScope.mealSlots = [];
					for(var i = 0; i < $scope.res.meals.length; i++){
						var mealObject = new Object();
							mealObject.name = $scope.res.meals[i].title;
							mealObject.uuid = $scope.res.meals[i].uuid;
						$rootScope.mealSlots.push(mealObject);
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
					totalSlots = $rootScope.mealSlots.length;
				}		
			}

			$scope.loadMealSlot = function(){
				$scope.dateNextPrev();
				$scope.loadDietPlanDay();
			}
			
			$scope.addSlot = function(){
				jPrompt('Please Enter Meal Slot Name', '', 'Add Meal Slot', function(results) {
						if( results!="" || results!= null){
							var $body = angular.element(document.body);
							var $rootScope = $body.scope().$root;
							$rootScope.$apply(function () {
								newMealSlot = new Object();
								newMealSlot.name = results;
								if (results.length > 24) {
									alert ("Please enter less than 24 characters.");
									return;
								}
								var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meal_days/" + $rootScope.mealPlanDayUUID + "/meals";
								var RequestHeaders = [];
								var RequestHeadersParams = new Object();
								RequestHeadersParams.key = "Authorization";
								RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
								RequestHeaders.push(RequestHeadersParams);
								var params = "title=" + results + "&mealDate=" + currentAPIDate;
								CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "addMealSlotAfterAPI");
								
							});
						};
					});
				/*navigator.notification.prompt(
					'Please Enter Meal Slot Name',
					function(results){
						if (results.buttonIndex == 1 && results.input1 != "" && results.input1 != null){
							var $body = angular.element(document.body);
							var $rootScope = $body.scope().$root;
							$rootScope.$apply(function () {
								newMealSlot = new Object();
								newMealSlot.name = results.input1;
								if (results.input1.length > 24) {
									alert ("Please enter less than 24 characters.");
									return;
								}
								var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meal_days/" + $rootScope.mealPlanDayUUID + "/meals";
								var RequestHeaders = [];
								var RequestHeadersParams = new Object();
								RequestHeadersParams.key = "Authorization";
								RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
								RequestHeaders.push(RequestHeadersParams);
								var params = "title=" + results.input1 + "&mealDate=" + currentAPIDate;
								CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "addMealSlotAfterAPI");
								
							});
						}
					},
					'Add Meal Slot',
					['Ok','Exit'],
					''
				);*/
			}

			addMealSlotAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("Meal Slot Added.");
					totalSlots++;
					//$rootScope.mealSlots.push(newMealSlot);
					$scope.loadDietPlanDay();
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					//alert("Failed To Add Meal Slot.");
				}
			}

			$scope.deleteMealSlot = function(slotName , uuid){
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + uuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "title=" + slotName + "&mealDate=" + currentAPIDate;
				CommonFactory.makeRequest("DELETE", QueryString, "", RequestHeaders, params, "deleteMealSlotAfterAPI");
			}

			deleteMealSlotAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("Meal Slot Deleted.");
					totalSlots--;
					$scope.loadDietPlanDay();
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					//alert("Failed To Delete Meal Slot.");
				}
			}

			changeSlotOrder = function(slotName , uuid , slotOrder){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + uuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "title=" + slotName + "&mealDate=" + currentAPIDate + "&mealOrder=" + slotOrder;
				CommonFactory.makeRequest("PUT", QueryString, "", RequestHeaders, params, "changeSlotOrderAfterAPI");
			}

			changeSlotOrderAfterAPI = function(data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					
				}
				else{
					if(changeSlotFunctionality)
						$scope.showingAlert("Failed To Change Slot Order, Please Try Again.");
				}
				if(changeSlotFunctionality)
					$scope.loadDietPlanDay();
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.editSlotName = function(liID){
				var slotName = $("#slot" + liID).val();
				var slotuuid = $("#uuid" + liID).html();
				changeSlotFunctionality = false;
				changeSlotOrder(slotName, slotuuid, liID-1);
			}
				
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);
