BLApp.controller('profileCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{
			/*$('#activityLevel').click(function(){
   				this.blur();
				window.focus();
				return false;
			});*/
			$rootScope.futureDate ="";
			$rootScope.futureFitnessDate ="";
			$('#activityLevel').mousedown(function() {
    			event.preventDefault();
			});

			$("#profilePage").show();
			$scope.ValidButton = false;
			
			$scope.updateProfileValidation = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$("#userName").focus(function() {
			  $(".alreadyUser").css("display","none");
			});
			$("#emailId").focus(function() {
			  $(".alreadyEmail").css("display","none");
			});
			$("#tallFeet").focus(function() {
				$(".heightFtError").css("display","none");
				$(".heightFtErrorMax").css("display","none");
			});
			$("#tallIn").focus(function() {
				$(".heightInError").css("display","none");
				$(".heightInErrorMax").css("display","none");
			});
			$("#fat").focus(function(){
				$(".profileBodyFatError").css("display","none");
			});
			$("#yyyy,#dd,#mm").focus(function(){
				$('#errorDOB').html("");
			});
			$("#weightLbs").focus(function(){
				$("#errorWeight").css("display","none");
			});
									
			$(".signUp1Btn").click(function() {
			  $(".alreadyUser").css("display","");
			  $(".alreadyEmail").css("display","");
			  $(".heightFtError").css("display","");
			  $(".dobErrorMessage").css("display","");
			});

			$scope.changeProfile = function (){
				activePageName = $rootScope.currentLocation.substring(1);
				var QueryString = "api/people/" + localStorage.getItem("uuid");
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "getUserDetails");
			}

			getUserDetails = function (data , status){
				if(status == "200"){
					$scope.userName = data.username;
					$scope.emailId = data.email;
					$scope.firstName = data.firstName;
					$scope.lastName = data.lastName;
					$scope.tallFeet = JSON.parse(data.heightFt);
					$scope.tallIn = JSON.parse(data.heightIn);
					$scope.weightLbs = data.weightLb;
					$scope.fatLoose = data.targetWeight;
					$scope.bodyFatBodyFat = data.bodyFatPercent;
					
					if(data.targetWeight == null || data.targerWeight == "null") {
						$scope.fatLoose = 0;
					}
					if (data.gender == "F"){
						$("#radio-mini-2").prop("checked", true);
					}
					else {
						$("#radio-mini-1").prop("checked", true);
					}
					
					if (data.cook == true){
						$("#radio-choice-21").prop("checked", true);
					}
					else {
						$("#radio-choice-22").prop("checked", true);
					}
					
					if (data.troubleSleeping == true){
						$("#radio-choice-23").prop("checked", true);
					}
					else {
						$("#radio-choice-24").prop("checked", true);
					}
					
					if(data.goal == "LOSE_WEIGHT"){
						$('#goalDropdown option[value="LOSE_WEIGHT"]').prop("selected",true);
					}
					if(data.goal == "BUILD_MUSCLE"){
						$('#goalDropdown option[value="BUILD_MUSCLE"]').prop("selected",true);
					}
					if(data.goal == "MAINTAIN"){
						$('#goalDropdown option[value="MAINTAIN"]').prop("selected",true);
					}
					
					if(data.activityLevel == "SEDENTARY"){
						$('#activityLevel option[value="SEDENTARY"]').prop("selected",true);
					}
					
					if(data.activityLevel == "LIGHT_ACTIVITY"){
						$('#activityLevel option[value="LIGHT_ACTIVITY"]').prop("selected",true);
					}
					
					if(data.activityLevel == "MODERATE_ACTIVITY"){
						$('#activityLevel option[value="MODERATE_ACTIVITY"]').prop("selected",true);
					}
					
					if(data.activityLevel == "VERY_ACTIVE"){
						$('#activityLevel option[value="VERY_ACTIVE"]').prop("selected",true);
					}
					
					if(data.activityLevel == "EXTREME_ACTIVITY"){
						$('#activityLevel option[value="EXTREME_ACTIVITY"]').prop("selected",true);
					}
					
					if(data.workoutType == "GYM_WORKOUT"){
						$('#workOutPreference option[value="GYM_WORKOUT"]').prop("selected",true);
					}
					
					if(data.workoutType == "HOME_WORKOUT"){
						$('#workOutPreference option[value="HOME_WORKOUT"]').prop("selected",true);
					}
					
					if(data.fitnessLevel == "BEGINNER"){
						$('#fitnessLevel option[value="BEGINNER"]').prop("selected",true);
					}
					
					if(data.fitnessLevel == "INTERMEDIATE"){
						$('#fitnessLevel option[value="INTERMEDIATE"]').prop("selected",true);
					}
					
					if(data.fitnessLevel == "ADVANCED"){
						$('#fitnessLevel option[value="ADVANCED"]').prop("selected",true);
					}
					
					if(data.stressLevel == "NONE"){
						$('#stressLevel option[value="NONE"]').prop("selected",true);
					}
					
					if(data.stressLevel == "LOW"){
						$('#stressLevel option[value="LOW"]').prop("selected",true);
					}
					
					if(data.stressLevel == "MEDIUM"){
						$('#stressLevel option[value="MEDIUM"]').prop("selected",true);
					}
					
					if(data.stressLevel == "HIGH"){
						$('#stressLevel option[value="HIGH"]').prop("selected",true);
					}
					
					if(data.lowestEnergy == "EARLY_MORNING"){
						$('#lowEnergy option[value="EARLY_MORNING"]').prop("selected",true);
					}
					
					if(data.lowestEnergy == "MID_MORNING"){
						$('#lowEnergy option[value="MID_MORNING"]').prop("selected",true);
					}
					if(data.lowestEnergy == "MID_AFTERNOON"){
						$('#lowEnergy option[value="MID_AFTERNOON"]').prop("selected",true);
					}
					if(data.lowestEnergy == "EVENING"){
						$('#lowEnergy option[value="EVENING"]').prop("selected",true);
					}
					if(data.lowestEnergy == "ALL_THE_TIME"){
						$('#lowEnergy option[value="ALL_THE_TIME"]').prop("selected",true);
					}

					var dateVal = data.birthDate;
					var date = new Date(dateVal);
					var month = date.getMonth() + 1;
					var year = date.getFullYear();
					var day = date.getDate();
					$scope.mm = month;
					$scope.dd = day;
					$scope.yyyy = year;
					$scope.setValueForDropDown(data.activityLevel);
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}
			
			
			$scope.updateProfile = function (){
				var flag = true;
				$(".error").hide();
				
				var gender = $("input[name=gender]:checked").val();
				var mm = $("#mm").val();
				var dd = $("#dd").val();
				var yyyy = $("#yyyy").val();
				var dateOfBirth = mm + "/" + dd + "/" + yyyy;
				var yourGoal = $('#goalDropdown :selected').val();
				var activityLevel = $('#activityLevel :selected').val();
				var workOutPreference = $('#workOutPreference :selected').val();
				var fitnessLevel = $('#fitnessLevel :selected').val();
				var cook = $("input[name=cook]:checked").val();
				var sleep = $("input[name=sleep]:checked").val();
				var stressLevel = $('#stressLevel :selected').val();
				var lowEnergy = $('#lowEnergy :selected').val();
				
				if($scope.tallIn == '' || $scope.tallIn == null){
					$scope.tallIn = 0;
				}
				
				if($scope.bodyFatBodyFat == '' || $scope.bodyFatBodyFat == null){
					$scope.bodyFatBodyFat = 0;
				}
				
				if(mm == '' || mm == null || dd == '' || dd == null || yyyy == '' || yyyy == null){
					flag = false;
					$('#errorDOB').html('Enter Your Date Of Birth');
					$('#errorDOB').show();
				}
				
				else if (yyyy.length < 4){
					flag = false;
					$('#errorDOB').html('Enter Complete Year');
					$('#errorDOB').show();
				}
				
				else if (!isInteger(mm) || !isInteger(dd) || !isInteger(yyyy)){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}
				
				else if (mm < 1 || mm > 12){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}

				else if (dd < 1 || dd> 31){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}
				
				else if ((mm==4 || mm==6 || mm==9 || mm==11) && dd ==31){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}

				else if (mm == 2){
					var isleap = (yyyy % 4 == 0 && (yyyy % 100 != 0 || yyyy % 400 == 0));
					if (dd> 29 || (dd ==29 && !isleap)){
						flag = false;
						$('#errorDOB').html('Invalid Date Of Birth');
						$('#errorDOB').show();
					}
				}
				
				else {
					var month = mm;
					var day = dd;
					var year = yyyy;

					var age = 18;
					var mydate = new Date();
					mydate.setFullYear(year, month-1, day);

					var currdate = new Date();
					currdate.setFullYear(currdate.getFullYear() - age);
					if ((currdate - mydate) < 0){
						flag = false;
						$('#errorDOB').html("Sorry, only persons over the age of " + age + " may enter this site");
						$('#errorDOB').show();
					}
				}
				
				if (flag){				
					var	params = "username=" + $scope.userName + "&email=" + $scope.emailId + "&firstName=" + $scope.firstName + "&lastName=" + $scope.lastName + "&gender=" + gender + "&birthDate=" + dateOfBirth + "&heightFt=" + $scope.tallFeet + "&heightIn=" + $scope.tallIn + "&weightLb=" + $scope.weightLbs + "&bodyFatPercent=" + $scope.bodyFatBodyFat + "&targetWeight=" + $scope.fatLoose + "&goal=" + yourGoal + "&troubleSleeping=" + sleep + "&activityLevel=" + activityLevel + "&workoutType=" + workOutPreference + "&fitnessLevel=" + fitnessLevel + "&stressLevel=" + stressLevel + "&lowestEnergy=" + lowEnergy + "&cook=" + cook;
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					var QueryString = "api/people/" + localStorage.getItem("uuid");
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "updateInfoAfterAPI");
					$('#errorDOB').html('');
				}
				else{
					$("#mainError1").show();	
				}
			}
			
			updateInfoAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("User Information Successfully Updated.");
					localStorage.setItem("fname" , data.firstName);
					localStorage.setItem("lname" , data.lastName);
					localStorage.setItem("username" , data.username);
					localStorage.setItem("gender" , data.gender);
					localStorage.setItem("goal" , data.goal);
					//$rootScope.goal = data.goal;
					if(localStorage.getItem("goal") == "BUILD_MUSCLE"){
						localStorage.setItem("goalFormateLocal" , "gain");
						$rootScope.goalFormate = localStorage.getItem("goalFormateLocal");
					}
					else{       /* "LOSE_WEIGHT" "MAINTAIN" */
						localStorage.setItem("goalFormateLocal" , "lose");
						$rootScope.goalFormate = localStorage.getItem("goalFormateLocal");
					}
					
					$rootScope.fName = data.firstName;
					$rootScope.lName = data.lastName;
					$scope.redirectToPage('dashboardT');
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.showingAlert("Unable to update profile.");
				}
			}
		}
		
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('changePassCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{
			$rootScope.futureDate ="";
			$rootScope.futureFitnessDate ="";
			$('#changePwdNotValid').hide();
			$scope.ValidButton = false;
			$scope.chagePasswordValidation = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.chagePassword = function (){
				$('#changePwdNotValid').hide();
				var	params = "currentPassword=" + $scope.oldPassword + "&newPassword=" + $scope.user.password + "&confirmPassword=" + $scope.user.confirmPassword;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var QueryString = "api/people/" + localStorage.getItem("uuid");
				CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "changePasswordAfterAPI");
			}
				
			changePasswordAfterAPI = function(data , status){
				if(status == "200"){
					localStorage.setItem("password" , $scope.user.password);
					$scope.showingAlert("Password Has Been Changed.");
					$scope.redirectToPage('dashboardT');
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else if(status == "422"){
					$('#changePwdNotValid').show();
					if (!$rootScope.$$phase) $rootScope.$apply();	
				}
				else{
					$scope.showingAlert("Please Try Again.");
					if (!$rootScope.$$phase) $rootScope.$apply();		
				}
			}
					
		}
		
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('feedBackCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{
			
			$scope.ValidButton = false;
			$scope.submitFeedBackVali = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			activePageName = $rootScope.currentLocation.substring(1);		
			$("#feedBackPage").show();
			$scope.submitFeedBack = function(){
				var imageData = $scope.feedbackImageOne;
				if(imageData != "" && imageData != null && imageData != 'null') {
					var options = new FileUploadOptions();
					var params = {};
						params.name = $scope.name;
						params.email = $scope.email;
						params.comments = $scope.comment;
					console.log(imageData);
					var headers = { 'Authorization': 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")) };
					options.headers = headers;
					options.params = params;
					options.mimeType = "image/jpeg";
					options.fileKey = "file1";
					options.fileName = imageData.substr(imageData.lastIndexOf('/') + 1);
					
					options.chunkedMode = false;
					var ft = new FileTransfer();
					var QueryString = baseURL + "api/feedback";
					ft.upload(imageData, encodeURI(QueryString), function (r) {
						$scope.showingAlert("Your Feedback Has Been Submitted");
						var $body = angular.element(document.body);
						var $rootScope = $body.scope().$root;
						$rootScope.$apply(function () {
							$scope.redirectToPage('dashboardT');
						});
					}, function (error) {
						//alert(JSON.stringify(error));
					}, options, true);
				 	return;
				}
				else {
					var QueryString = "api/feedback";
					var RequestHeaders = [];
					var RequestHeadersParams = new Object();
					RequestHeadersParams.key = "Authorization";
					RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
					RequestHeaders.push(RequestHeadersParams);
					var params = "name=" + $scope.name + "&email=" + $scope.email + "&comments=" + $scope.comment;
					CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "submitFeedBackAPI");
				}
			}
			
			submitFeedBackAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("Your Feedback Has Been Submitted");
					$scope.redirectToPage('dashboardT');
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			var valueIDSelected = 0;
			$scope.setValueID = function(id){
				if (id == 1){
					valueIDSelected = 1;
				}
				else if(id == 2){
					valueIDSelected = 2;
				}
				else{
					valueIDSelected = 3;
				}
			}

			$scope.feedbackImageOne = "";
			$scope.feedbackImageTwo = "";
			$scope.feedbackImageThree = "";
			
			uploadFeedbackImage = function(imageData){
				if (valueIDSelected == 1){
					$scope.feedbackImageOne = imageData;
					$("#feedback1").val("image.jpeg");
				}
				else if(valueIDSelected == 2){
					$scope.feedbackImageTwo = imageData;
					$("#feedback2").val("image2.jpeg");
				}
				else{
					$scope.feedbackImageThree = imageData;
					$("#feedback3").val("image3.jpeg");
				}
			}
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);