BLApp.controller('recipesCtrl', ['$scope', '$rootScope', '$location', 'databaseFactory', 'CommonFactory', 
	function ($scope, $rootScope, $location, databaseFactory, CommonFactory) {
		try{
			$(".recipe-instructions").click(function(){
				return false;
			});
			$rootScope.futureDate ="";
			$rootScope.futureFitnessDate ="";
			$scope.searchText = "";
			$scope.maxCal = "";
			$scope.maxCarb = "";
			$scope.minProtein = "";
			$scope.pageNumber = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStart = false;
			$scope.res = [];
			$scope.recipesFetched = false;
			
			$scope.loadRecipesPage = function(){
				$scope.loadRecipes();
				$scope.loadRecipeCategories();
				$('#scrollTab').hide();
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
			}

			$scope.loadDietPlanDay = function (){
				if(!$rootScope.sideLog)
					return;
				var currentDate = CommonFactory.getCurrentDate();
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
			}

			loadDietPlanDayAfterAPI = function (data , status){
				if(status == "200"){
					$scope.resM = data;
					$rootScope.mealPlanDayUUID = data.mealDayUuid;
					$rootScope.mealSlots = [];
					for(var i = 0; i < $scope.resM.meals.length; i++){
						var mealObject = new Object();
							mealObject.name = $scope.resM.meals[i].title;
							mealObject.uuid = $scope.resM.meals[i].uuid;
						$rootScope.mealSlots.push(mealObject);
					}
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			$scope.loadRecipes = function(){
				if ($scope.scrollStart) {
					return;
				}
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				$scope.scrollStart = true;
				activePageName = $rootScope.currentLocation.substring(1);
				$scope.dateNextPrev();
				var QueryString = "api/recipes?firstResult=" + $scope.pageNumber + "&maxResult=20";// + $scope.maxResult;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				if($rootScope.imgClicked)
				{
					$scope.recipesDetails($rootScope.dashRecipeUuid,'',0,'REC');
					$scope.popupdiv('.recipeDetails');		
					$('#recipeinnerimage').attr('src', $rootScope.dashRecipeImg);
					$('#recipeinnerimage').css('width', '100%');			
				}
				CommonFactory.makeRequest("GET", QueryString, "json", "", "", "loadRecipesAfterAPI");
				/*if(CommonFactory.checkInternet()){
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
					db.transaction(getRecipes, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else{
					
				}*/
			}

			getRecipes = function (tx) {
				tx.executeSql('SELECT rescresponse FROM Recipe', [], databaseFactory.getRecipesDB, databaseFactory.errorCB);
			}
			UpdateRecipeDB = function (tx) {
				tx.executeSql("UPDATE Recipe SET rescresponse ='" +$rootScope.recipeOffline+"';", [], databaseFactory.errorCB, databaseFactory.successCB);
			}
			
			scrollMoreResults = function(){
				if ($rootScope.currentLocation == "/recipe"){
					$scope.scrollRecipeDb = true;
					if($scope.recipesSer)
						$scope.searchRecipes('moreReslts');
					else
						$scope.loadRecipes();
				}
			}

			loadRecipesAfterAPI = function(data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					$scope.recipesFetched = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					if(data.length == 0){
						$scope.scrollStart = true;
						return;
					}
					if(!$scope.scrollRecipeDb){
						$scope.scrollRecipeDb = false;
						$rootScope.recipeOffline = JSON.stringify(data);
						if($rootScope.resultFromDb){
							$rootScope.resultFromDb = false;
						}
						/*else{
							var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records2", 10000000);
							db.transaction(UpdateRecipeDB, databaseFactory.errorCB, databaseFactory.successCB);
						}*/
					}
					
					for (var i = 0; i < data.length; i++) {
                		$scope.res.push(data[i]);
					}
					$scope.pageNumber = $scope.pageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				$scope.scrollStart = false;	
				$scope.recipesFetched = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.loadRecipeCategories = function(){
				var QueryString = "api/recipes/categories";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", "", "", "loadRecipeCategoriesAfterAPI");
			}

			loadRecipeCategoriesAfterAPI = function(data , status){
				if(status == "200"){
					$scope.recipeCats = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				$scope.loadRecipeBook();
				$scope.loadDietPlanDay();
			}

			$scope.pageNumberBook = 0;
			$scope.recipesBookFetched = false;
			$scope.scrollStartB = false;
			$scope.resBook = [];
			$scope.loadRecipeBook = function(){
				if ($scope.scrollStartB) {
					return;
				}
				if(!$rootScope.sideLog)
					return;
				$scope.scrollStartB = true;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/user_recipes?firstResult=" + $scope.pageNumberBook + "&maxResult=20";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadRecipeBookAfterAPI");
			}

			loadRecipeBookAfterAPI = function(data , status){
				if(status == "200"){
					$scope.recipesBookFetched = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					if(data.length == 0){
						$scope.scrollStartB = true;
						return;
					}
					for (var i = 0; i < data.length; i++) {
                		$scope.resBook.push(data[i]);
					}
					$scope.pageNumberBook = $scope.pageNumberBook + $scope.resultsSize;
				}
				$scope.scrollStartB = false;	
				$scope.recipesBookFetched = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.searchTextRec = '';
			$scope.minCalRec = '';
			$scope.maxCalRec = '';

			$scope.searchRecipes = function(newSearch1){
				if(newSearch1 == 'newSearch'){
					$scope.res = [];
					$scope.recipesFetched = false;
					$scope.newSearch = true;
					$scope.pageNumber = 0;
					$scope.scrollStart = false;
				}
				if ($scope.scrollStart) {
					return;
				}
				$scope.recipesSer = true;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var minCal = ($scope.minCalRec == null || $scope.minCalRec.length === 0 ? '': ('minCalories=' + $scope.minCalRec) + '&');
				var maxCal = ($scope.maxCalRec == null || $scope.maxCalRec.length === 0 ? '': ('&maxCalories=' + $scope.maxCalRec) + '&');
				var selectedRadioSearch = $("input[name=group1]:checked").val();
				var recipeCatSelected = $('#recipeCat :selected').val();
				var QueryString = "api/recipes?firstResult=" + $scope.pageNumber + "&maxResult=20&searchText=" + $scope.searchTextRec + minCal + maxCal + "&recipeCategoryName=" + recipeCatSelected + "&tagsUUID=" + selectedRadioSearch;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", "", "", "searchRecipesAfterAPI");
			}

			searchRecipesAfterAPI = function(data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					$scope.recipesFetched = true;
					if (!$rootScope.$$phase) $rootScope.$apply();
					if(data.length == 0){
						$scope.scrollStart = true;
						return;
					}
					if($scope.newSearch){
						$scope.res = [];
					}
					$scope.newSearch = false;
					for (var i = 0; i < data.length; i++) {
                		$scope.res.push(data[i]);
					}
					$scope.pageNumber = $scope.pageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
				}
				$scope.scrollStart = false;	
				$scope.recipesFetched = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			$scope.selectedRecipe = function(selectedRecipe){
				$scope.showingAlert("Selected Recipe : " + selectedRecipe);
			}
			
			$scope.recipesDetails = function(recipeUUID , unitUUID , index , id){
				$scope.recipeDetail = "";
				$scope.recipeUnitUuid = unitUUID;
				$scope.selectedRecipeDetails = id;
				if($rootScope.imgClicked)
					$("#recipeinnerimage").attr("src" , 'img/rec-dish.png');
				else
					$("#recipeinnerimage").attr("src" , $("#image" + id + index).attr("src"));
				var QueryString = "api/recipes/" + recipeUUID;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", "", "", "loadRecipesDetailsAfterAPI");
			}
			
			loadRecipesDetailsAfterAPI = function (data , status){
				if(status == "200"){
					$scope.recipeDetail = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				$rootScope.imgClicked = false;
				if (!$rootScope.$$phase) $rootScope.$apply();		
			}

			$scope.addRecipeToMeal = function(){
				$scope.closePopUp('.recipeDetails');
				$scope.popupdiv('.popupAddMeal');
			}
			
			$scope.recipeInfo = function(){
				alert('Recipe API Call');
			}

			$scope.addToMealRecipe = function(){
				var mealSlotsValue = $("input[name=mealSlotsValue]:checked").val();
				if(mealSlotsValue == undefined){
					$scope.showingAlert('Please Select Meal Slot');
					return;
				}	
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meals/" + mealSlotsValue + "/food_meals";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				//if($scope.selectedRecipeDetails == 'REC')
					var params = "swap=false&unit=" + $scope.recipeUnitUuid + "&foodUUID=" + $scope.recipeDetail.foodUuid + "&amount=" + $scope.recipeDetail.portionSize;
				//else
					//var params = "swap=false&unit=" + $scope.recipeUnitUuid + "&foodUUID=" + $scope.recipeDetail.foodUuid + "&amount=" + $scope.recipeDetail.servings;
				CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "addMealtoFoodAfterAPI");
			}

			addMealtoFoodAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("Recipe Added to meal.");
					$scope.redirectToPage('myDietPlan');	
				}
				else{
					$scope.showingAlert("Please try again.");
				}
				//$scope.closePopUp('.popupAddMeal');
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.swapRecipeWithMeal = function(){
				var mealSlotsValue = $("input[name=mealSlotsValue]:checked").val();
				if(mealSlotsValue == undefined){
					$scope.showingAlert('Please Select Meal Slot');
					return;
				}	
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/meal_days/" + $rootScope.mealPlanDayUUID + "/meals";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "selectedMealUuid=" + $scope.recipeDetail.recipeUuid + "&currentMealUuid=" + mealSlotsValue + "&recipe=true";
				CommonFactory.makeRequest("PUT" , QueryString , "json" , RequestHeaders , params , "swapRecipeWithMealAfterAPI");
			}
			
			swapRecipeWithMealAfterAPI = function (data , status){
				if(status == "200"){
					$scope.showingAlert("Meal Switched Successfully");
					$scope.redirectToPage('myDietPlan');
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.showingAlert("Please Try Again.");
				}
			}

			var indexToRemove = '';
			$scope.removeRecipeFromBook = function(number , uuid){
				indexToRemove = number;
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/foods/" + uuid;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("DELETE" , QueryString , "json" , RequestHeaders , "" , "removeRecipeFromBookAfterAPI");
			}

			removeRecipeFromBookAfterAPI = function (data , status){
				if(status == "200"){
					$scope.showingAlert("Recipe Removed From Book Successfully");
					$scope.resBook.splice(indexToRemove, 1);
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				else{
					$scope.showingAlert("Please Try Again.");
				}
			}			
			
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('addRecipeCtrl', ['$scope', '$rootScope', '$location', '$timeout', 'CommonFactory', 
	function ($scope, $rootScope, $location, $timeout, CommonFactory) {
		try{
			$scope.pageNumber = 0;
			$scope.maxResult = 20;
			$scope.resultsSize = 20;
			$scope.scrollStart = false;
			$scope.ingredientsFetched = false;
			$scope.ingredientsFetchedBtn = false;
			$scope.res = [];
			$scope.SearchKey = '';
			
			$scope.loadAddRecipePage = function(){
				$scope.dateNextPrev();
				//$('.popupSibling').css('display', 'none');
				$scope.topMarginDateSec();
				/*$scope.addIngredient();*/
			}
			
			$scope.recipeValidButton = false;
			$scope.addRecipeValidation = function (){
				$scope.recipeValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.resetIngredients = function(){
				$scope.SearchKey = '';
				$scope.pageNumber = 0;
				$scope.scrollStart = true;
				$scope.searchTab = false;
				$scope.ingredientsFetched = false;
				$scope.ingredientsFetchedBtn = false;
				$scope.res = [];
				$scope.UncheckAll();
				$scope.closePopUp('.addIngredient');
				/*$scope.addIngredient();*/
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.addIngredient = function (){
				$scope.searchTab = false;
				if($scope.scrollStart)
					return;
				$scope.scrollStart = true;
				if($scope.ingredientsFetched)
					$rootScope.showLoadingScreen = true;
				if($scope.ingredientsFetchedBtn)
					$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/foods?recipeIngredientSearch=true&firstResult=" + $scope.pageNumber + "&maxResult=20&categoryFilter=ALL";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, "", "addIngredientAfterAPI");
			}

			addIngredientAfterAPI = function (data , status){
				if(status == "200"){
					if(data.length == 0){
						$scope.scrollStart = true;
						$rootScope.showLoadingScreen = false;
						if (!$rootScope.$$phase) $rootScope.$apply();
						return;
					}
					for (var i = 0; i < data.items.length; i++) {
                		$scope.res.push(data.items[i]);
					}
					$scope.ingredientsFetched = true;
					$scope.ingredientsFetchedBtn = true;
					$scope.pageNumber = $scope.pageNumber + $scope.resultsSize;
					$scope.maxResult = $scope.maxResult + $scope.resultsSize;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				$scope.ingredientsFetched = true;
				$scope.ingredientsFetchedBtn = true;
				$scope.scrollStart = false;	
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				jQuery('.numbersOnlyInputs').keyup(function () { 
    				this.value = this.value.replace(/[^0-9\.]/g,'');
				});
			}
			
			scrollMoreResultsPopup = function(){
				if ($rootScope.currentLocation == "/addRecipe"){
					if($scope.searchTab == true){
						$scope.searchIngredient();
					}
					else{
						$scope.addIngredient();
					}
				}
			}
			
			$scope.searchIngredientClick = function (){
				$scope.searchTab = true;
				$scope.scrollStart = false;
				$rootScope.showLoadingScreen = true;
				$scope.pageNumber = 0;
				$scope.res = [];
				$scope.ingredientsFetched = false;
				$scope.ingredientsFetchedBtn = false;
				$scope.searchIngredient();
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
			$scope.searchIngredient = function (){
				$scope.searchTab = true;
				if($scope.scrollStart)
					return;
				$scope.scrollStart = true;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();				
				var QueryString = "api/foods?recipeIngredientSearch=true&brandOrProduct=" + $scope.SearchKey + "&firstResult=" + $scope.pageNumber + "&maxResult=20&categoryFilter=ALL";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "", RequestHeaders, "", "addIngredientAfterAPI");
			}
			
			var selectedIngredList = [];
			$scope.selectedIngredList = [];
			$scope.ingredientModelObject = {};
			$scope.ingredList = function(){
				$('.ingrPopListCheck input:checked').each(function() {
  					var idSelected = $(this).attr('id');
  					var amount = $('#selectedValue' + idSelected).val();
  					var selectedUnitUUID = $('#selectedUnit' + idSelected).val();
  					var ingredientObject ={};
  					ingredientObject.foodDetailUUID = $scope.res[idSelected].uuid;
  					ingredientObject.amount = amount;
  					ingredientObject.selectedUnitUUID = selectedUnitUUID;
  					ingredientObject.units = $scope.res[idSelected].units;
  					for (var i = 0; i < $scope.res[idSelected].units.length; i++) {
  						if($scope.res[idSelected].units[i].uuid == selectedUnitUUID){
  							ingredientObject.selectedUnit = $scope.res[idSelected].units[i];
  						}
  					}
  					ingredientObject.product = $scope.res[idSelected].product;
  					ingredientObject.protein = $scope.res[idSelected].protein;
  					ingredientObject.totalFat = $scope.res[idSelected].totalFat;
  					ingredientObject.calories = $scope.res[idSelected].calories;
  					ingredientObject.carbohydrates = $scope.res[idSelected].carbohydrates;
  					ingredientObject.indexing = idSelected;
					selectedIngredList.push(ingredientObject);
				});
				
				if(selectedIngredList == "" || selectedIngredList == []){
					$scope.showingAlert("You have not selected any ingredient");
				}
				else{
					$scope.selectedIngredList = selectedIngredList;
					console.log("Zak...Ingredient List : " + JSON.stringify($scope.selectedIngredList));
					$scope.resetIngredients();
					$scope.recalculateContents();
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
			}

			runManuallyUpdate = function(arg){
				var index = arg.getAttribute('id').substring(10);
				var value = $('#' + arg.getAttribute('id')).val();
				$scope.updateContents($scope.selectedIngredList[index].foodDetailUUID , index , $scope.selectedIngredList[index].indexing , 'amount');
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.UncheckAll = function(){
				$(".chkBoxIngre").removeAttr("checked");
			}

			$scope.removeIngredient = function(number){
				$scope.selectedIngredList.splice(number, 1);
				$scope.recalculateContents();
				if (!$rootScope.$$phase) $rootScope.$apply();
				jQuery('.numbersOnlyInputs').keyup(function () { 
    				this.value = this.value.replace(/[^0-9\.]/g,'');
				});
			}

			$scope.updateContents = function(foodUUID , indexList , indexMainResponse , field){
				$timeout(function() {
					if ($("#listAmount" + indexList).val() == undefined || $("#listAmount" + indexList).val() == null || $("#listAmount" + indexList).val() == "")
						$("#listAmount" + indexList).val('0');
					
					/*if($("#listAmount" + indexList).val() == $scope.res[indexMainResponse].amount && $('#listUnit' + indexList).val() == $scope.res[indexMainResponse].selectedUnit.uuid){
						console.log("Zak...No Changes In Ingredient Data.");
						return;
					}*/
					console.log("Zak...Changes In Ingredient Data - Updating Records.");
					$.ajax({
						type : 'GET',
						url : baseURL + "api/foods/" + foodUUID + "?personUUID=" + localStorage.getItem("uuid") + "&unitUUID=" + $('#listUnit' + indexList).val() + "&amount=" + $("#listAmount" + indexList).val(), 
						dataType : 'json',
						data : '',
						beforeSend : function(xhr){
							xhr.setRequestHeader('Authorization' , 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")));
						},
						success : function(data, status, xhr) {
							updateContentsAfterAPI(indexList , indexMainResponse , data);
						},
						error : function(xhr, data) {
						}
					});
				}, 500);
			}

			updateContentsAfterAPI = function(indexList , indexMainResponse , data){
				console.log("Zak... Updated Ingredient : " + JSON.stringify(data));
				console.log("!!!!!!"+indexList+"*****"+indexMainResponse)
				/*$scope.res[indexList].protein = data.protein;
  				$scope.res[indexList].totalFat = data.totalFat;
  				$scope.res[indexList].calories = data.calories;
  				$scope.res[indexList].carbohydrates = data.carbohydrates;
  				$scope.res[indexList].amount = data.amount;
  				$scope.res[indexList].selectedUnit = data.selectedUnit;*/
  				$scope.selectedIngredList[indexList].protein = data.protein;
  				$scope.selectedIngredList[indexList].totalFat = data.totalFat;
  				$scope.selectedIngredList[indexList].calories = data.calories;
  				$scope.selectedIngredList[indexList].carbohydrates = data.carbohydrates;
  				$scope.selectedIngredList[indexList].amount = data.amount;
  				$scope.selectedIngredList[indexList].selectedUnit = data.selectedUnit;
  				$scope.selectedIngredList[indexList].selectedUnitUUID = data.selectedUnit.uuid;
  				if (!$rootScope.$$phase) $rootScope.$apply();
  				$scope.recalculateContents();
			}

			$scope.updateContents1 = function(foodUUID , indexList , field){
				$timeout(function() {
					console.log("updateContents1***********");
					if ($("#selectedValue" + indexList).val() == undefined || $("#selectedValue" + indexList).val() == null || $("#selectedValue" + indexList).val() == "")
						$("#selectedValue" + indexList).val('0');
					
					/*if($("#listAmount" + indexList).val() == $scope.res[indexMainResponse].amount && $('#listUnit' + indexList).val() == $scope.res[indexMainResponse].selectedUnit.uuid){
						console.log("Zak...No Changes In Ingredient Data.");
						return;
					}*/
					console.log("Zak...Changes In Ingredient Data - Updating Records.");
					$.ajax({
						type : 'GET',
						url : baseURL + "api/foods/" + foodUUID + "?personUUID=" + localStorage.getItem("uuid") + "&unitUUID=" + $('#selectedUnit' + indexList).val() + "&amount=" + $("#selectedValue" + indexList).val(), 
						dataType : 'json',
						data : '',
						beforeSend : function(xhr){
							xhr.setRequestHeader('Authorization' , 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")));
						},
						success : function(data, status, xhr) {
							console.log("SUCCESS");
							updateContentsAfterAPI1(indexList, data);
						},
						error : function(xhr, data) {
							console.log("ERROR :"+data);
						}
					});
				}, 500);
			}

			updateContentsAfterAPI1 = function(indexList , data){
				console.log("Zak... Updated Ingredient1 : " + JSON.stringify(data));
				$scope.res[indexList].protein = data.protein;
  				$scope.res[indexList].totalFat = data.totalFat;
  				$scope.res[indexList].calories = data.calories;
  				$scope.res[indexList].carbohydrates = data.carbohydrates;
  				$scope.res[indexList].amount = data.amount;
  				$scope.res[indexList].selectedUnit = data.selectedUnit;
  				/*$scope.selectedIngredList[indexList].protein = data.protein;
  				$scope.selectedIngredList[indexList].totalFat = data.totalFat;
  				$scope.selectedIngredList[indexList].calories = data.calories;
  				$scope.selectedIngredList[indexList].carbohydrates = data.carbohydrates;
  				$scope.selectedIngredList[indexList].amount = data.amount;
  				$scope.selectedIngredList[indexList].selectedUnit = data.selectedUnit;
  				$scope.selectedIngredList[indexList].selectedUnitUUID = data.selectedUnit.uuid;*/
  				if (!$rootScope.$$phase) $rootScope.$apply();
  				//$scope.recalculateContents();

			}

			$scope.recipeInstruction = "";
			$scope.PtimeH = '';
			$scope.PtimeM = '';
			$scope.cookHour = '';
			$scope.cookMin = '';
			$scope.addRecipe = function(){
				var ingredientList = [];
				//var ingredientList = '[';
				if($scope.selectedIngredList.length <= 0){
					$scope.showingAlert("Select atleast one ingredient.");
					return;
				}
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				//var ingredientObjectF = '';
				for (var i = 0; i < $scope.selectedIngredList.length; i++) {
					var ingredientObjectF = {};
					//if(i == 0)
						//ingredientObjectF += '{' + '\"' + 'foodDetailUUID' + '\"' + ':' + '\"' + $scope.selectedIngredList[i].foodDetailUUID + '\"';
					//else
						//ingredientObjectF += ',{' + '\"' + 'foodDetailUUID' + '\"' + ':' + '\"' + $scope.selectedIngredList[i].foodDetailUUID + '\"';
					//ingredientObjectF += ',' + 'amount' + '\"' + ':' + '\"' + $scope.selectedIngredList[i].amount + '\"';
					//ingredientObjectF += ',' + 'selectedUnitUUID' + '\"' + ':' + '\"' + $scope.selectedIngredList[i].selectedUnitUUID + '\"' + '}';
					ingredientObjectF.foodDetailUUID = $scope.selectedIngredList[i].foodDetailUUID;
					ingredientObjectF.amount = $scope.selectedIngredList[i].amount;
					ingredientObjectF.selectedUnitUUID = $scope.selectedIngredList[i].selectedUnitUUID;
					ingredientList.push(ingredientObjectF);
				}
				//ingredientList += ingredientObjectF + ']';
				console.log("Zak... Final IngredientList : " + JSON.stringify(ingredientList));
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/recipes";
				//var params = '{' + '\"' + 'title' + '\"' + ':' + '\"' + $scope.recipeName + '\"' + ',' +'\"' + 'servings' + '\"' + ':' + '\"' + $scope.recipeNo + '\"' + ',' +'\"' + 'ingredientList' + '\"' + ':' + ingredientList + ',' +'\"' + 'preparationInstructions' + '\"' + ':' + '\"' + $scope.recipeInstruction + '\"' + ',' +'\"' + 'preparationTimeHours' + '\"' + ':' + '\"' + $scope.PtimeH + '\"' + ',' +'\"' + 'preparationTimeMinutes' + '\"' + ':' + '\"' + $scope.PtimeM + '\"' + ',' +'\"' + 'cookingTimeHours' + '\"' + ':' + '\"' + $scope.cookHour + '\"' + ',' +'\"' + 'cookingTimeMinutes' + '\"' + ':' + '\"' + $scope.cookMin+ '\"' + '}';
				var params = {};
					params.title = $scope.recipeName;
					params.nutritionServing = $scope.recipeNo;
					params.ingredientList = ingredientList;
					params.preparationInstructions = $scope.recipeInstruction;
					params.preparationTimeHours = $scope.PtimeH;
					params.preparationTimeMinutes = $scope.PtimeM;
					params.cookingTimeHours = $scope.cookHour;
					params.cookingTimeMinutes = $scope.cookMin;
					params=JSON.stringify(params);
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "content-type";
				RequestHeadersParams.value = 'application/json';
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("POST", QueryString, "", RequestHeaders, params, "addRecipeAfterAPI");
			}
			
			addRecipeAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
				if(status == "200"){
					var imageData = $scope.imageDataForUploadRecipe;
					var recipeUUIDCreated = data.recipeUuid;
					if(imageData != "" && imageData != null && imageData != 'null') {
						$rootScope.showLoadingScreen = true;
						if (!$rootScope.$$phase) $rootScope.$apply();
						var options = new FileUploadOptions();
						var params = {};
						var headers = { 'Authorization': 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password")) };
						options.mimeType = "image/jpeg";
						options.headers = headers;
						options.params = params;
						options.fileKey = "image";
						options.fileName = imageData.substr(imageData.lastIndexOf('/') + 1);
						options.chunkedMode = false;
						var ft = new FileTransfer();
						var QueryString = baseURL + "api/people/" + localStorage.getItem("uuid") + "/recipes/" + recipeUUIDCreated;
						ft.upload(imageData, encodeURI(QueryString), function (r) {
							console.log("Zak... Recipe Upload Success");
							var $body = angular.element(document.body);
							var $rootScope = $body.scope().$root;
							$rootScope.$apply(function () {
				 				$rootScope.showLoadingScreen = false;
				 				$scope.showingAlert("Recipe has been created.");
				 				$scope.redirectToPage('recipe');
					 			if (!$rootScope.$$phase) $rootScope.$apply();
					 		});
						}, function (error) {
							console.log("Zak... Recipe Upload Fails");
							var $body = angular.element(document.body);
							var $rootScope = $body.scope().$root;
							$rootScope.$apply(function () {
				 				$rootScope.showLoadingScreen = false;
				 				$scope.showingAlert("Please Try Again.");
					 			if (!$rootScope.$$phase) $rootScope.$apply();
					 		});
						}, options, true);
					}
					else{
						$scope.showingAlert("Recipe has been created.");
						$scope.redirectToPage('recipe');
						if (!$rootScope.$$phase) $rootScope.$apply();
					}
				}
				else if(status == "422"){
					$scope.showingAlert(data.responseJSON[0].message);
				}
				else{
					$scope.showingAlert("Please Try Again.");
				}
			}

			$scope.totalProtein = 0;
			$scope.totalCarbs = 0;
			$scope.totalFat = 0;
			$scope.totalCalories = 0;
			$scope.recalculateContents = function(){
				$scope.totalProtein = 0;
				$scope.totalCarbs = 0;
				$scope.totalFat = 0;
				$scope.totalCalories = 0;
				for (var i = 0; i < $scope.selectedIngredList.length; i++) {
					$scope.totalProtein = $scope.totalProtein + $scope.selectedIngredList[i].protein;
					$scope.totalCarbs = $scope.totalCarbs + $scope.selectedIngredList[i].carbohydrates;
					$scope.totalFat = $scope.totalFat + $scope.selectedIngredList[i].totalFat;
					$scope.totalCalories = $scope.totalCalories + $scope.selectedIngredList[i].calories;
				}
				if (!$rootScope.$$phase) $rootScope.$apply();
				jQuery('.numbersOnlyInputs').keyup(function () { 
    				this.value = this.value.replace(/[^0-9\.]/g,'');
				});
			}

			$scope.addQuantity = function(indexList){
				if ($("#listAmount" + indexList).val() == undefined || $("#listAmount" + indexList).val() == null || $("#listAmount" + indexList).val() == ""){
					$("#listAmount" + indexList).val('0');
					return;
				}
				$("#listAmount" + indexList).val(parseFloat($("#listAmount" + indexList).val()) + parseFloat(1.00));
				$scope.updateContents($scope.selectedIngredList[indexList].foodDetailUUID , indexList , $scope.selectedIngredList[indexList].indexing , 'amount');
			}

			$scope.subQuantity = function(indexList){
				if ($("#listAmount" + indexList).val() == undefined || $("#listAmount" + indexList).val() == null || $("#listAmount" + indexList).val() == ""){
					$("#listAmount" + indexList).val('0');
					return;
				}
				if(parseFloat($("#listAmount" + indexList).val()) > parseFloat(1.00)){
					$("#listAmount" + indexList).val(parseFloat($("#listAmount" + indexList).val()) - parseFloat(1.00));
					$scope.updateContents($scope.selectedIngredList[indexList].foodDetailUUID , indexList , $scope.selectedIngredList[indexList].indexing , 'amount');
				}
			}

			$scope.imageDataForUploadRecipe = "";
			uploadRecipeCreateImage = function(imageData){
				$scope.imageDataForUploadRecipe = imageData;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);