BLApp.controller('signupCtrl', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{

			$scope.checkOAuth = function(){
				if($rootScope.oAuthLogged){
					$scope.user = {};
					$scope.emailId = $rootScope.oAuthEmail;
					$scope.firstName = $rootScope.oAuthFirstName;
					$scope.lastName = $rootScope.oAuthLastName;
					if ($rootScope.oAuthGender == "male"){
						$scope.gender = 'M';
					}
					else {
						$scope.gender = 'F';
					}
					$scope.user.password = 'aaaaa1';
					$scope.user.confirmpassword = 'aaaaa1';
					if (!$rootScope.$$phase) $rootScope.$apply();
					$scope.userName = $rootScope.oAuthUserName;
				}
			}

			$rootScope.showBack = false;
			$scope.ValidButton = false;
			$("#page1").show();

			$scope.signUpValidation = function (){
				$scope.ValidButton = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}
			$("#userName").focus(function() {
				$(".alreadyUser").css("display","none");
			});
			$("#emailId").focus(function() {
				$(".alreadyEmail").css("display","none");
			});
			$("#tallFeet").focus(function() {
				$(".heightFtError").css("display","none");
				$(".heightFtErrorMax").css("display","none");
			});
			$("#tallIn").focus(function() {
				$(".heightInError").css("display","none");
				$(".heightInErrorMax").css("display","none");
			});
			$(".dobError").focus(function(){
				$(".dobErrorMessage").css("display","none");
			});
			$("#yyyy,#dd,#mm").focus(function(){
				$('#errorDOB').html("");
			});

			$("#submitSecondT").click(function(){
				$(".alreadyUser").css("display","");
				$(".alreadyEmail").css("display","");
				$(".heightFtError").css("display","");
				$(".dobErrorMessage").css("display","");
			});

			/*$('#activityLevel').click(function(){
			 this.blur();
			 window.focus();
			 });*/

			$('#activityLevel').mousedown(function() {
				event.preventDefault();
			});



			$scope.signUpFirstStep = function (){
				$('#alreadyRegisteredIdError').hide();
				$('#alreadyRegisteredEmailError').hide();
				var usrnme = $scope.userName;
				var usreml = $scope.emailId ;
				$.ajax({
					type : "GET",
					url : baseURL + "api/people/" + usrnme + "/",
					dataType : "json",
					data : '',
					beforeSend : function(xhr){
						//xhr.setRequestHeader("Authorization" , 'Basic ' + $.base64.encode('info1:password1'));
					},

					success : function(data, status, xhr) {
						$('#alreadyRegisteredIdError').show();
					},

					error : function(xhr, data) {
						$.ajax({
							type : "GET",
							url : baseURL + "api/people/" + usreml + "/",
							dataType : "json",
							data : '',
							beforeSend : function(xhr){
								//xhr.setRequestHeader("Authorization" , 'Basic ' + $.base64.encode('info1:password1'));
							},

							success : function(data, status, xhr) {
								$('#alreadyRegisteredEmailError').show();
							},

							error : function(xhr, data) {
								var $body = angular.element(document.body);
								var $rootScope = $body.scope().$root;
								$rootScope.$apply(function () {
									var gender = $("input[name=gender]:checked").val();
									if($rootScope.oAuthLogged){
										if($rootScope.oAuthSite == 'facebook')
											$rootScope.signupFirstStepParamsString = "facebookid=" + $rootScope.oAuthID + "&email=" + $scope.emailId + "&firstName=" + $scope.firstName + "&lastName=" + $scope.lastName + "&Gender=" + gender;
										else
											$rootScope.signupFirstStepParamsString = "twitterid=" + $rootScope.oAuthID + "&username=" + $scope.userName + "&email=" + $scope.emailId + "&firstName=" + $scope.firstName + "&lastName=" + $scope.lastName + "&Gender=" + gender;
									}
									else{
										$rootScope.signupFirstStepParamsString = "username=" + $scope.userName + "&email=" + $scope.emailId + "&firstName=" + $scope.firstName + "&lastName=" + $scope.lastName + "&Gender=" + gender + "&password=" + $scope.user.password + "&confirmPassword=" + $scope.user.confirmpassword;
									}
									//localStorage.setItem("signupParams" , signupFirstStepParamsString);
									$rootScope.showBack = true;
									$rootScope.pageNoSU = 1;
									$("#page1, #page3").hide();
									window.scrollTo(0,0);
									$("#page2").show();
									$scope.ValidButton = false;
								});
							}
						});
					}
				});
				return;
				var gender = $("input[name=gender]:checked").val();

				$rootScope.signupFirstStepParamsString = "username=" + $scope.userName + "&email=" + $scope.emailId + "&firstName=" + $scope.firstName + "&lastName=" + $scope.lastName + "&Gender=" + gender + "&password=" + $scope.user.password + "&confirmPassword=" + $scope.user.confirmpassword;
				//localStorage.setItem("signupParams" , signupFirstStepParamsString);
				$rootScope.showBack = true;
				$rootScope.pageNoSU = 1;
				$("#page1, #page3").hide();
				window.scrollTo(0,0);
				$("#page2").show();
				$scope.ValidButton = false;
			}

			$scope.signUpSecondStep = function (){
				if(!checkDOB())
					return;

				if(!checkMaxHeight())
					return;

				if($scope.tallIn == '' || $scope.tallIn == null){
					$scope.tallIn = 0;
				}

				var mm = $("#mm").val();
				var dd = $("#dd").val();
				var yyyy = $("#yyyy").val();
				var dateOfBirth = mm + "/" + dd + "/" + yyyy;

				var yourGoal = $('#goalDropdown :selected').val();
				//var signupFirstStepParams = localStorage.getItem("signupParams");	
				$rootScope.signupSecondStepParamsString = "&birthDate=" + dateOfBirth + "&goal=" + yourGoal + "&heightFt=" + $scope.tallFeet + "&heightIn=" + $scope.tallIn + "&weightLb=" + $scope.weightLbs + "&targetWeight=" + $scope.fatLoose;
				//localStorage.setItem("signupParams" , signupFirstStepParams + signupSecondStepParamsString);
				$rootScope.showBack = true;
				$rootScope.pageNoSU = 2;
				$("#page1, #page2").hide();
				window.scrollTo(0,0);
				$("#page3").show();
				$scope.ValidButton = false;
			}


			$scope.signUpFirstStepback=function(){
			 	$("#page1").show();
				$("#page2").hide();
				$("#page3").hide();
			}
			
			$scope.signUpsecondStepback=function(){
			 	$("#page1").hide();
				$("#page2").show();
				$("#page3").hide();
			}
			checkDOB = function(){
				var mm = $("#mm").val();
				var dd = $("#dd").val();
				var yyyy = $("#yyyy").val();

				var dateOfBirth = mm + "/" + dd + "/" + yyyy;
				var flag = true;

				if(mm == '' || mm == null || dd == '' || dd == null || yyyy == '' || yyyy == null){
					flag = false;
					$('#errorDOB').html('Enter Your Date Of Birth');
					$('#errorDOB').show();
				}

				else if (yyyy.length < 4){
					flag = false;
					$('#errorDOB').html('Enter Complete Year');
					$('#errorDOB').show();
				}

				else if (!isInteger(mm) || !isInteger(dd) || !isInteger(yyyy)){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}

				else if (mm < 1 || mm > 12){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}

				else if (dd < 1 || dd> 31){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}

				else if ((mm==4 || mm==6 || mm==9 || mm==11) && dd ==31){
					flag = false;
					$('#errorDOB').html('Invalid Date Of Birth');
					$('#errorDOB').show();
				}

				else if (mm == 2){
					var isleap = (yyyy % 4 == 0 && (yyyy % 100 != 0 || yyyy % 400 == 0));
					if (dd> 29 || (dd ==29 && !isleap)){
						flag = false;
						$('#errorDOB').html('Invalid Date Of Birth');
						$('#errorDOB').show();
					}
				}

				else {
					var month = mm;
					var day = dd;
					var year = yyyy;

					var age = 18;
					var mydate = new Date();
					mydate.setFullYear(year, month-1, day);

					var currdate = new Date();
					currdate.setFullYear(currdate.getFullYear() - age);
					if ((currdate - mydate) < 0){
						flag = false;
						$('#errorDOB').html("Sorry, only persons over the age of " + age + " may enter this site");
						$('#errorDOB').show();
						//alert("Sorry, only persons over the age of " + age + " may enter this site");
					}
					else{
						flag = true;
					}
				}

				if (flag){
					return true;
				}
				else{
					return false;
				}
			}

			checkMaxHeight = function(){
				var tallHeightFt = $("#tallFeet").val();
				var tallHeightIn = $("#tallIn").val();
				var flag = true;

				if (tallHeightFt > 12){
					//alert("flag false");
					flag = false;
					$(".heightFtErrorMax").css("display","block");
				}
				if (tallHeightIn > 11){
					//alert("flag false");
					flag = false;
					$(".heightInErrorMax").css("display","block");
				}
				if (flag){
					return true;
				}
				else{
					return false;
				}
			}

			$scope.signUpThirdStep = function (){
				var activityLevel = $('#activityLevel :selected').val();
				var workOutPreference = $('#workOutPreference :selected').val();
				var fitnessLevel = $('#fitnessLevel :selected').val();
				var cook = $("input[name=cook]:checked").val();
				var sleep = $("input[name=sleep]:checked").val();
				var stressLevel = $('#stressLevel :selected').val();
				var lowEnergy = $('#lowEnergy :selected').val();

				//var signupFirstAndSecondStepParams = localStorage.getItem("signupParams");
				$rootScope.signupThirdStepParamsString =  "&troubleSleeping=" + sleep + "&activityLevel=" + activityLevel + "&workoutType=" + workOutPreference + "&fitnessLevel=" + fitnessLevel + "&stressLevel=" + stressLevel + "&lowestEnergy=" + lowEnergy + "&emailOptOut=" + false + "&pregnant=" + false + "&breastFeeding=" + false + "&lowCarb=" + false + "&vegan=" + false + "&vegetarian=" + false + "&glutenFree=" + false + "&lowFat=" + false + "&lowSodium=" + false + "&dairyFree=" + false + "&improveAbdomen=" + false + "&improveWaist=" + false + "&improveLegs=" + false + "&improveButtocks=" + false + "&improveArms=" + false + "&cellulite="+ false + "&recommendDiet=" + false + "&dineOut=" + "1" + "&whereHear=" + "Friend" + "&StressEating=" + "FREQUENTLY";
				//alert($rootScope.signupFirstStepParamsString);
				//alert($rootScope.signupSecondStepParamsString);
				//alert($rootScope.signupThirdStepParamsString);
				localStorage.setItem("signupParams" , $rootScope.signupFirstStepParamsString + $rootScope.signupSecondStepParamsString + $rootScope.signupThirdStepParamsString);
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/people";
				var params = localStorage.getItem("signupParams");
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode('info1:password1');
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("POST", QueryString, "", "", params, "signupAfterAPI");
			}

			signupAfterAPI = function(data , status){
				if(status == "200"){
					$scope.showingAlert("You are Successfully registered.");
					$rootScope.oAuthSite = '';
					$rootScope.oAuthFirstName = '';
					$rootScope.oAuthLastName = '';
					$rootScope.oAuthEmail = '';
					$rootScope.oAuthGender = '';
					$rootScope.oAuthID = '';
					$rootScope.oAuthUserName = '';
					$rootScope.oAuthLogged = '';
					//alert(JSON.stringify(data));
					$rootScope.showBack = false;
					localStorage.removeItem("signupParams");
					localStorage.setItem("data" , JSON.stringify(data));
					localStorage.setItem("uuid" , data.uuid);
					localStorage.setItem("autoLogin" , "true");	
					//localStorage.setItem("userPreferredScreen" , "/selectPlans");
					localStorage.setItem("username" , data.username);
					localStorage.setItem("password" , $("#password").val());
					localStorage.setItem("fname" , data.firstName);
					localStorage.setItem("lname" , data.lastName);
					localStorage.setItem("gender" , data.gender);
					localStorage.setItem("goal" , data.goal);
					//$rootScope.goal = data.goal;
					if(localStorage.getItem("goal") == "BUILD_MUSCLE"){
						localStorage.setItem("goalFormateLocal" , "gain");
						$rootScope.goalFormate = localStorage.getItem("goalFormateLocal");
					}
					else{       /* "LOSE_WEIGHT" "MAINTAIN" */
						localStorage.setItem("goalFormateLocal" , "lose");
						$rootScope.goalFormate = localStorage.getItem("goalFormateLocal");
					}
					$rootScope.sideLog = true;
					$rootScope.fName = data.firstName;
					$rootScope.lName = data.lastName;
					var dateVal = data.created;
					var date = new Date(dateVal);
					var month = date.getMonth() + 1;
					var year = date.getFullYear();
					var day = date.getDate();
					$rootScope.lastLogin = month + "/" + day + "/" + year;
					localStorage.setItem("lastLogin" , $rootScope.lastLogin);
					var db = window.openDatabase("MFDMain3", "1.0", "MfDMain Records", 1000000);
					db.transaction(databaseFactory.newUserDB, databaseFactory.errorCB, databaseFactory.successCB);
				}
				else if(status == '422'){
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					for(var i = 0; i < data.responseJSON.length; i++){
						alert(data.responseJSON[i].field + ' ' + data.responseJSON[i].message);
					}
				}
				else{
					$rootScope.showLoadingScreen = false;
					if (!$rootScope.$$phase) $rootScope.$apply();
					$scope.showingAlert("Something went Wrong.");
				}
			}
		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);

BLApp.controller('signupSelection', ['$scope', '$rootScope', '$location', 'CommonFactory', 'databaseFactory',
	function ($scope, $rootScope, $location, CommonFactory, databaseFactory) {
		try{
			$scope.textPlan = "Meal";
			$scope.processCompleted = false;
			$("body").removeClass("ThankYouBg");
			$scope.imgSmall = 'img/diet-reco-icon-signUp.png';

			//localStorage.setItem("uuid" , 'a7f35705-b1bc-4eb6-a9f0-8989c9213ab3');
			//localStorage.setItem("username" , 'z3');
			//localStorage.setItem("password" , 'z12345');

			$scope.loadRecomDietPlan = function(){
				$rootScope.showLoadingScreen = true;
				$scope.dateNextPrev();
				var currentDate = CommonFactory.getCurrentDate();
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan_day?dietDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "loadDietPlanDayAfterAPI");
			}
			

			loadDietPlanDayAfterAPI = function (data , status){
				$rootScope.showLoadingScreen = false;
				if(status == "200"){
					$scope.res = data;
					//alert(JSON.stringify(data.meals));
					$rootScope.mealPlanDayUUID = data.mealDayUuid;
				}
				$scope.showPlans();
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.showPlans = function () {
				$rootScope.showLoadingScreen = false;
				var QueryString = "api/fitness_plans?fitnessPlanFilter=SIGNUP_PLANS&firstResult=0&maxResult=1";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("GET", QueryString, "json", RequestHeaders, "", "fitnessPlansRecomAfterAPI");
			}

			fitnessPlansRecomAfterAPI = function (data , status){
				if(status == "200"){
					$scope.resRecomPlans = data;
					if (!$rootScope.$$phase) $rootScope.$apply();
				}
				//$rootScope.showLoadingScreen = false;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			/*$scope.followPlan = function(uuid){
			 var QueryString = "/api/people/" + localStorage.getItem("uuid") + "/diet_plan?dietPlanTemplateToBeFollowedUUID=" + uuid;
			 var RequestHeaders = [];
			 var RequestHeadersParams = new Object();
			 RequestHeadersParams.key = "Authorization";
			 RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
			 RequestHeaders.push(RequestHeadersParams);
			 CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, "", "followPlanAfterAPI");
			 }

			 followPlanAfterAPI = function (data , status){
			 if(status == "200"){
			 $scope.showingAlert("You have Successfully Followed Plan.");
			 }
			 $scope.textPlan = "Fitness";
			 $scope.imgSmall = 'img/icon_dumbel_signUp.png';
			 if (!$rootScope.$$phase) $rootScope.$apply();
			 }*/
			 
			$('#datePlace').on('click',function(){
				$('#datePlaceHolder').css('display','none');
				$('#datepicker50').css('display','block');
			});
				
			$scope.trackOnlyDiet = function(){
				$rootScope.showLoadingScreen = true;
				/*var new_dateb = $('#datepicker50').datepicker('getDate');
				var newDate = $.datepicker.formatDate('yy-mm-dd', new_dateb);*/
				var currentDate = CommonFactory.getCurrentDate();
				var QueryString = "api/people/" + localStorage.getItem("uuid") + "/diet_plan?startDate=" + currentDate;
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, "", "trackOnlyDietAfterAPI");
			}

			trackOnlyDietAfterAPI= function (data , status){
				$rootScope.showLoadingScreen = false;
				if(status == "200"){
					$scope.showingAlert("You have Successfully Created Plan.");
				}
				$scope.textPlan = "Fitness";
				$scope.imgSmall = 'img/icon_dumbel_signUp.png';
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			runFollowPlan = function(date){
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/fitness_plan";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var params = "fitnessPlanToBeFollowedUUID=" + $rootScope.selectedUUIDforPlanFollowFitnessSignup + "&startDate=" + date;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "followedPlanFAfterAPI");
			}
			
			$scope.followPlanF = function(uuid){
				//$rootScope.selectedUUIDforPlanFollowFitnessSignup = uuid;
				//$scope.clickAlt();
				//return;
				$rootScope.showLoadingScreen = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
				var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/fitness_plan";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var new_dateb = $('#datepicker50').datepicker('getDate');
				var newDate = $.datepicker.formatDate('yy-mm-dd', new_dateb);
				var params = "fitnessPlanToBeFollowedUUID=" + uuid + "&startDate=" + newDate;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "followedPlanFAfterAPI");
			}

			followedPlanFAfterAPI = function (data , status){
				//zak
				//alert("zak.. inside followedPlanFAfterAPI");
				$rootScope.showLoadingScreen = false;
				//zak

				if(status == "200"){
					$scope.showingAlert("You have Successfully Followed Plan.");
				}
				$scope.processCompleted = true;
				if($(window).width() >= 768){
					$scope.thankTopImg = false;
				}
				else{
					$scope.thankTopImg = true;
				}
				$("body").addClass("ThankYouBg");
				$rootScope.firstSignUpHelp = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

			$scope.trackOnlyFitness = function(){
				$rootScope.showLoadingScreen = true;
				var currentDate = CommonFactory.getCurrentDate();
				var QueryString = "api/people/" + localStorage.getItem("uuid") +  "/fitness_plan";
				var RequestHeaders = [];
				var RequestHeadersParams = new Object();
				RequestHeadersParams.key = "Authorization";
				RequestHeadersParams.value = 'Basic ' + $.base64.encode(localStorage.getItem("username") + ':' + localStorage.getItem("password"));
				RequestHeaders.push(RequestHeadersParams);
				var new_dateb = $('#datepicker50').datepicker('getDate');
				var newDate = $.datepicker.formatDate('yy-mm-dd', new_dateb);
				var params = "fitnessPlanToBeFollowedUUID=&startDate=" + newDate;
				CommonFactory.makeRequest("PUT", QueryString, "json", RequestHeaders, params, "trackOnlyFitnessAfterAPI");
			}

			trackOnlyFitnessAfterAPI= function (data , status){
				$rootScope.showLoadingScreen = false;
				if(status == "200"){
					$scope.showingAlert("You have Successfully Created Plan.");
				}
				$scope.processCompleted = true;
				if($(window).width() >= 768){
					$scope.thankTopImg = false;
				}
				else{
					$scope.thankTopImg = true;
				}
				$("body").addClass("ThankYouBg");
				$rootScope.firstSignUpHelp = true;
				if (!$rootScope.$$phase) $rootScope.$apply();
			}

		}
		catch(error){
			CommonFactory.exceptionHandled(error);
		}
	}
]);